<?php

/**
 * Optional: set 'ot_show_pages' filter to false.
 * This will hide the settings & documentation pages.
 */
add_filter('ot_show_pages', '__return_false');
add_filter('ot_theme_mode', '__return_true');


require_once('library/kalemat-plugin/basic-shortcodes.php');

//plugins
$c5_plugins_function = array(
    
    'option-tree/ot-loader',
    'widget-settings-importexport/widget-data',
    'update_notifier'
);
foreach ($c5_plugins_function as $value) {
    require_once('library/includes/plugins/' . $value . '.php');
}

//library
$c5_library_function = array(
    'layout',
    'sidebars',
    'c5-icons/icons',
    'c5-page-builder/page-builder',
);
foreach ($c5_library_function as $value) {
    require_once('library/includes/libraries/' . $value . '.php');
}



//theme functions
$c5_theme_function = array(
    'hook',
    'admin-bar',
    'documentation',
    'skins/skins',
    'header-custom',
    'cron',
    'comments',
    'search',
    'breadcrumb',
    'colors',
    'author',
    'blog-related',
    'header',
    'head',
    'common',
    'icons',
    'fonts',
    'footer',
    'theme-options/hook',
    'theme-options',
    'theme-options/social',
    'meta-boxes',
    'auto-import/c5_import_class',
    'widgets/hook',
);
foreach ($c5_theme_function as $value) {
    require_once('library/includes/theme-functions/' . $value . '.php');
}


//TGM plugins
$tgm_array = array(
    'revslider'
);
foreach ($tgm_array as $value) {
    require_once('library/includes/plugins/tgm-plugin-activation/' . $value . '.php');
}





require_once('library/translation/translation.php');

function c5_load_custom_wp_admin_style() {
    wp_register_style('code125_style', get_template_directory_uri() . '/library/css/admin-style.css', false, '1.0.0');
    wp_enqueue_style('code125_style');



    wp_register_script('c5-maginfy', get_template_directory_uri() . '/library/js/libs/magnify.js', array(), '1.0', true);
    wp_register_script('c5-admin-script', get_template_directory_uri() . '/library/js/script-admin.js', array(), '1.0', false);

    wp_enqueue_script('c5-admin-script');

    wp_enqueue_script('c5-maginfy');
}

add_action('admin_enqueue_scripts', 'c5_load_custom_wp_admin_style');


/* * *********** THUMBNAIL SIZE OPTIONS ************ */




add_filter('widget_text', 'do_shortcode');

function custom_number_format($n) {

    $precision = 1;

    if ($n < 1000) {
        $n_format = round($n);
    } else if ($n < 1000000) {
        $n_format = round($n / 1000, $precision) . 'K';
    } else {
        $n_format = round($n / 1000000, $precision) . 'M';
    }

    return $n_format;
}

function get_shares_number($url) {


    return 0;
}

add_filter('wp_default_editor', create_function('', 'return "tinymce";'));

function code125_all_authors() {
    global $wpdb;
    $order = 'user_nicename';
    $user_ids = $wpdb->get_col("SELECT ID FROM $wpdb->users ORDER BY $order");


    return $user_ids;
}





function get_post_format_icon($id) {
    $format = get_post_format($id);
    $the_post_thumbnail = get_the_post_thumbnail($id, array(50, 50));

    if (is_sticky($id)) {
        $icon = 'icon-doc-text-inv';
    } elseif ($format == 'video') {
        $icon = 'icon-video';
    } elseif ($format == 'gallery') {
        $icon = 'icon-picture';
    } elseif ($format == 'audio') {
        $icon = 'icon-volume-up';
    } else {
        if ($the_post_thumbnail == '') {
            $icon = 'icon-doc-text-inv';
        } else {
            $icon = 'icon-picture-1';
        }
    }

    return $icon;
}



function code125_is_rtl() {
	global $c5_skindata;
    $rtl = $c5_skindata['rtl'];
    $main_rtl = ot_get_option('rtl');
    if (is_rtl()) {
        if ($rtl == 'no' && $main_rtl == 'yes') {
            $rtl_bool = false;
        } else {
            $rtl_bool = true;
        }
    } else {
        if ($rtl == 'yes') {
            $rtl_bool = true;
        } else {
            $rtl_bool = false;
        }
    }

    return $rtl_bool;
}

function get_login_form($class = '') {

    if (!is_user_logged_in()) {

        $data = '<form name="loginform" id="loginform" action="' . home_url() . '/wp-login.php" method="post" class="' . $class . ' clearfix"><div class="input-wrap"><input type="text" name="log" class="element-block" id="user_login" class="input" placeholder="' . __('username', 'code125') . '" size="20" /><span class="icon-user"></span></div><div class="clearfix"></div><div class="input-wrap"><input type="password" name="pwd" class="element-block" id="user_pass" class="input" placeholder="' . __('******', 'code125') . '" size="20" /><span class="icon-lock"></span></div>';
        
        
        $data .= '<div class="row"><div class="col-xs-6"><p class="login-remember"><label><input name="rememberme" type="checkbox" id="rememberme" value="forever">' . __('Remember Me', 'code125') . '</label></p></div><div class="col-xs-6"><input type="submit" name="wp-submit" id="wp-submit" class="button-primary " value="' . __('Login', 'code125') . '"></div></div>';
        
        $data .='<p class="login-submit"><a class="forget_password" href="' . wp_lostpassword_url(home_url()) . '">' . __('Forget Password ?', 'code125') . '</a> - <a class="forget_password" href="' . home_url() . '/wp-login.php?action=register">' . __('Register', 'code125') . '</a><input type="hidden" name="redirect_to" value="' . home_url() . '"></p></form>';
    } else {

        $user_id = get_current_user_id();



        $user = get_userdata($user_id);

        $facebook_user = get_the_author_meta('facebook', $user_id);
        $twitter_user = get_the_author_meta('twitter', $user_id);
        $position_user = get_the_author_meta('position', $user_id);

        $google_plus_user = get_the_author_meta('google_plus', $user_id);
        $behance_user = get_the_author_meta('behance', $user_id);
        $dribble_user = get_the_author_meta('dribble', $user_id);

        $avatar = get_avatar($user_id, '64', '', '<span class="icon-user"></span>');

        $data = '<div class="' . $class . ' clearfix"><div class="box-container "><div class="row"><div class="col-xs-4">' . $avatar . '</div><div class="col-xs-8"><p>' . __('Hello, ', 'code125') . ' ' . $user->display_name . '</p><a class="button-primary" href="' . wp_logout_url(home_url()) . '">' . __('Logout', 'code125') . '</a></div></div></div></div>';
    }

    return $data;
}

function get_category_to_follow($post_id) {

    $meta_values = get_post_custom($post_id);

    $tax = get_post_tax($post_id);

    $terms = wp_get_post_terms($post_id, $tax);

    if (!isset($meta_values['cat_id'][0])) {
        $cat_id = $terms[0]->term_id;
    } else {
        if ($meta_values['cat_id'][0] != '') {
            $cat_id = $meta_values['cat_id'][0];
        } else {
            $cat_id = $terms[0]->term_id;
        }
    }
    return $cat_id;
}

function getConnectionWithAccessToken($cons_key, $cons_secret, $oauth_token, $oauth_token_secret) {
    $connection = new TwitterOAuth($cons_key, $cons_secret, $oauth_token, $oauth_token_secret);
    return $connection;
}

//convert links to clickable format
function convert_links($status, $targetBlank = true, $linkMaxLen = 250) {

    // the target
    $target = $targetBlank ? " target=\"_blank\" " : "";

    // convert link to url
    $status = preg_replace("/((http:\/\/|https:\/\/)[^ )
	]+)/e", "'<a href=\"$1\" title=\"$1\" $target >'. ((strlen('$1')>=$linkMaxLen ? substr('$1',0,$linkMaxLen).'...':'$1')).'</a>'", $status);

    // convert @ to follow
    $status = preg_replace("/(@([_a-z0-9\-]+))/i", "<a href=\"http://twitter.com/$2\" title=\"Follow $2\" $target >$1</a>", $status);

    // convert # to search
    $status = preg_replace("/(#([_a-z0-9\-]+))/i", "<a href=\"https://twitter.com/search?q=$2\" title=\"Search $1\" $target >$1</a>", $status);

    // return the status
    return $status;
}

//convert dates to readable format	
function relative_time($a) {
    //get current timestampt
    $b = strtotime("now");
    //get timestamp when tweet created
    $c = strtotime($a);
    //get difference
    $d = $b - $c;
    //calculate different time values
    $minute = 60;
    $hour = $minute * 60;
    $day = $hour * 24;
    $week = $day * 7;

    if (is_numeric($d) && $d > 0) {
        //if less then 3 seconds
        if ($d < 3)
            return "right now";
        //if less then minute
        if ($d < $minute)
            return floor($d) . " seconds ago";
        //if less then 2 minutes
        if ($d < $minute * 2)
            return "about 1 minute ago";
        //if less then hour
        if ($d < $hour)
            return floor($d / $minute) . " minutes ago";
        //if less then 2 hours
        if ($d < $hour * 2)
            return "about 1 hour ago";
        //if less then day
        if ($d < $day)
            return floor($d / $hour) . " hours ago";
        //if more then day, but less then 2 days
        if ($d > $day && $d < $day * 2)
            return "yesterday";
        //if less then year
        if ($d < $day * 365)
            return floor($d / $day) . " days ago";
        //else return more than a year
        return "over a year ago";
    }
}





//deactivate WordPress function
remove_shortcode('gallery', 'gallery_shortcode');

//activate own function
add_shortcode('gallery', 'code125_gallery_shortcode');

//the own renamed function
function code125_gallery_shortcode($attr) {
    $post = get_post();

    static $instance = 0;
    $instance++;

    if (!empty($attr['ids'])) {
        // 'ids' is explicitly ordered, unless you specify otherwise.
        if (empty($attr['orderby']))
            $attr['orderby'] = 'post__in';
        $attr['include'] = $attr['ids'];
    }

    // Allow plugins/themes to override the default gallery template.
    $output = apply_filters('post_gallery', '', $attr);
    if ($output != '')
        return $output;

    // We're trusting author input, so let's at least make sure it looks like a valid orderby statement
    if (isset($attr['orderby'])) {
        $attr['orderby'] = sanitize_sql_orderby($attr['orderby']);
        if (!$attr['orderby'])
            unset($attr['orderby']);
    }

    extract(shortcode_atts(array(
                'order' => 'ASC',
                'orderby' => 'menu_order ID',
                'id' => $post ? $post->ID : 0,
                'itemtag' => 'dl',
                'icontag' => 'dt',
                'captiontag' => 'dd',
                'columns' => 3,
                'size' => 'thumbnail',
                'include' => '',
                'exclude' => ''
                    ), $attr, 'gallery'));

    $id = intval($id);
    if ('RAND' == $order)
        $orderby = 'none';

    if (!empty($include)) {
        $_attachments = get_posts(array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby));

        $attachments = array();
        foreach ($_attachments as $key => $val) {
            $attachments[$val->ID] = $_attachments[$key];
        }
    } elseif (!empty($exclude)) {
        $attachments = get_children(array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby));
    } else {
        $attachments = get_children(array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby));
    }

    if (empty($attachments))
        return '';

    if (is_feed()) {
        $output = "\n";
        foreach ($attachments as $att_id => $attachment)
            $output .= wp_get_attachment_link($att_id, $size, true) . "\n";
        return $output;
    }

    $itemtag = tag_escape($itemtag);
    $captiontag = tag_escape($captiontag);
    $icontag = tag_escape($icontag);
    $valid_tags = wp_kses_allowed_html('post');
    if (!isset($valid_tags[$itemtag]))
        $itemtag = 'dl';
    if (!isset($valid_tags[$captiontag]))
        $captiontag = 'dd';
    if (!isset($valid_tags[$icontag]))
        $icontag = 'dt';

    $columns = intval($columns);
    $itemwidth = $columns > 0 ? floor(100 / $columns) : 100;
    $float = is_rtl() ? 'right' : 'left';

    $selector = "gallery-{$instance}";

    $gallery_style = $gallery_div = '';
    if (apply_filters('use_default_gallery_style', true))
        $gallery_style = "
     		<style type='text/css'>
     			#{$selector} {
     				margin: auto;
     			}
     			#{$selector} .gallery-item {
     				float: {$float};
     				margin-top: 10px;
     				text-align: center;
     				width: {$itemwidth}%;
     			}
     			#{$selector} img {
     				
     			}
     			#{$selector} .gallery-caption {
     				margin-left: 0;
     			}
     			/* see gallery_shortcode() in wp-includes/media.php */
     		</style>";
    $size_class = sanitize_html_class($size);
    $gallery_div = "<div id='$selector' class='gallery galleryid-{$id} gallery-columns-{$columns} gallery-size-{$size_class} flexslider features '><ul class='slides gallery_slider'>";
    $output = apply_filters('gallery_style', $gallery_style . "\n\t\t" . $gallery_div);

    $i = 0;
    foreach ($attachments as $id => $attachment) {
       
       $size = code125_generate_image_size( $GLOBALS['main_content_width'], $GLOBALS['main_content_width'] *0.7 , 'xx', true, false);
       
		$itemtag = 'li';
        $i++;

        $full_img = wp_get_attachment_image_src($id, 'full', false);

        $image_output = wp_get_attachment_image($id, $size, false);

        $image_meta = wp_get_attachment_metadata($id);

        $orientation = '';
        if (isset($image_meta['height'], $image_meta['width']))
            $orientation = ( $image_meta['height'] > $image_meta['width'] ) ? 'portrait' : 'landscape';

        $output .= "<{$itemtag} class='gallery-item'>";
        $output .= "
     			<{$icontag} class='gallery-icon {$orientation}'><a href=\"" . $full_img[0] . "\" class='' >
     				$image_output
     			</a></{$icontag}>";
        if ($captiontag && trim($attachment->post_excerpt)) {
            $output .= "
     				<{$captiontag} class='wp-caption-text gallery-caption'>
     				" . wptexturize($attachment->post_excerpt) . "
     				</{$captiontag}></a>";
        }
        $output .= "</{$itemtag}>";
    }

    $output .= "</ul></div>\n";

    return $output;
}




function c5_admin_head_ob_start(){

	ob_start();

}
add_action('admin_head', 'c5_admin_head_ob_start');





?>