<?php
/** بسم الله الرحمن الرحيم **
 *
 * Plugin Name: Code125 Icons  
 * Plugin URI: http://code125.com/
 * Description: Add Icons Support to the theme..
 * Version: 1.0
 * Author: Code125
 * Author URI: http://themeforest.net/user/Code125
 * License: GPLV3
 *
 */



include_once('icons-list.php');
include_once('theme-options.php');

function c5_register_icons_css() {
	wp_register_style( 'c5-icons',get_template_directory_uri() . '/library/includes/libraries/c5-icons/icons.css'  );
	wp_enqueue_style( 'c5-icons' );
}


 add_action('wp_enqueue_scripts', 'c5_register_icons_css');

function c5_icons_style_head() {
?>
<!--Custom Icons -->
<style>
<?php 
$custom_icons = ot_get_option('custom_icons', array());
      
   $sizes= array('16','24','32','48','64','128','256');
       if ($custom_icons) {
           foreach ($custom_icons as $custom_icon) {
           	$link_id = get_attachment_id_from_src($custom_icon['icon']);
           	foreach ($sizes as $size) {
					if(isset($custom_icon['i'.$size])){
					if($custom_icon['i'.$size][0] == 'yes'){
					$image_url =  wp_get_attachment_image_src($link_id, $size . 'x' . $size);
					?>
					.xcon-<?php echo $size ?>-<?php echo $custom_icon['title'] ?>{
						background: url('<?php echo $image_url[0] ?>') no-repeat center center;
						width: <?php echo $size ?>px;
						height: <?php echo $size ?>px;
						display: block;
						float: left;
					}
					@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) { 
					    .xcon-<?php echo $size ?>-<?php echo $custom_icon['title'] ?>{
					    	background-size: 100% 100%%;
					    }
					}
					<?php
					
					}
				}
				}
           	
               
           }
       }

 ?>

</style>

<?php	
}
add_action( 'wp_head', 'c5_icons_style_head' );

?>