<?php
/**
 * Initialize the options before anything else. 
 */
add_action( 'admin_init', '_custom_theme_options_icons', 100 );

/**
 * Theme Mode demo code of all the available option types.
 *
 * @return    void
 *
 * @access    private
 * @since     2.0
 */
function _custom_theme_options_icons() {
  
  /**
   * Get a copy of the saved settings array. 
   */
  $saved_settings = get_option( 'option_tree_settings', array() );
  
  /**
   * Create a custom settings array that we pass to 
   * the OptionTree Settings API Class.
   */
  
  
  $new_section = array(
    'title'       => 'Custom Icons',
    'id'          => 'custom_icons'
  );
  array_push($saved_settings['sections'], $new_section);
  
  
  
  
      	$new_settings =   array(
      	      'label' => 'Custom Icons',
      	      'id' => 'custom_icons',
      	      'type' => 'list-item',
      	      'desc' => 'Add New Custom Post Type.',
      	      'settings' => array(
      	         array(
      	              'label' => 'Icon',
      	              'id' => 'icon',
      	              'type' => 'upload',
      	              'desc' => 'Upload the icon you want to re-use',
      	              'std' => '',
      	              'rows' => '',
      	              'post_type' => '',
      	              'taxonomy' => '',
      	              'class' => ''
      	          ),
      	          array(
      	            'label'       => '16x16px',
      	            'id'          => 'i16',
      	            'type'        => 'checkbox',
      	            'desc'        => '16x16px thumb',
      	            'choices'     => array(
      	              array (
      	                'label'       => 'Yes',
      	                'value'       => 'yes'
      	              )
      	            ),
      	            'std'         => '',
      	            'rows'        => '',
      	            'post_type'   => '',
      	            'taxonomy'    => '',
      	            'class'       => ''
      	          ),
      	          array(
      	            'label'       => '24x24px',
      	            'id'          => 'i24',
      	            'type'        => 'checkbox',
      	            'desc'        => '24x24px thumb',
      	            'choices'     => array(
      	              array (
      	                'label'       => 'Yes',
      	                'value'       => 'yes'
      	              )
      	            ),
      	            'std'         => '',
      	            'rows'        => '',
      	            'post_type'   => '',
      	            'taxonomy'    => '',
      	            'class'       => ''
      	          ),
      	          array(
      	            'label'       => '32x32px',
      	            'id'          => 'i32',
      	            'type'        => 'checkbox',
      	            'desc'        => '32x32px thumb',
      	            'choices'     => array(
      	              array (
      	                'label'       => 'Yes',
      	                'value'       => 'yes'
      	              )
      	            ),
      	            'std'         => '',
      	            'rows'        => '',
      	            'post_type'   => '',
      	            'taxonomy'    => '',
      	            'class'       => ''
      	          ),
      	          array(
      	            'label'       => '48x48px',
      	            'id'          => 'i48',
      	            'type'        => 'checkbox',
      	            'desc'        => '48x48px thumb',
      	            'choices'     => array(
      	              array (
      	                'label'       => 'Yes',
      	                'value'       => 'yes'
      	              )
      	            ),
      	            'std'         => '',
      	            'rows'        => '',
      	            'post_type'   => '',
      	            'taxonomy'    => '',
      	            'class'       => ''
      	          ),
      	          array(
      	            'label'       => '64x64px',
      	            'id'          => 'i64',
      	            'type'        => 'checkbox',
      	            'desc'        => '64x64px thumb',
      	            'choices'     => array(
      	              array (
      	                'label'       => 'Yes',
      	                'value'       => 'yes'
      	              )
      	            ),
      	            'std'         => '',
      	            'rows'        => '',
      	            'post_type'   => '',
      	            'taxonomy'    => '',
      	            'class'       => ''
      	          ),
      	          array(
      	            'label'       => '128x128px',
      	            'id'          => 'i128',
      	            'type'        => 'checkbox',
      	            'desc'        => '128x128px thumb',
      	            'choices'     => array(
      	              array (
      	                'label'       => 'Yes',
      	                'value'       => 'yes'
      	              )
      	            ),
      	            'std'         => '',
      	            'rows'        => '',
      	            'post_type'   => '',
      	            'taxonomy'    => '',
      	            'class'       => ''
      	          ),
      	          array(
      	            'label'       => '256x256px',
      	            'id'          => 'i256',
      	            'type'        => 'checkbox',
      	            'desc'        => '256x256px thumb',
      	            'choices'     => array(
      	              array (
      	                'label'       => 'Yes',
      	                'value'       => 'yes'
      	              )
      	            ),
      	            'std'         => '',
      	            'rows'        => '',
      	            'post_type'   => '',
      	            'taxonomy'    => '',
      	            'class'       => ''
      	          ),
      	      ),
      	      'std' => '',
      	      'rows' => '',
      	      'post_type' => '',
      	      'taxonomy' => '',
      	      'class' => '',
      	      'section' => 'custom_icons'
      	  );
      	
      	array_push($saved_settings['settings'], $new_settings);
      	  
      
  
    
  /* allow settings to be filtered before saving */
  $custom_settings = apply_filters( 'option_tree_settings_args', $saved_settings );
  
  
    update_option( 'option_tree_settings', $saved_settings ); 
    
  
  
}