<?php 

function c5_print_layout($content = 'page' , $sidebar = 'page') {
	global $c5_skindata;
	global $c5_is_header;
	$c5_is_header = false;
	$info_array  = explode("-", $c5_skindata['layout_width']);
	
	$total_width = $info_array[0];
	unset($info_array[0]);
	
	$sidebars_width = 0;
	$sidebars_count = 0;
	$sidebars_small_count = 0;
	$sidebars_large_count = 0;
	
	$sidebar_large_width_std = $GLOBALS['c5_sidebar_large_width_std'] ;
	$sidebar_small_width_std = $GLOBALS['c5_sidebar_small_width_std'];
	$padding_std = $GLOBALS['c5_padding'];
	
	
	foreach ($info_array as  $key =>  $value) {
		if($value == 'S'){
			$sidebars_width = $sidebars_width + $sidebar_small_width_std + $padding_std;
			$sidebars_count++;
			$sidebars_small_count++;
		}elseif ($value == 'B') {
			$sidebars_width = $sidebars_width + $sidebar_large_width_std + $padding_std;
			$sidebars_count++;
			$sidebars_large_count++;
		}
	}
	$main_sl_class = '';
	if($sidebars_small_count == 2 || ($sidebars_small_count == 1 && $sidebars_large_count == 0  ) ){
		$main_sl_class = 'sl-c-750';
	}
	if($sidebars_large_count > 0){
		$main_sl_class = 'sl-c-630';
	}
	
	$main_content_width = $total_width - $sidebars_width;
	
	$i = 1;
	$order = 1;
	if($sidebars_count > 1 ){
		$sidebars_count_bool = false;
	}else {
		$sidebars_count_bool = true;
	}
	$final_order = array();
	foreach ($info_array as  $key =>  $value) {
		if($value == 'S'){
			$final_order[$key] = array(
				'position'=> $key,
				'width'=> $sidebar_small_width_std,
				'order'=> $order,
				'type'=> 'sidebar',
				'code'=> 'S',
				'alone' => $sidebars_count_bool
			);
			$order++;
		}elseif ($value == 'B') {
			$final_order[$key] = array(
				'position'=> $key,
				'width'=> $sidebar_large_width_std,
				'order'=> $order,
				'type'=> 'sidebar',
				'code'=> 'B',
				'alone' => $sidebars_count_bool
			);
			$order++;
		}elseif ($value == 'C') {
			$final_order[$key] = array(
				'position'=> $key,
				'width'=> $main_content_width,
				'order'=> false,
				'type'=> 'content',
				'code'=> 'C',
			);
		}
	}
	
	
	echo '<div class="c5_mobile_row clearfix">';
	foreach ($final_order as $key => $value) {
		switch ($value['order']) {
			case '1':
				$class = '';
				if($sidebars_count == 1){
					if($sidebars_small_count == 1 || $sidebars_large_count == 1){
						$class = " sl-h-anchor";
					}
				}
				echo '<div class="sidebar_left '.$class.'"><span sidebar-id="c5-sidebar-'.$value['order'].'" class="icon-forward"></span></div>';
				break;
			case '2':
				echo '<div class="sidebar_right sl-h-anchor"><span sidebar-id="c5-sidebar-'.$value['order'].'" class="icon-reply"></span></div>';
				break;
		}
		
	}
	echo '</div>';
	
	
	
	
	foreach ($final_order as $key => $c5_element) {
		switch ($c5_element['code']) {
			case 'S':
				$class_name = 'c5pan_'.$sidebar_small_width_std.'_'.$total_width ;
				
				if($c5_element['alone'] || ($sidebars_small_count == 2  && $c5_element['order']==1)){
					$class_name .= ' sl-w-180';
				}else {
					$class_name .= ' sl-h-180';
				}
				
				$GLOBALS['c5-sidebar-active'] = true;
				echo '<div id="c5-sidebar-'.$c5_element['order'].'" class="c5pan '.$class_name.'">';
				code125_get_sidebar($c5_skindata['sidebar_' . $c5_element['order'] . '_s']  , $sidebar  , '180') ;
				echo '</div>';
				$GLOBALS['c5-sidebar-active'] = false;
				break;
			case 'B':
				$class_name = 'c5pan_'.$sidebar_large_width_std.'_'.$total_width ;
				
				if($sidebars_large_count == 2  && $c5_element['order']==2){
					$class_name .= ' sl-h-300';
				}else {
					$class_name .= ' sl-w-300';
				}
				$GLOBALS['c5-sidebar-active'] = true;
				echo '<div id="c5-sidebar-'.$c5_element['order'].'" class="c5pan '.$class_name.'">';
				code125_get_sidebar($c5_skindata['sidebar_' . $c5_element['order']] , $sidebar  , '300') ;
				echo '</div>';
				$GLOBALS['c5-sidebar-active'] = false;
				break;
				break;
			case 'C':
				$class_name = 'c5pan_'.$main_content_width.'_'.$total_width . ' ' . $main_sl_class . ' ' ;
				echo '<div class="c5pan '.$class_name.'  sl-m">';
				get_template_part( 'library/includes/templates/c5'. $content , 'content' );
				echo '</div>';
				break;
		
		}
		
	}
	
	/*
	
	
	$c5_array = explode("*", $c5_skindata['layout']);
	if(is_single()){
		$post_type = get_post_type(get_the_ID() );
		if($post_type=='infographics'){
			$c5_array = array('3');
			$GLOBALS['main_content_width'] = $c5_skindata['page_width'];
		}
	
	}
	
	if($c5_skindata['page_width'] == '960'){
		foreach ($c5_array as $key => $c5_element) {
			if($c5_element == '2'){
				unset($c5_array[$key]);
				break;
			}
		}
	}
	if($c5_skindata['page_width'] == '728'){
		foreach ($c5_array as $key => $c5_element) {
			if($c5_element == '2' || $c5_element == '1'){
				unset($c5_array[$key]);
			}
		}
	}
	
	echo '<div class="c5_mobile_row clearfix">';
	foreach ($c5_array as $c5_element) {
		switch ($c5_element) {
			case '1':
				echo '<div class="sidebar_left"><span class="icon-menu"></span></div>';
				break;
			case '2':
				if(count($c5_array) == 3 ){
					echo '<div class="sidebar_right"><span class="icon-menu"></span></div>';
				}
				break;
			
		
		}
		
	}
	echo '</div>';
		foreach ($c5_array as $c5_element) {
			switch ($c5_element) {
				case '1':
					$class_name = 'c5pan_'.$c5_skindata['sidebar_width_1'].'_'.$c5_skindata['page_width'] ;
					echo '<div class="c5pan '.$class_name.'">';
					code125_get_sidebar($c5_skindata['sidebar_1'] , $sidebar  , $c5_skindata['sidebar_width_1']) ;
					echo '</div>';
					break;
				case '2':
					if(count($c5_array) == 3 ){
						$class_name = 'c5pan_'.$c5_skindata['sidebar_width_2'].'_'.$c5_skindata['page_width'] ;
						echo '<div class="c5pan '.$class_name.'">';
						code125_get_sidebar($c5_skindata['sidebar_2'] , $sidebar  . '_small' , $c5_skindata['sidebar_width_2']) ;
						echo '</div>';
					}
					break;
				case '3':
					$class_name = 'c5pan_'.$GLOBALS['main_content_width'].'_'.$c5_skindata['page_width'] ;
					echo '<div class="c5pan '.$class_name.'">';
					get_template_part( 'library/includes/templates/c5'. $content , 'content' );
					echo '</div>';
					break;
			
			}
			
		}
		*/
		
}


 ?>