<?php 

add_action('code125_social_data', 'code125_social_data_function');

function code125_social_data_activation() {
	if ( !wp_next_scheduled( 'code125_social_data' ) ) {
		wp_schedule_event( time(), 'min30', 'code125_social_data');
	}
}
add_action('wp', 'code125_social_data_activation');

function code125_social_data_function() {
			        
	$total_count= 0;
	if(function_exists('c5_get_all_posts_in_array')){
		$post_types = c5_get_all_posts_in_array();
	}else {
		$post_types = array('post');
	}
	
	foreach ($post_types as $post_type) {
		query_posts('posts_per_page=-1&post_type='.$post_type);
		 if (have_posts()) : while (have_posts()) : the_post();
		 	$vote_count = 0;
		 	$url = get_permalink( get_the_ID() );
		 	
		 	
		 	
		 	$fql  = "SELECT url, normalized_url, share_count, like_count, comment_count, ";
		 	$fql .= "total_count, commentsbox_count, comments_fbid, click_count FROM ";
		 	$fql .= "link_stat WHERE url = '".$url."'";
		 	
		 	$apifql="https://api.facebook.com/method/fql.query?format=json&query=".urlencode($fql);
		 	$json=json_decode(file_get_contents($apifql) );
		 	
		 	$fb_count =  (isset($json[0]->commentsbox_count)) ? $json[0]->commentsbox_count : 0;
		 	
		 	$fb_shares =  (isset($json[0]->share_count)) ? $json[0]->share_count : 0;
		 	$tw_shares = get_total_number_of_twitter_shares(get_the_ID());
		 	$gplus_shares =  get_total_number_of_gplus_shares(get_the_ID());
		 	
		 	$pintrest_pins =  get_total_number_of_pintrest_pins(get_the_ID());
		 	$like_count = (isset($json[0]->like_count)) ? $json[0]->like_count : 0;
		 	
		 	$total_share = $fb_shares + $tw_shares + $gplus_shares + $like_count + $pintrest_pins;
		 	
		 	$vote_count = get_post_meta(get_the_ID(), "votes_count", true);
		 	$views_count = getPostViews(get_the_ID());
		 	$array = array(
		 		'fb_commnets' => $fb_count,
		 		'fb_shares' => $fb_shares,
		 		'tw_shares' => $tw_shares,
		 		'like_count' => $like_count,
		 		'gplus_shares' => $gplus_shares,
		 		'pintrest_pins' => $pintrest_pins,
		 		'total_share' => $total_share,
		 		'vote_count' => $vote_count,
		 		'views_count' => $views_count
		 	);
		 	
		 	
		 	update_post_meta(get_the_ID(), 'fb_commnets', $fb_count );	
		 	update_post_meta(get_the_ID(), 'fb_shares', $fb_shares );
		 	update_post_meta(get_the_ID(), 'tw_shares', $tw_shares );
		 	update_post_meta(get_the_ID(), 'like_count', $like_count );
		 	update_post_meta(get_the_ID(), 'gplus_shares', $gplus_shares );
		 	update_post_meta(get_the_ID(), 'pintrest_pins', $pintrest_pins );
		 	update_post_meta(get_the_ID(), 'total_share', $total_share );
		 	update_post_meta(get_the_ID(), 'vote_count', $vote_count );
		 	update_post_meta(get_the_ID(), 'views_count', $views_count );
		 	
		 	
		 	$total_count= $total_count + $fb_count;
		 	
		 	
		 	c5_update_my_post_rating(get_the_ID());
		 	
		
		endwhile;
		endif;

		wp_reset_query();
	}
	
			update_option('total_fb_comment_count',$total_count);

	
	
}
///


add_action('code125_social_data_5min', 'code125_social_data_5min_function');

function code125_social_data_5min_activation() {
	if ( !wp_next_scheduled( 'code125_social_data_5min' ) ) {
		wp_schedule_event( time(), 'min5', 'code125_social_data_5min');
	}
}
add_action('wp', 'code125_social_data_5min_activation');


function code125_social_data_5min_function() {
			        
	$total_count= 0;
	if(function_exists('c5_get_all_posts_in_array')){
		$post_types = c5_get_all_posts_in_array();
	}else {
		$post_types = array('post');
	}
	
	foreach ($post_types as $post_type) {
		query_posts('posts_per_page=-1&post_type='.$post_type);
		 if (have_posts()) : while (have_posts()) : the_post();
		 	$vote_count = 0;
		 	
		 	$array = array(
		 		'total_share' => get_post_meta(get_the_ID(), 'total_share' ),
		 		'vote_count' => get_post_meta(get_the_ID(), "votes_count", true),
		 		'views_count' => getPostViews(get_the_ID())
		 	);
		 	
		 	
		 	$compare_parameters = array('vote_count', 'views_count' , 'total_share' );
		 	
		 	foreach ($compare_parameters as $key ) {
		 	
		 		
		 		$post_data = get_option('post_' . $key . '_' . get_the_ID() );
		 		if(!is_array($post_data)){
		 			$post_data = array();
		 		}
		 		
		 		$interval = 5*60;
		 		$post_data[] =array(
		 			'time'=>time(),
		 			'value'=>$array[$key]
		 		);
		 		$array_count = count($post_data);
		 		
		 		if($array_count == 1){
		 			$diff = $post_data[0]['value'];
		 		}else {
		 			do{
		 				$array_count = count($post_data);
		 				
		 				if( ($post_data[$array_count -1 ]['time'] - $post_data[0]['time']) > $interval){
		 					array_shift($post_data);
		 				}
		 				$array_count = count($post_data);
		 			} while ( $post_data[$array_count -1 ]['time'] - $post_data[0]['time'] > $interval );
		 			
		 			$diff_hour = $post_data[$array_count -1 ]['value'] - $post_data[0]['value'];
		 			$diff_5_min = $post_data[$array_count -1 ]['value'] - $post_data[$array_count -2]['value'];
		 		}
		 		
		 		
		 		
		 		
		 		update_post_meta( get_the_ID() , 'c5_' . $key .'_hour'  , $diff_hour);
		 		update_post_meta( get_the_ID() , 'c5_' . $key .'_5min' , $diff_5_min);
		 		update_option( 'post_' . $key . '_' . get_the_ID() , $post_data);
		 	
		 	
		 		
		 	}
		 	
		 	
		 	
		 	
		 	
		
		endwhile;
		endif;

		wp_reset_query();
	}
	
	
	
	
}






/// Social data widget 



add_action('code125_social_data_widget', 'code125_social_data_function_widget');

function code125_social_data_activation_widget() {
	if ( !wp_next_scheduled( 'code125_social_data_widget' ) ) {
		wp_schedule_event( time(), 'min5', 'code125_social_data_widget');
	}
}
add_action('wp', 'code125_social_data_activation_widget');

function code125_social_data_function_widget() {
			        
	$social_widget = ot_get_option('social_widget');
	$fb_count = 0;
	$tw_count = 0;
	$gp_count = 0;
	$youtube_count = 0;
	$vimeo_count = 0;
	
	$array_count = array();
	
	if( in_array('facebook', $social_widget) ){
		$facebook = ot_get_option('facebook');
		if($facebook!=''){
			$fb_count = code125_fb_fan_count($facebook);
		}
		$array_count['facebook'] = array(
			'username'=> $facebook,
			'count'=> $fb_count,
		);
	}
	
	if( in_array('twitter', $social_widget) ){
		$consumerkey = ot_get_option('consumerkey');
		$consumersecret = ot_get_option('consumersecret');
		$accesstoken = ot_get_option('accesstoken');
		$accesstokensecret = ot_get_option('accesstokensecret');
		$username = ot_get_option('twitter');
		if(empty($consumerkey) || empty($consumersecret)  || empty($accesstoken) || empty($accesstokensecret)  || empty($username) ){
			$tw_count = 0;
		}else {
			$tw_count = code125_twitter_followers();
			
		}
	
	
		$array_count['twitter'] = array(
			'username'=> $username,
			'count'=> $tw_count,
		);
	}
	
	
	if( in_array('gplus', $social_widget) ){
		$gplus = ot_get_option('google_plus');
		if($gplus!=''){
			$gp_count = get_my_google_plus_profile($gplus);
		}
		
	
		$array_count['google_plus'] = array(
			'username'=> $gplus,
			'count'=> $gp_count,
		); 
	}
	
	
	if( in_array('youtube', $social_widget) ){
		$youtube = ot_get_option('youtube');
		if($gplus!=''){
			$youtube_count = c5_get_youtube_followers($youtube);
			
		}
		
	
		$array_count['youtube'] = array(
			'username'=> $youtube,
			'count'=> $youtube_count,
		);
	}
	
	
	if( in_array('vimeo', $social_widget) ){
		$vimeo = ot_get_option('vimeo');
		if($vimeo!=''){
			$vimeo_count = c5_get_vimeo_followers($vimeo);
			
		}
	
		$array_count['vimeo'] = array(
			'username'=> $vimeo,
			'count'=> intval($vimeo_count[0]),
		);
	}
	
	update_option('c5_social_count' , $array_count);
	
	
	
	
	
}

add_filter( 'cron_schedules', 'cron_add_5mins' );
 
 function cron_add_5mins( $schedules ) {
 	$schedules['min5'] = array(
 		'interval' => 300,
 		'display' => 'Once Every 5 Minutes'
 	);
 	return $schedules;
 }
 
 add_filter( 'cron_schedules', 'cron_add_30mins' );
  
  function cron_add_30mins( $schedules ) {
  	$schedules['min30'] = array(
  		'interval' => 1800,
  		'display' =>  'Once Every 30 Minutes' 
  	);
  	return $schedules;
  }


 ?>