<?php
//Adding the Open Graph in the Language Attributes
function add_opengraph_doctype( $output ) {
		 return $output . ' prefix="og: http://ogp.me/ns#"';
	}
add_filter('language_attributes', 'add_opengraph_doctype');

//Lets add Open Graph Meta Info

function insert_fb_in_head() {
	
	
	 global $post; 
	 
	 $seo = ot_get_option('seo');
	 
	 if($seo != 'no'){
	 
	 ?>
	 
	 <link rel="author" href="<?php echo ot_get_option( 'google_plus' ); ?>">
	 <?php
	 if(is_home()){ 
	 	$meta_description_echo =  ot_get_option('web_description');
	  }elseif(is_category()){
	 	ob_start();
	 	single_cat_title();
	 	$single_cat_title = ob_get_contents();
	 	ob_end_clean();
	 	$thisCat = get_term_by('name', $single_cat_title, 'category');
	 	$meta_description_echo =  $thisCat->description; 
	 }elseif( is_404( )) {
	 		$meta_description_echo =  '404 Error';
	 	} else{ 
	 $meta_description = get_post_custom_values('meta_description', $post->ID); 
	 $meta_description_echo=  $meta_description[0]; } 
	 
	 ?>
	 <meta name="description" content="<?php echo $meta_description_echo ?>">
	 <meta name="url" content="<?php if( is_home() ) { echo home_url(); } else { the_permalink(); } ?>">
	 
	 <?php } ?>
	 
	 
	 <meta property="og:title" content="<?php if(is_home()) { bloginfo('name'); } elseif(is_category()) { echo single_cat_title();} elseif(is_author()) { $curauth = (get_query_var('author_name')) ? get_user_by('slug', get_query_var('author_name')) : get_userdata(get_query_var('author')); echo $curauth->display_name; } else { echo the_title(); } ?>" />
	 <meta property="og:description" content="<?php if(is_home()){ echo ot_get_option('web_description') ;}elseif(is_category()){
	 ob_start();
	 single_cat_title();
	 $single_cat_title = ob_get_contents();
	 ob_end_clean();
	 $thisCat = get_term_by('name', $single_cat_title, 'category'); echo $thisCat->description; } else{ 
	 $meta_description = get_post_custom_values('meta_description', $post->ID); 
	 echo $meta_description[0];} ?>" />
	 
	 <meta property="og:url" content="<?php if( is_home() ) { echo home_url(); } else { the_permalink(); } ?>" />
	 
	 
	 
	 
	 
	 <?php
	 
	 if(is_single()){
	 	$id_link = get_post_thumbnail_id($post->ID);
	 
	 	$image_url = wp_get_attachment_image_src( $id_link, array(80,80));
	 	if(is_array($image_url)){
	 		$image_url_face = $image_url[0];
	 	}else{
	 		$image_url_face = ot_get_option( 'facebook_thumb' );
	 	}
	 	
	 	
	 }else{
	 	$image_url_face = ot_get_option( 'facebook_thumb' );
	 }
	  ?>
	  
	 
	 <meta property="og:image" content="<?php echo $image_url_face ?>" />
	 
	 <meta property="og:type" content="<?php if (is_single() || is_page()) { echo "article"; } else { echo "website";} ?>" />
	 <meta property="og:site_name" content="<?php bloginfo('name'); ?>" />
	 
	 <meta property="fb:app_id" content="<?php echo ot_get_option('facebook_ID'); ?>" />
	 
	 
	 
	<?php
	
	global $c5_skindata;
	global $c5_headerdata;
	global $c5_footerdata;
	
	
	
	$primary_color=  $c5_skindata['primary_color'];
	if(isset( $_POST['primary_color']) ){
		$primary_color=$_POST['primary_color'];
	}	
	
	 
	 
	
	 
	 $secondary_color = $c5_skindata['secondary_color'] ;
	 $pure_dark = $c5_skindata['text_color'];
	 $pure_light = $c5_skindata['light_text_color'];
	 
	 
	 $text_color = $c5_skindata['text_color'] ;
	 $text_color2 = $c5_skindata['text2_color'] ;
	 $text_color_op = $c5_skindata['light_text_color'] ;
	 $text_color_op2 = $c5_skindata['light_text_color_hover'] ;
	 
	 
	 
	 
	 $GLOBALS['primary_color'] = $primary_color;
	 
	 $primary_color_2 = '#' . hexDarker(substr($primary_color,1), 20);
	 $primary_color__1 = '#' . hexLighter(substr($primary_color,1), 10);
	 
	 
	 
	$main_bg= format_background(  $c5_skindata['main_background'], '#fff'  ); 
		 
	
	
	
	$announcment_bg= format_background_header_primary(  $c5_headerdata['announcment_background'] , '',   $c5_headerdata['announcment_transparency']); 
	
	
	
	
	$header_background_bg = format_background_header_primary(  $c5_headerdata['header_background'] ,  '' ,   $c5_headerdata['header_transparency'] ); 
	
	
	
	
	// footer
	$top_footer_bg= format_background( $c5_footerdata['footer_top_background']  , '' ,   $c5_footerdata['footer_top_transparency']  ); 
	
	$main_footer_bg= format_background( $c5_footerdata['footer_background'] ,'' ,  $c5_footerdata['footer_transparency']  ); 
	
	$bottom_footer_bg= format_background( $c5_footerdata['footer_below_background'] ,'' ,  $c5_footerdata['footer_below_transparency']  ); 
	
	$sticky_footer_bg= format_background( $c5_footerdata['sticky_footer_background'] ,'' ,  $c5_footerdata['sticky_footer_transparency']  ); 
	
	
	
	 $color_1= $primary_color;
	 $color_0 = '#' . hexLighter(substr($color_1,1), 50);
	 $color_2 = '#' . hexDarker(substr($color_1,1), 5);
	 $color_3 = '#' . hexDarker(substr($color_1,1), 10);
	 $color_4 = '#' . hexDarker(substr($color_1,1), 20);
	 $primary_color__2 = '#' . hexLighter(substr($color_1,1), 15);
	 $color_rgb = hex2rgb($primary_color);
	 
	 $primary_color_dark = '#' . hexDarker(substr($color_1,1), 60);
	 
	 ?>
	 
	 <style>
	 
	 body{
	 	<?php echo $main_bg ?>
	 }
	 
	header.header,
	.top-menu-nav ul.menu-sc-nav ul.sub-menu{
	 	<?php  echo $header_background_bg; ?>
	 }
	 
	 
	 #bottom-footer{
	 	<?php  echo $bottom_footer_bg; ?>
	 }
	
	 #main-footer{
	 	<?php  echo $main_footer_bg; ?>
	 }
	 
	 #top-footer{
	 	<?php  echo $top_footer_bg; ?>
	 }
	 
	 #sticky-footer{
	 	<?php echo $sticky_footer_bg; ?>
	 }
	 
	 
	 
	  
	 			 
	       
	       .shortcode_4col_posts li a.data-original:hover,
	        .element a.data-original:hover,
	        #filter li a:hover,
	           #filter li a.selected,
	             
	             .nav-buttons a.flex-active,.nav-buttons a:hover,
	             .liteAccordion .slide > h2.selected span,
	             .liteAccordion .slide > h2:hover span ,
	             ul.custom_tabs2 li.current a, 
	             input#preview_input,
	             
	             p.dark:hover,
	             
	              #topnav  li:hover,
	               #topnav li.show-menu-li,
	               #topnav li li li:hover,
	               #topnav li.current-menu-item,
	                #social_icons li.search.active,
	                #social_icons li.search:hover,
	                #social_icons li.search #top_search,
	                 .tabs li.active ,
	                  .tabs li:hover,
	                  p.shuffle-article a:hover,
	                  p.thumb-cat:hover,
	                  span.list-icon:hover,
	                  p.social-share-count:hover,
	                   p.thumb-cat-3:hover,
	                    p.social-share-count-3:hover,
	                    
	                    .flexslider ol.flex-control-nav li a.flex-active,
	                    .thumb-like:hover p.post-like,
	                    .thumb-like-single:hover,
	                    .post-content ins,
	                    .progress-striped .bar ,
	                    #wp-calendar td#today,
	                    .gallery-item .wp-caption-text.gallery-caption,
	                   
	                    p.side_show,
	                    .lt-ie9 .hover_span,
	                    .lt-ie9 p.dark-mini,
	                    .lt-ie9 .hover_span_wrap a.hover_a,
	                    .flip-post .post-back-wrap ,
	                    .roll-link span:after,
	                    #submit,
	                    a.button span.text,.button-primary,input.button-primary,#mc_signup_submit,
	                    .wrap-icon,
	                    .tags a,
	                    .slides_4col li:hover .alpha-div ,
	                    .element:hover .alpha-div,
	                    ul#filter li:hover a,
	                    a.do-show-more-posts:hover span.hover,
	                    .service-column-wrap.style1 .color-icon,
	                    .thumb-wrap,
	                    .colored-mode,
	                    .large-icon-wrap,
	                    .shortcode_4col_posts ul.flex-direction-nav li:hover a,
	                    .slider_with_title.flexslider ul.flex-direction-nav li:hover a,
	                    .password-protected-form input[type=submit],
	                   
	                    a#gotop,
	                    a.show-full-post:hover span.hover,
	                    .button_num_3_default,
	                    
	                    p.category a,
	                    .post_cat a,
	                    .quick-read:hover,
	                    .flash-news,
	                    a.post-edit-link,
	                    .tags-warp a,
	                    .social_box_count .posts_count:hover,
	                    ul.custom_tabs li  a:hover,
	                    ul.custom_tabs li.current a,
	                    a.c5btn,
	                    a.do-show-more-posts:hover,
	                    .c5-article-blocks a.the_title:hover,
	                    .c5-article-blocks .meta-container,
	                    .posts-ajax-wrap.col-4-slider .flex-direction-nav .flex-next:hover,
	                    .posts-ajax-wrap.col-4-slider .flex-direction-nav .flex-prev:hover,
	                    .rating-box .progress-bar-success,
	                    .dropdown-menu,
	                    .c5-3d-flip-wrap .c5-3d-flip-card .c5-3d-flip-card-back,
	                    .c5-mega-menu-element-wrap .c5-title-wrap,
	                    h3.title .c5-icon,
	                    .c5-single-element-mansory .c5-hidden-content .c5-left-half .icon-search:hover, 
	                    .c5-single-element-mansory .c5-hidden-content .c5-left-half a:hover, 
	                    .c5-single-element-mansory .c5-hidden-content .c5-right-half .icon-search:hover,
	                    .c5-single-element-mansory .c5-hidden-content .c5-right-half a:hover{
	                    	
	  	background-color:<?php echo $primary_color; ?>;
	  }
	  
	  
	  .top-menu-nav  ul.menu-sc-nav  > li.menu-item.c5-mega-menu-li .c5-mega-menu-wrap{
	  	<?php 
	  		$color_rgb = hex2rgb($primary_color);
	  		$grey_rgba =array(51,51,51,0.6);
	  		$primary_color_dark = c5_merge_rgb_rgba($color_rgb , $grey_rgba);
	  		$primary_color_dark_color = 'rgb('.$primary_color_dark[0].','.$primary_color_dark[1].','.$primary_color_dark[2].')';
	  	 ?>
	  	 background: <?php echo $primary_color_dark_color; ?>;
	  	
	  	
	  }
	  a.c5btn{
	  	box-shadow: 0 4px  <?php echo $color_3 ?>;
	  }
	  a.c5btn:hover{
	  	box-shadow: 0 2px  <?php echo $color_3 ?>;
	  }
	  a.c5btn:active{
	  	box-shadow: 0 0px  <?php echo $color_3 ?>;
	  }
	 .top-menu-nav ul.menu-sc-nav > li.menu-item > ul.sub-menu li.menu-item:hover{
	 	
	 	background-color:<?php echo $primary_color_dark_color; ?>;
	 }
	  
	  .social_box_count .posts_count,
	  ul.custom_tabs li  a,
	  ol.bones_page_navi li,
	   header.header{
	  	   border-color:<?php echo $primary_color; ?>;
	  }
	  .pagination a span,
	  .pagination span.page-links-title{
	  	border:1px solid <?php echo $primary_color; ?>;
	  }
	  
	  
	  
	  
	  
	  #submit:hover,
	  a.button span.text:after,
	  .roll-link-html:hover span.hover{
	  	
	  	background-color:<?php echo $primary_color_2; ?>;
	  }
	  
	  .button_num_3_default:hover{
	  	
	  	background-color:<?php echo $primary_color__2; ?>;
	  }
	  
	  
	  .button_num_3_default{
	  	border: 1px solid <?php echo $primary_color_2; ?>;
	  }
	  
	  ::selection {
	  	background: <?php echo $primary_color; ?>;
	  }
	  ::-moz-selection {
	  	background: <?php echo $primary_color; ?>;
	  }
	  
	  .hover_span,
	  p.dark-mini,
	  .hover_span_wrap a.hover_a,
	  .quick-read,
	  .c5-mega-menu-post a.the_title,
	  .c5-article-blocks a.the_title{
	  	background-color:rgba(<?php echo $color_rgb[0]; ?> , <?php echo $color_rgb[1]; ?> , <?php echo $color_rgb[2]; ?> , 0.9);
	  }
	  
	  .c5-article-blocks a.the_title::before{
	  			border-bottom: 20px solid rgba(<?php echo $color_rgb[0]; ?> , <?php echo $color_rgb[1]; ?> , <?php echo $color_rgb[2]; ?> , 0.9);
	  }
	  
	  .footer .flickr img:hover{
	  	border-color:<?php echo $primary_color; ?> ;
	  }
	  .top-wide-nav{
	  	border-top:4px solid <?php echo $primary_color; ?> ;
	  }
	  
	  
	  
	  .blog-thumb-3:hover{
	  	border-left:5px solid <?php echo $primary_color; ?>;
	  }
	  
	  .call_an_action{
	  	border-left:10px solid <?php echo $primary_color; ?>;
	  }
	  
	  a,
	  ul.tweets li a,
	  ul.tweets li a:hover,
	  .custom_ul li:hover span,
	   ul.custom_tabs li a,
	   .c5_mobile_row span,
	   .post-slide .post-slide-content-wrap a.c5btn:hover{
	  	color:<?php echo $primary_color; ?>;
	  }
	  
	  #ribbon{
	  	border-left: 20px solid <?php echo $primary_color; ?>;
	  	border-right: 20px solid <?php echo $primary_color; ?>;
	  	border-top: 20px solid <?php echo $primary_color; ?>;
	  }
	  
	  
	  <?php 
	  
	  
	  $color_0 = '#' . hexLighter(substr($primary_color,1), 10);
	  $color_2 = '#' . hexDarker(substr($primary_color,1), 5);
	  $color_3 = '#' . hexDarker(substr($primary_color,1), 10);
	  $color_4 = '#' . hexDarker(substr($primary_color,1), 20);
	  
	 /* $data ='.button_num_3_default{ background-color: '. $color_1.';
	    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, '. $color_1.'), color-stop(100%, '. $color_3.'));
	    background-image: -webkit-linear-gradient(top, '. $color_1.', '. $color_3.');
	    background-image: -moz-linear-gradient(top, '. $color_1.', '. $color_3.');
	    background-image: -ms-linear-gradient(top, '. $color_1.', '. $color_3.');
	    background-image: -o-linear-gradient(top, '. $color_1.', '. $color_3.');
	    background-image: linear-gradient(top, '. $color_1.', '. $color_3.');
	    border: 1px solid '. $color_4.';} .button_num_3_default:hover {background: '.$color_0.';}';
	    
	    echo $data;
	  */
	   ?>
	   
	 
	  
	  a:hover{
	  	color:<?php echo $primary_color_2; ?>;
	  }
	 
	 /** Secondary Color **/
	 
	 .comment-reply-link,
	 p.author_description,
	 .box-container,
	 .slides_4col li hgroup.data-title,
	 .element hgroup.data-title,
	 ul#filter li a,
	 .slider-bg-wrap,
	 .ul_2_table ul,
	  .slider_with_title,
	  #below-logo-bar.light,
	  #floating-bar.light,
	  a.do-show-more-posts span.text,
	  
	  .toggle h3:hover,
	  .service-column-wrap.style5.flip-post .post-back .post-back-wrap,
	  #loginform input.element-block,
	  .ajax-post-wrap,
	  .product_meta,
	  h3.title .text-wrap,
	  .c5-containter,
	  .blog-thumb,
	  .c5-facebook-likebox,
	  .c5-post-single,
	  .c5-page-single,
	  .widget,
	  .c5-author-page-wrap,
	  .widget .custom_tabs_wrap {
	 	background-color: <?php echo $secondary_color ?>
	 }
	 
	 p.author_description span.arrow-left{
	 	border-right:10px solid <?php echo $secondary_color ?>;
	 }
	 p.author_description span.arrow-up{
	 	border-bottom:10px solid <?php echo $secondary_color ?>;
	 }
	 
	 
	 
	 /** Main text color **/
	 
	 body,
	 .top-menu-nav ul.menu-sc-nav>li.menu-item,
	 .top-menu-nav ul.menu-sc-nav>li.menu-item > a,
	 #crumbs a:hover,
	 #crumbs a:hover:visited,
	 ul.meta-article-entry li:hover,
	 ul.meta-article-entry li:hover a,
	 ul.meta-article-entry li:hover a:hover,
	 ul.meta-article-entry li a:hover,
	 h3.title a,
	 .comment a,
	 .comment .fn,
	 a.post-list-title,
	 ul.tweet_list li a,
	 .blog-thumb h2.blogtitle a,
	 a.do-show-more-posts span.text,
	 .slides_4col li hgroup.data-title a,
	 .element hgroup.data-title a,
	 ul#filter li a,
	 .width_50_right a.author,
	 a.gray,
	 .review-content h4 a,
	 ul.custom_tabs2 li a,
	 .social-mini-icons-sh a,
	 .author_widget h3 a,
	 .author_widget h3,
	 .rev-slider-header h3, 
	 .rev-slider-content,
	 .wrap-post-list.flip-post ul.meta-article-entry li a,
	 .wrap-post-list.flip-post ul.meta-article-entry li p,
	 .wrap-post-list.flip-post ul.meta-article-entry li,
	 .wrap-post-list.flip-post  a.post-list-title,
	 .language-class,
	 .language-class a,
	 #social_icons .language-class a,
	 .toggle h3 a,
	 .toggle h3 span,
	 .toggle h3 a:hover,
	 .service-column-wrap.style5.flip-post .post-back-wrap a,
	 .mini-post .bg,
	 a.show-full-post span.text,
	 .colored-mode .element.account,
	 #crumbs a,
	 .blog-titles a{
	 	color: <?php echo $text_color ?>;
	 }
	 
	 
	
	 
	 .service-column-wrap.style1:hover .color-icon,
	
	a#gotop:hover{
	 	background-color: <?php echo $text_color ?>;
	 }
	 
	 #announcment-bar{
	 	<?php echo $announcment_bg ?>;
	 }
	 
	
	.comment a:hover,
	.comment,
	a.post-list-title:hover
	.wrap-post-list:hover a.post-list-title,
	ul.tweet_list li a:hover,
	.blog-thumb h2.blogtitle a:hover ,
	.slides_4col li hgroup.data-title a:hover,
	.element hgroup.data-title a:hover,
	.width_50_right a.author:hover,
	a.gray:hover,
	.review-content h4 a:hover,
	.social-mini-icons-sh a:hover,
	.author_widget h3 a:hover,
	.wrap-post-list.flip-post ul.meta-article-entry li:hover a,
	.wrap-post-list.flip-post ul.meta-article-entry li:hover p,
	.wrap-post-list.flip-post ul.meta-article-entry li:hover,
	p.subline,
	.language-class:hover,
	.language-class a:hover,
	#social_icons .language-class a:hover,
	.service-column-wrap.style5.flip-post .post-back-wrap a:hover{
		color: <?php echo $text_color2 ?>;
	}
	
	.roll-link-html span.hover,
	.flip-post a,
	.flip-post a:hover,.flip-post:hover a:hover,.flip-post:hover a,
	ul#filter li:hover a,
	ul#filter li a:hover,
	ul#filter li:hover a:hover,
	ul#filter li a.selected,
	.roll-link span:after,
	.wrap-icon,
	.slide_rest ul.meta-entry li p,.slide_rest ul.meta-entry li a,.slide_rest .post-like .like,.slide_rest .post-like .like:hover,.slide_rest ul.meta-entry li a:hover{
		color: <?php echo $text_color_op ?>;
	}
	
	
	  /** Other Stylings **/
	 
	 
	 
	 
	 body{
	 	font-size:<?php echo $c5_skindata['body_fs']  ; ?>px;
	 }
	 .blog-thumb h2.blogtitle{
	 	font-size:<?php echo $c5_skindata['article_title_fs']  ; ?>px;
	 }
	 h3.title span.text,
	 h3.title span,
	 h3.title{
	 	font-size:<?php echo   $c5_skindata['title_fs'] ; ?>px;
	 }
	 .widget h3.title span.text,
	 .widget h3.title span,
	 .widget h3.title{
	 	font-size:<?php echo  $c5_skindata['widget_title_fs'] ; ?>px;
	 }
	 #logo{
	 	font-size:<?php echo  $c5_skindata['logo_fs'] ; ?>px;
	 }
	 .width_50_right a.author{
	 	font-size:<?php echo  $c5_skindata['slider_title_fs']; ?>px;
	 }
	 
	 <?php if( $c5_skindata['heading_transform']=='normal'){  ?>
	 
	 .top-menu-nav ul.menu-sc-nav>li.menu-item > a,
	 h3.title{
	 	text-transform:none;
	 }
	 
	 <?php } ?>
	 
	 <?php if( $c5_skindata['heading_weight']=='t300'){  ?>
	 
	 .top-menu-nav ul.menu-sc-nav>li.menu-item >a,
	 h3.title,
	 h1, h2, h3 {
	 	font-weight:300 !important; 
	 }
	 
	 <?php }elseif ( $c5_skindata['heading_weight']=='t400') { ?>
	.top-menu-nav ul.menu-sc-nav>li.menu-item >a,
	h3.title,
	h1, h2, h3 {
		font-weight:400 !important; 
	}
	
	<?php }elseif ( $c5_skindata['heading_weight']=='t700') { ?>
	.top-menu-nav ul.menu-sc-nav>li.menu-item >a,
	h3.title,
	h1, h2, h3 {
		font-weight:700 !important; 
	}
	
	
	<?php } ?>
	
	<?php if( $c5_skindata['body_weight']=='t300'){  ?>
	 
	 body{
	 	font-weight:300 !important; 
	 }
	 
	 <?php }elseif ( $c5_skindata['body_weight']=='t400') { ?>
	body {
		font-weight:400 !important; 
	}
	
	<?php }elseif ( $c5_skindata['body_weight']=='t700') { ?>
	body{
		font-weight:700 !important; 
	}
	
	
	<?php } ?>
	
	/* CSS crunched with Crunch - http://crunchapp.net/ */
	.comment-wrap{background:#f8f8f8}.comment-wrap:before{border-right-color:#f8f8f8}
	.dark-mode{color:#fff}.dark-mode ul.meta-entry-data{color:#fff}
	.dark-mode a{color:#fff}.dark-mode a:hover{color:#f8f8f9}
	.dark-mode .top-menu-nav ul.menu-sc-nav>li.menu-item,.dark-mode.top-menu-nav ul.menu-sc-nav>li.menu-item{color:#fff}.dark-mode .top-menu-nav ul.menu-sc-nav>li.menu-item>a,.dark-mode.top-menu-nav ul.menu-sc-nav>li.menu-item>a{color:#fff}
	.dark-mode .blog-titles a{color:#fff}
	ul.custom_tabs li a:hover,ul.custom_tabs li.current a,.button-primary,input.button-primary,#submit,#mc_signup_submit,a.c5btn:hover,.metadata-tags-wrap a:hover,a.do-show-more-posts:hover,.top-menu-nav ul.menu-sc-nav>li.menu-item.mega-full-li ul.sub-menu.mega-full-ul a,.top-menu-nav ul.menu-sc-nav ul.sub-menu li.menu-item>a,.top-menu-nav ul.menu-sc-nav>li.menu-item:hover>a,.navigation-shortcode.sidebar.top-menu-nav ul.menu-sc-nav>li.menu-item.current-menu-item a,.c5-article-blocks a.the_title,.c5-article-blocks .meta-container,.c5-article-blocks .meta-container a,.c5-article-blocks ul.meta-entry-data.blog-meta-ul li{color:#fff}
	.top-menu-nav ul.menu-sc-nav>li.menu-item>a:hover{color:#fff}
	.top-menu-nav ul.menu-sc-nav>li.current-menu-item>a{color:#fff}
	#below-logo-bar.dark-mode .breaking-news-ticker,#below-logo-bar.dark-mode p.breaking-title{background:rgba(255,255,255,0.1)}
	.related-post-single,.ad_wrap .ad_160x600,.navigation-shortcode.sidebar.top-menu-nav ul.menu-sc-nav>li.menu-item,.navigation-shortcode.sidebar.top-menu-nav ul.menu-sc-nav{border-color:#eee !important}
	.custom_tabs_wrap_out{background-color:rgba(238,238,238,0.5)}
	.dropdown-menu:before{border-bottom-color:#eee}
	.rating-wrap span.icon-star-half span.unactive{color:#eee}
	.rating-wrap span.unactive{color:#eee}
	.top-menu-nav ul.menu-sc-nav>li.menu-item:hover,.top-menu-nav ul.menu-sc-nav>li.menu-item.current-menu-item{background:rgba(51,51,51,0.5)}
	#below-logo-bar.light-mode .breaking-news-ticker,#below-logo-bar.light-mode p.breaking-title{background:rgba(51,51,51,0.1)}
	ul.meta-entry-data{color:#808080}
	.input-wrap span{color:#333}
	ul.meta-entry-data.blog-meta-ul{border-color:#b3b3b3}ul.meta-entry-data.blog-meta-ul li{border-color:#b3b3b3}
	
	/* 
	.comment-wrap{background:<?php echo $text_color2 ?>}.comment-wrap:before{border-right-color:<?php echo $text_color2 ?>}
	.dark-mode{color:<?php echo $text_color_op ?>}.dark-mode ul.meta-entry-data{color:<?php echo $text_color_op ?>}
	.dark-mode #social_icons a.single-social-icon{color:<?php echo $text_color_op ?>}.dark-mode #social_icons a.single-social-icon:hover{color:<?php echo $text_color2 ?>}
	.dark-mode a{color:<?php echo $text_color_op ?>}.dark-mode a:hover{color:<?php echo $text_color2 ?>}
	.dark-mode .top-menu-nav ul.menu-sc-nav>li.menu-item,.dark-mode.top-menu-nav ul.menu-sc-nav>li.menu-item{color:<?php echo $text_color_op ?>}.dark-mode .top-menu-nav ul.menu-sc-nav>li.menu-item>a,.dark-mode.top-menu-nav ul.menu-sc-nav>li.menu-item>a{color:<?php echo $text_color_op ?>}
	.dark-mode .blog-thumb h2.blogtitle a{color:<?php echo $text_color_op ?>}.dark-mode .blog-thumb h2.blogtitle a:hover{color:<?php echo $text_color2 ?>}
	.dark-mode .blog-titles a{color:<?php echo $text_color_op ?>}
	ul.custom_tabs li a:hover,ul.custom_tabs li.current a,.button-primary,input.button-primary,#submit,#mc_signup_submit,a.c5btn:hover,.metadata-tags-wrap a:hover,a.do-show-more-posts:hover,.top-menu-nav ul.menu-sc-nav>li.menu-item.mega-full-li ul.sub-menu.mega-full-ul a,.top-menu-nav ul.menu-sc-nav ul.sub-menu li.menu-item>a,.top-menu-nav ul.menu-sc-nav>li.menu-item:hover>a,.navigation-shortcode.sidebar.top-menu-nav ul.menu-sc-nav>li.menu-item.current-menu-item a,.c5-article-blocks a.the_title,.c5-article-blocks .meta-container,.c5-article-blocks .meta-container a,.c5-article-blocks ul.meta-entry-data.blog-meta-ul li{color:<?php echo $text_color_op ?>}
	.top-menu-nav ul.menu-sc-nav>li.menu-item>a:hover{color:<?php echo $text_color_op ?>}
	.top-menu-nav ul.menu-sc-nav>li.current-menu-item>a{color:<?php echo $text_color_op ?>}
	#below-logo-bar.dark-mode .breaking-news-ticker,#below-logo-bar.dark-mode p.breaking-title{background:rgba(255,255,255,0.1)}
	.dropdown-menu,.related-post-single,.ad_wrap .ad_160x600,.navigation-shortcode.sidebar.top-menu-nav ul.menu-sc-nav>li.menu-item,.navigation-shortcode.sidebar.top-menu-nav ul.menu-sc-nav{border-color:#eee !important}
	.dropdown-menu,.custom_tabs_wrap_out{background-color:rgba(238,238,238,0.5)}
	.dropdown-menu:before{border-bottom-color:#eee}
	.rating-wrap span.icon-star-half span.unactive{color:#eee}
	.rating-wrap span.unactive{color:#eee}
	.top-menu-nav ul.menu-sc-nav>li.menu-item:hover,.top-menu-nav ul.menu-sc-nav>li.menu-item.current-menu-item{background:rgba(51,51,51,0.5)}
	#below-logo-bar.light-mode .breaking-news-ticker,#below-logo-bar.light-mode p.breaking-title{background:rgba(51,51,51,0.1)}
	ul.meta-entry-data{color:#808080}
	ul.meta-entry-data.blog-meta-ul{border-color:#b3b3b3}ul.meta-entry-data.blog-meta-ul li{border-color:#b3b3b3}
	
	*/
	 
	 
	 
	 <?php 
	 
	
	$width = $GLOBALS['main_width'] ;
	$content_width = $GLOBALS['main_content_width'] ;  
	 $wrap_width = $width+60;
	 $responsive = ot_get_option( 'responsive');
	 
	 	if($responsive =='no'){
	 	?>
	 
	 	.container, .navbar-static-top .container, .navbar-fixed-top .container, .navbar-fixed-bottom .container , .mid-page  .website-wrap.boxed-layout{
	 	width: <?php echo $width; ?>px;
	 	}
	 	body{
	 		min-width:<?php echo $width; ?>px;
	 	}
	 
	 	 
	 <?php }else { ?>
		@media (min-width: 1200px) {
		.container, .navbar-static-top .container, .navbar-fixed-top .container, .navbar-fixed-bottom .container, .mid-page , .website-wrap.boxed-layout{
				max-width: <?php echo $width; ?>px;
			}
		}
	 <?php	} ?>
	 
	 
	  .website-wrap.boxed-layout{
	  max-width: <?php echo $wrap_width ?>px ;
	  }
	 
	 <?php 
	 
	 	$categories_get = ot_get_option( 'tax_category', array() );
	 	 
	 	     if ($categories_get){
	 	         foreach ($categories_get as $category) { 
	 	         	
	 	         	if($category['post_type']!='' ){
	 	         	$info = explode('#', $category['post_type']);
	 	         	$tax_value = $info[1];
	 	         	$post_type = $info[0];
	 	         	$cat_id= $info[2];
	 	         	$cat_array = get_term($cat_id,$tax_value );
	 	         	
	 	         	
	 	         	update_option($tax_value .'_icon_' . $cat_array->term_id , $category['icon']);
	 	         	update_option($tax_value .'_color_' . $cat_array->term_id  , $primary_color);
	 	         	
	 	         	
	 	         	if($category['skin_default']!=''){
	 	         			$primary_color  = code125_get_skin_parameter($category['skin_default'], 'primary_color');
	 	         			$color_cat_rgb = hex2rgb($primary_color);
	 	         	
	 	         	$class_name = $tax_value. '-' . $cat_array->term_id;
	 	         	?>
	 	         	.<?php echo $class_name; ?> p.dark-mini:hover,
	 	         	.lt-ie9 .<?php echo $class_name; ?> .hover_span,
	 	         	.lt-ie9 .<?php echo $class_name; ?> p.dark-mini,
	 	         	.lt-ie9 .<?php echo $class_name; ?> .hover_span_wrap a.hover_a,
	 	         	.flip-post.<?php echo $class_name; ?> .post-back-wrap,
	 	         	.<?php echo $class_name; ?>.element:hover .alpha-div,
	 	         	.slides_4col li.<?php echo $class_name; ?>:hover .alpha-div,
	 	         	.<?php echo $class_name; ?> .roll-link-html:hover span.hover,
	 	         	.<?php echo $class_name; ?> .wrap-icon,
	 	         	.<?php echo $class_name; ?>  h3.title  .c5-icon,
	 	         	.top-menu-nav ul.menu-sc-nav>li.menu-item.<?php echo $class_name; ?>:hover,
	 	         	.post_cat .<?php echo $class_name; ?>,
	 	         	.<?php echo $class_name; ?> ul.custom_tabs2 li.current a,
	 	         	.<?php echo $class_name; ?> .c5-mega-menu-post a.the_title:hover,
	 	         	.<?php echo $class_name; ?>.featured-post:hover  h3,
	 	         	.<?php echo $class_name; ?> .c5-mega-menu-element-wrap .c5-title-wrap,
	 	         	h3.title.<?php echo $class_name; ?> .c5-icon,
	 	         	
	 	         	.<?php echo $class_name; ?>.c5-single-element-mansory .c5-hidden-content .c5-left-half .icon-search:hover, 
	 	         	.<?php echo $class_name; ?>.c5-single-element-mansory .c5-hidden-content .c5-left-half a:hover, 
	 	         	.<?php echo $class_name; ?>.c5-single-element-mansory .c5-hidden-content .c5-right-half .icon-search:hover,
	 	         	.<?php echo $class_name; ?>.c5-single-element-mansory .c5-hidden-content .c5-right-half a:hover{
	 	         			background-color: <?php echo $primary_color?>;       
	 	         	}
	 	         	
	 	         	
	 	         	
	 	         	.<?php echo $class_name; ?>.c5-single-element-mansory{
	 	         		<?php 
	 	         			 $primary_color_2 = '#' . hexDarker(substr($primary_color,1), 85);
	 	         		 ?>
	 	         		 background: <?php echo $primary_color_2; ?>;
	 	         	}
	 	         	
	 	         	           
	 	         	          
	 	         	          .<?php echo $class_name; ?> .blog-thumb h2.blogtitle a:hover,
	 	         	          .<?php echo $class_name; ?> ul.meta-entry li p:hover,
	 	         	          .<?php echo $class_name; ?> .wrap-post-list:hover a.post-list-title,
	 	         	          .c5-single-element-mansory .c5-masnory-category .post_cat a.<?php echo $class_name; ?>  {
	 	         	          		color: <?php echo $primary_color ?>;       
	 	         	          }
	 	         	          
	 	         	          
	 	         	          .<?php echo $class_name; ?> .metadata-tags-wrap   a:hover{
	 	         	          	color: white;
	 	         	          }
	 	         	          
	 	         	          
	 	         	           .<?php echo $class_name; ?> .hover_span,
	 	         	           .<?php echo $class_name; ?> p.dark-mini,
	 	         	           .<?php echo $class_name; ?> .hover_span_wrap a.hover_a,
	 	         	           .<?php echo $class_name; ?> .c5-mega-menu-post a.the_title,
	 	         	           .<?php echo $class_name; ?>.featured-post  h3,
	 	         	            .<?php echo $class_name; ?> .c5-flip-face .c5-flip-data,
	 	         	            .<?php echo $class_name; ?> .c5-3d-flip-wrap .c5-3d-flip-card .c5-wrap-read-more{
	 	         	          	background-color:rgba(<?php echo $color_cat_rgb[0]; ?> , <?php echo $color_cat_rgb[1]; ?> , <?php echo $color_cat_rgb[2]; ?> , 0.8);
	 	         	          }
	 	         	          
	 	         	          .<?php echo $class_name; ?> p.dark-mini a:hover{
	 	         	          	color: white;
	 	         	          }			
	 	         	<?php
	 	         	
	 	         	
	 	         	}
	 	         	
	 	         	
	 	         	}
	 	         }
	 	      }
	 	
	 
	 
	 
	 if($c5_skindata['fadein_elements'] =='yes'){ ?>
	 
	 .hideme{
	  	opacity: 0;
	  }
	 
	<?php
	 }
	?>
	 
	 
	 
	 h1,h2,h3,h4,h5,h6,
	   	    
	   	    #logo,
	   	    .top-menu-nav ul.menu-sc-nav > li > a,
	   	    .c5-post-single blockquote{
	 	
	 font-family: <?php echo $c5_skindata['heading_font'] ;?> , Helvetica, Georgia, serif;
	 font-weight:normal;
	 }
	 
	 body,
	 .comments_list li a,
	 #topnav ul li ul li a,
	 .latest_news h6 a,
	 p.thumb-cat-3,
	 ul.newsticker,
	 .tabs li a,
	 .title_wrap .border h1,
	 .slides-breaking li a,
	 .rev-slider-header,
	 .wrap-post-list.flip-post ul.meta-article-entry li a,
	 .wrap-post-list.flip-post ul.meta-article-entry li p,
	 .wrap-post-list.flip-post ul.meta-article-entry li,
	 .wrap-post-list.flip-post a.post-list-title,
	 .service-column-wrap.style2 h4,
	 .service-column-wrap.style5.flip-post .post-back .post-back-wrap a ,
	 p.breaking-title,
	 .top-menu-nav.mini ul.menu-sc-nav > li.menu-item > a{
	 	font-family: <?php echo $c5_skindata['body_font'] ;?> , Helvetica, Georgia, serif;
	 }
	 
	 <?php echo ot_get_option( 'custom_css' ); ?>
	 
	 <?php echo $c5_skindata['custom_css'] ?>
	 </style>
	 	
	 <!-- drop Google Analytics Here -->
	 
	 <?php echo ot_get_option( 'google_analytics' );  ?>
	 <!-- end analytics -->
	 
	
	 <?php
	 
}
add_action( 'wp_head', 'insert_fb_in_head', 229 );


function insert_script_in_footer() {

       global $c5_skindata;
if($c5_skindata['fadein_elements'] =='yes'){

?>
<script >
	jQuery(document).ready(function ($) {
	$('.post-content > .mid-page > div').each( function(i){
	    if(!$(this).hasClass('row-fluid')){
	    	$(this).addClass('hideme');
	    }
	    
	    
	});
	$('.post-content > div').each( function(i){
	    if(!$(this).hasClass('mid-page')){
	    	$(this).addClass('hideme');
	    }
	    
	    
	});
	/* Check the location of each desired element */
	$('.hideme').each( function(i){
	    var bottom_of_object = $(this).offset().top ;
	    var bottom_of_window = $(window).scrollTop() + $(window).height();
	    
	    /* If the object is completely visible in the window, fade it it */
	    if( bottom_of_window > bottom_of_object ){
	        
	        $(this).delay(100).animate({'opacity':'1'},500);
	            
	    }
	    
	});
	$(window).scroll( function(){
	   
	       /* Check the location of each desired element */
	       $('.hideme').each( function(i){
	           
	           var bottom_of_object = $(this).offset().top ;
	           var bottom_of_window = $(window).scrollTop() + $(window).height();
	           
	           /* If the object is completely visible in the window, fade it it */
	           if( bottom_of_window > bottom_of_object ){
	               
	               $(this).delay(500).animate({'opacity':'1'},500);
	                   
	           }
	           
	       }); 
	   
	   });
	   });
	   
	   <?php echo ot_get_option( 'custom_js' ); ?>
	   <?php echo $c5_skindata['custom_js'] ?>
	   </script>
	   <?php
	   
	   }
}
add_action( 'wp_footer', 'insert_script_in_footer' );

?>