<?php 

function c5_get_homepage_id() {
	if(function_exists('icl_object_id')){
		return icl_object_id(ot_get_option( 'homepage' ), 'page', true);
	}else {
		return ot_get_option( 'homepage' );	
	}
}


function c5_is_blank_template() {
	
	$template_bool = false;
	if( is_home() ){
			$home = c5_get_homepage_id();
			if($home !=''){
				$template = get_post_meta( $home, '_wp_page_template', true );
				if($template == 'template-blank.php'){
					$template_bool = true;
				//	$GLOBALS['template-file'] = 'template-blank.php';
				}
			}
	}else {
		if(is_page_template('template-blank.php')){
			$template_bool = true;
		}
	}
	return $template_bool;
	
}

function c5_get_header_style_class() {
	
	global $c5_headerdata;
	
	$header_style_background = '';
	if ($c5_headerdata['header_background']['background-color']!= '' || $c5_headerdata['header_background']['background-image']!= '') {
		$background = format_background($c5_headerdata['header_background'],'', $c5_headerdata['header_transparency']);
	                    
	    if ($background != '') {
	        $header_style_background = 'style="'.$background.'"';
	    }
	}
	
	return $header_style_background;
}

function c5_get_top_bar_style_class() {
	
	global $c5_headerdata;
	
	$class = '';
	if ($c5_headerdata['top_enable']== 'yes' ) {
		$class = 'top-bar-included';
	}
	
	return $class;
}



function c5_get_header_announcement_section() {
	global $c5_headerdata;
	$data = '';
	if ($c5_headerdata['announcment_enable'] == 'yes') {
	    $data .= '<div id="announcment-bar" class="clearfix '. $c5_headerdata['announcment_style'] .' "><div class="mid-page"><div class="announcment-content">';
	    $data .= do_shortcode($c5_headerdata['announcment_content']); 
	    $data .= '</div><div class="close-button"><span class="icon-cancel-1"></span></div></div></div>';
	
	}
	
	return $data;
}


function c5_get_header_main_section() {
	global $c5_headerdata;
	
	$data = '<div class="mid-page"><div class="float_left">'.code125_logo(null, null).'</div><div class="float_left">'.do_shortcode('[menu location="'.$c5_headerdata['header_menu'].'" bg_mode="'.$c5_headerdata['header_bg_style'].'" style="default" responsive="responsive"]').'</div><div class="float_right">'.do_shortcode('[social_bar]').'</div></div>';
	
	return $data;
}

function c5_get_header_ad_content() {
	global $c5_headerdata;
	if($c5_headerdata['header_ad']!=''){
		return '<div class="header-ad-content">' . do_shortcode('[center]'.$c5_headerdata['header_ad'].'[/center]') . '</div>';
	}
	return '';
}





function c5_preview() {
	 if (!wp_is_mobile()) {
	
	            $preview = ot_get_option('preview');
	            if ($preview == 'yes') {
	                wp_enqueue_script('jquery_colorpicker');
	                ?>
	                <div id="preview" class="hide2"><form method="post"><input id="preview_input" type="text" name="primary_color" value="<?php echo $GLOBALS['primary_color'] ?>" />
	
	                        <select name="skin_default">
	                            <option value="<?php echo ot_get_option('skin_default') ?>">Choose Skin</option>
	                            <?php
	                            if (isset($_POST['skin_default'])) {
	                                $skin_select = $_POST['skin_default'];
	                            } else {
	                                $skin_select = '';
	                            }
	                            $query = new WP_Query(array('post_type' => 'skin', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC', 'post_status' => 'publish'));
	
	                            /* has posts */
	                            if ($query->have_posts()) {
	                                while ($query->have_posts()) {
	                                    $query->the_post();
	                                    if ($skin_select == get_the_ID()) {
	                                        $selected = 'selected="selected"';
	                                    } else {
	                                        $selected = '';
	                                    }
	                                    ?>
	
	                                    <option value="<?php echo get_the_ID(); ?>" <?php echo $selected ?>><?php echo get_the_title(); ?></option>
	                                    <?php
	                                }
	                            }
	                            wp_reset_postdata();
	                            ?>
	                        </select>
	                        
	                        <input id="submit" type="submit" name="submit_colors" class=""  value="Do Changes" /></form><div id="preview_show" class=" icon-cog"></div></div>
	
	                <script type="text/javascript">
	                    jQuery(document).ready(function($) {
	                        $("#preview_input").ColorPicker({onSubmit:function(hsb, hex, rgb, el) {
	                                $(el).val("#" + hex);
	                                $(el).ColorPickerHide();
	                            }, onBeforeShow:function() {
	                                $(this).ColorPickerSetColor(this.value);
	                            }}).bind("keyup", function() {
	                            $(this).ColorPickerSetColor("#" + this.value);
	                        });
	                    });
	                </script>
	
	                <?php
	            }
	        }
}

 ?>