<?php
/**
 * Initialize the meta boxes. 
 */
add_action( 'admin_init', '_custom_meta_boxes' );

/**
 * Meta Boxes demo code.
 *
 * You can find all the available option types
 * in demo-theme-options.php.
 *
 * @return    void
 *
 * @access    private
 * @since     2.0
 */
function _custom_meta_boxes() {
  
  /**
   * Create a custom meta boxes array that we pass to 
   * the OptionTree Meta Box API Class.
   */
   
  
  if(function_exists('c5_get_all_posts_types_in_array')){
	  $all_post_types = c5_get_all_posts_types_in_array();
	  $post_types = c5_get_all_posts_in_array();
  }else {
  	  $all_post_types =  array( 'post', 'page');
  	  $post_types =  array( 'post');
  }
  
  
  $skins = array(
          array(
              'label' => 'Default',
              'value' => ''
          )
      );
  
     $query = new WP_Query( array( 'post_type' => 'skin', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC', 'post_status' => 'publish' ) );
     
     /* has posts */
     if ( $query->have_posts() ) {
       while ( $query->have_posts() ) {
         $query->the_post();
         $array =  array(
                 'label' => get_the_title(),
                 'value' => get_the_ID()
             );
         array_push($skins, $array);
         
       
     } 
     }
     wp_reset_postdata();
  
  
  $custom_posts = ot_get_option('custom_posts', array());
  
  if ($custom_posts) {
      foreach ($custom_posts as $custom_post) {
      	$post_types[] = $custom_post['slug'];
      }
   }
  
   
   		
   		
   		
       
   
       
   
  
  global $_code125_icons;
  
  $new_icons= array();
  if ( is_array($_code125_icons) ){
  	foreach ($_code125_icons as $icon ) {
  		$icon = array(
  			'label' => substr($icon, 5),
  		    'value' => $icon
  		);
  		array_push($new_icons, $icon);
  	}
  }
  
  $article_meta_array = array();
  $counter = 1;
  
  
  
  
  $stylings = array(
    'id'          => 'meta_styling',
    'title'       => 'Styling Settings',
    'desc'        => '',
    'pages'       => array('page'),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
      array(
          'label' => 'Choose Page Skin',
          'id' => 'skin_default',
          'type' => 'select',
          'desc' => 'Choose The Skin.',
          'choices' => $skins,
          'std' => '',
          'rows' => '',
          'post_type' => '',
          'taxonomy' => '',
          'class' => ''
      ),
      array(
        'label'       => 'Enable BreadCrumb',
        'id'          => 'breadcrumb',
        'type'        => 'select',
        'desc'        => 'Enable/Disable BreadCrumb for this Page',
        'choices'     => array(
          array(
            'label'       => 'Yes',
            'value'       => 'yes'
          ),
          array(
            'label'       => 'No',
            'value'       => 'no'
          )
        ),
        'std'         => 'yes',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => ''
      ),
      array(
        'label'       => 'Enable Comments',
        'id'          => 'enable_comments',
        'type'        => 'select',
        'desc'        => 'Enable/Disable Comments for this Page',
        'choices'     => array(
          array(
            'label'       => 'Yes',
            'value'       => 'yes'
          ),
          array(
            'label'       => 'No',
            'value'       => 'no'
          )
        ),
        'std'         => 'no',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => ''
      ),
      c5_get_content_array('Page top-area', 'page_toparea', ''),
      
     )
  );
  
  $stylings2 = array(
    'id'          => 'meta_styling',
    'title'       => 'Styling Settings',
    'desc'        => '',
    'pages'       => $post_types,
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
      array(
          'label' => 'Choose The default Skin',
          'id' => 'posts_skin',
          'type' => 'select',
          'desc' => 'Choose The Skin.',
          'choices' => $skins,
          'std' => '',
          'rows' => '',
          'post_type' => '',
          'taxonomy' => '',
          'class' => ''
      )
     )
  );
  
  $use_parent = ot_get_option('posts_styling');
  if ( isset($_GET['post']) && $use_parent=='yes') {
  	
  	$id =$_GET['post'];
  	$post_type = get_post_type($id);
  	$tax = get_post_tax($id);
  	$terms = wp_get_post_terms($id, $tax);
  	if(count($terms) != 0){
  		$options = array();
  		foreach ($terms as $term) {
  			$options[] = array(
  			  'label'       => $term->name,
  			  'value'       => $term->term_id
  			);
  		}
  		$cats = array(
  		  'id'          => 'category_styling',
  		  'title'       => 'Category Settings',
  		  'desc'        => '',
  		  'pages'       => $post_types,
  		  'context'     => 'normal',
  		  'priority'    => 'high',
  		  'fields'      => array(
  		    array(
  		        'label' => 'Choose Dominating Category',
  		        'id' => 'category_follow',
  		        'type' => 'select',
  		        'desc' => 'Choose Dominating Category for this post, the Article will follow this category in its styling settings.',
  		        'choices' => $options,
  		        'std' => '',
  		        'rows' => '',
  		        'post_type' => '',
  		        'taxonomy' => '',
  		        'class' => ''
  		    )
  		   )
  		);
  		  ot_register_meta_box( $cats );
  		
  	}
  }
  
  
  $meta_gallery_slider = array(
    'id'          => 'meta_gallery_slider',
    'title'       => 'Post Format Settings',
    'desc'        => '',
    'pages'       => $post_types,
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
      array(
        'label'       => 'Enable Featured Media',
        'id'          => 'featured_media',
        'type'        => 'select',
        'desc'        => 'Enable/Disable Featured Media for this Article',
        'choices'     => array(
          array(
            'label'       => 'Default',
            'value'       => ''
          ),
          array(
            'label'       => 'Yes',
            'value'       => 'yes'
          ),
          array(
            'label'       => 'No',
            'value'       => 'no'
          )
        ),
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => ''
      ),
      array(
        'label'       => 'Video / Audio url',
        'id'          => 'meta_attachment',
        'type'        => 'text',
        'desc'        => 'Video url, we support "Youtube, Vimeo and Dailymotion" or Audio url we support "Audio and Soundcloud"',
        'std'         => '',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => ''
      )
  	)
  );
  
  $meta_metro = array(
    'id'          => 'meta_metro',
    'title'       => 'Metro & Category Follow Settings',
    'desc'        => '',
    'pages'       =>  $post_types,
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
     
  	array(
  	  'label'       => 'Metro View',
  	  'id'          => 'meta_metro',
  	  'type'        => 'select',
  	  'desc'        => 'Choose the Metro View of the Flip Card If you choosed Metro Elements.',
  	  'choices'     => array(
  	    array(
  	      'label'       => 'Photo',
  	      'value'       => 'photo'
  	    ),
  	    array(
  	      'label'       => 'Details',
  	      'value'       => 'details'
  	    )
  	  ),
  	  'std'         => 'photo',
  	  'rows'        => '',
  	  'post_type'   => '',
  	  'taxonomy'    => '',
  	  'class'       => ''
  	),
  	array(
  	  'label'       => 'Metro View Size',
  	  'id'          => 'meta_metro_size',
  	  'type'        => 'select',
  	  'desc'        => 'Choose the Metro size of the element View.',
  	  'choices'     => array(
  	    array(
  	      'label'       => 'Large',
  	      'value'       => 'large'
  	    ),
  	    array(
  	      'label'       => 'Medium',
  	      'value'       => 'medium'
  	    ),
  	    array(
  	      'label'       => 'Wide',
  	      'value'       => 'wide'
  	    ),
  	    array(
  	      'label'       => 'Tall',
  	      'value'       => 'tall'
  	    )
  	  ),
  	  'std'         => 'medium',
  	  'rows'        => '',
  	  'post_type'   => '',
  	  'taxonomy'    => '',
  	  'class'       => ''
  	),
  	array(
  	  'label'       => 'Category ID to follow',
  	  'id'          => 'category_follow',
  	  'type'        => 'text',
  	  'desc'        => 'Add Category ID to follow in its skin.',
  	  'std'         => '',
  	  'rows'        => '',
  	  'post_type'   => '',
  	  'taxonomy'    => '',
  	  'class'       => ''
  	)
  	)
  );

  
  
  
  
  
  $review = array(
    'id'          => 'meta_review',
    'title'       => 'Review Options',
    'desc'        => '',
    'pages'       => $post_types,
    'context'     => 'normal',
    'priority'    => 'low',
    'fields'      => array(
    array(
      'label'       => 'Reviews',
      'id'          => 'meta_reviews',
      'type'        => 'list-item',
      'desc'        => 'Add Reviews to your post.',
      'settings'    => array(
        array(
          'label'       => 'Rating Value',
          'id'          => 'rating',
          'type'        => 'text',
          'desc'        => 'Add the rating Value From 0 to 100.',
          'std'         => '100',
          'rows'        => '',
          'post_type'   => '',
          'taxonomy'    => '',
          'class'       => ''
        )
        
      ),
      'std'         => '',
      'rows'        => '',
      'post_type'   => '',
      'taxonomy'    => '',
      'class'       => ''
    ),
    array(
      'label'       => 'Rating Comment',
      'id'          => 'meta_review_comment',
      'type'        => 'textarea-simple',
      'desc'        => 'Comment about the Product you are reviewing.',
      'std'         => '',
      'rows'        => '5',
      'post_type'   => '',
      'taxonomy'    => '',
      'class'       => ''
    ),
    array(
      'label'       => 'Review Type',
      'id'          => 'meta_review_type',
      'type'        => 'select',
      'desc'        => 'Select to Type of the review in this article?, Default: Stars.',
      'choices'     => array(
        array (
          'label'       => 'Stars',
          'value'       => 'stars'
        ),
       	array (
       	  'label'       => 'Percentage',
       	  'value'       => 'percentage'
       	),
       	array (
       	   'label'       => 'Points',
       	   'value'       => 'points'
        )
      ),
      'std'         => 'stars',
      'rows'        => '',
      'post_type'   => '',
      'taxonomy'    => '',
      'class'       => ''
    )
    )
    ,
    'std'         => '',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => ''
	
  
);



$infographics = array(
    'id'          => 'infographics',
    'title'       => 'Inforgraphics Type',
    'desc'        => '',
    'pages'       => array('infographics'),
    'context'     => 'normal',
    'priority'    => 'low',
    'fields'      => array(
    array(
      'label'       => 'Inforgraphics Layout',
      'id'          => 'info_layout',
      'type'        => 'select',
      'desc'        => 'Select the Post Layout.',
      'choices'     => array(
        array (
          'label'       => 'Full Width',
          'value'       => 'full'
        ),
       	array (
       	  'label'       => 'Sidebar',
       	  'value'       => 'side'
       	)
      ),
      'std'         => 'side',
      'rows'        => '',
      'post_type'   => '',
      'taxonomy'    => '',
      'class'       => ''
    )
    ),
    'std'         => '',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => ''
	
  
);








  
    
  /**
   * Register our meta boxes using the 
   * ot_register_meta_box() function.
   */
   
  //ot_register_meta_box( $meta_metro );
  
  //ot_register_meta_box( $infographics );
  ot_register_meta_box( $stylings );
  ot_register_meta_box( $stylings2 );
  //ot_register_meta_box( $review );
  ot_register_meta_box( $meta_gallery_slider );
  //ot_register_meta_box( $slides_type );
  //ot_register_meta_box( $slider_video );
  
  
  
  
  
  
  

  

}
?>