<?php

add_action('admin_init', '_footer_meta_boxes');

function _footer_meta_boxes() {
    $meta_footer_background = array(
        'id' => 'meta_footer_background',
        'title' => 'Main Footer ',
        'desc' => '',
        'pages' => array('footer'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
        	array(
        	    'label' => '',
        	    'id' => 'main_footer_content_title',
        	    'type' => 'textblock-titled',
        	    'desc' => '<img src="'. get_template_directory_uri().'/library/images/options/Main-Footer.png" alt="" />',
        	    'std' => 'logo-left',
        	    'rows' => '',
        	    'post_type' => '',
        	    'taxonomy' => '',
        	    'class' => '',
        	),
            c5_get_background_style_array('Footer', 'footer_style','dark-mode'),
            c5_get_background_array('Footer', 'footer_background'),
            c5_get_background_transparency_array('Footer', 'footer_transparency'),
            array(
                'label' => 'W-P-L-O-C-K-E-R-.-C-O-M- Choose your Page Template for Footer.',
                'id' => 'footer_template',
                'type' => 'custom-post-type-select',
                'desc' => 'Choose your Page Template for Footer.',
                'std' => '',
                'rows' => '',
                'post_type' => 'template',
                'taxonomy' => '',
                'class' => '',
            )
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );
    
            
    
    
    
    
    
    $meta_footer_outer = array(
        'id' => 'meta_footer_outer',
        'title' => 'Footer Outer Bar',
        'desc' => '',
        'pages' => array('footer'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
        	array(
        	    'label' => '',
        	    'id' => 'top_footer_content_title',
        	    'type' => 'textblock-titled',
        	    'desc' => '<img src="'. get_template_directory_uri().'/library/images/options/Outer-Footer-content.png" alt="" />',
        	    'std' => 'logo-left',
        	    'rows' => '',
        	    'post_type' => '',
        	    'taxonomy' => '',
        	    'class' => '',
        	),
        	c5_get_enable_array('Outer Footer', 'outer_footer_enable','no'),
        	c5_get_content_array('Outer Footer', 'outer_footer_content')
        ),
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );
    
    
    
    
    
    
    $meta_footer_top = array(
        'id' => 'meta_footer_top',
        'title' => 'Footer Top bar',
        'desc' => '',
        'pages' => array('footer'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
            array(
                'label' => '',
                'id' => 'top_footer_content_title',
                'type' => 'textblock-titled',
                'desc' => '<img src="'. get_template_directory_uri().'/library/images/options/Top-Bar-content-footer.png" alt="" />',
                'std' => 'logo-left',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
            ),
            c5_get_enable_array('Top Bar', 'footer_top_enable','yes'),
            c5_get_background_style_array('Top Bar', 'footer_top_style','dark-mode'),
            c5_get_background_array('Top Bar', 'footer_top_background'),
            c5_get_background_transparency_array('Top Bar', 'footer_top_transparency'),
            c5_get_content_array('Top Bar', 'footer_top_content')
            
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );
    
    
    $meta_footer_below = array(
        'id' => 'meta_footer_below',
        'title' => 'Sub Footer',
        'desc' => '',
        'pages' => array('footer'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
            array(
                'label' => '',
                'id' => 'bottom_footer_content_title',
                'type' => 'textblock-titled',
                'desc' => '<img src="'. get_template_directory_uri().'/library/images/options/sub-footer.png" alt="" />',
                'std' => 'logo-left',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
            ),
            c5_get_enable_array('Sub Footer', 'footer_below_enable','no'),
            c5_get_background_style_array('Sub Footer', 'footer_below_style','dark-mode'),
            c5_get_background_array('Sub Footer', 'footer_below_background'),
            c5_get_background_transparency_array('Sub Footer', 'footer_below_transparency'),
            c5_get_content_array('Sub Footer', 'footer_below_content')
            
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );
    
    
    $meta_footer_sticky = array(
        'id' => 'meta_footer_sticky',
        'title' => 'Sticky Footer',
        'desc' => '',
        'pages' => array('footer'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
            c5_get_enable_array('Sticky Footer', 'sticky_footer_enable','no'),
            c5_get_background_style_array('Sticky Footer', 'sticky_footer_style','dark-mode'),
            c5_get_background_array('Sticky Footer', 'sticky_footer_background'),
            c5_get_background_transparency_array('Sticky Footer', 'sticky_footer_transparency'),
            c5_get_content_array('Sticky Footer', 'sticky_footer_content')
            
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );
    
    
	$footer_defaults = array();
	
	foreach ($meta_footer_background['fields'] as $option) {
		$footer_defaults[$option['id']] = array($option['type'], $option['std']);
	}
	foreach ($meta_footer_top['fields'] as $option) {
		$footer_defaults[$option['id']] = array($option['type'], $option['std']);
	}
	foreach ($meta_footer_outer['fields'] as $option) {
		$footer_defaults[$option['id']] = array($option['type'], $option['std']);
	}
	foreach ($meta_footer_below['fields'] as $option) {
		$footer_defaults[$option['id']] = array($option['type'], $option['std']);
	}
	foreach ($meta_footer_sticky['fields'] as $option) {
		$footer_defaults[$option['id']] = array($option['type'], $option['std']);
	}
	update_option('c5_footer_defaults', $footer_defaults);
    
    ot_register_meta_box($meta_footer_background);
    ot_register_meta_box($meta_footer_top);
    ot_register_meta_box($meta_footer_below);
    ot_register_meta_box($meta_footer_outer);
    ot_register_meta_box($meta_footer_sticky);
}

?>