<?php

add_action('admin_init', '_header_meta_boxes');

function _header_meta_boxes() {
    
    
    
    $meta_header_logo = array(
        'id' => 'meta_header_logo',
        'title' => 'Logo Options',
        'desc' => '',
        'pages' => array('header'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
            array(
                'label' => 'Main Logo',
                'id' => 'logo',
                'type' => 'upload',
                'desc' => 'Upload the main logo for your website.',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            
            array(
              'label'       => 'Logo Height',
              'id'          => 'logo_height_px',
              'type'        => 'numeric-slider',
              'desc'        => 'Slide to select your Logo Height in <strong>pixels</strong>. "We will calculate the width automaticly based on the height"',
              'std'         => '90', 
              'min_max_step' => '0,300,1',
              'rows'        => '',
              'post_type'   => '',
              'taxonomy'    => '',
              'class'       => '',
              'section'     => 'general_default'
            ),
            array(
                'label' => 'Main Logo Top Margin',
                'id' => 'logo_margin',
                'type' => 'text',
                'desc' => 'Top Margin for the logo for your website, Default:7px.',
                'std' => '7px',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            )
            
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );
    /** Menu Locations* */
        $menus_new = ot_get_option('menus', array());
        $menu_new = array(
        	array(
        	    'label' => 'Main Menu',
        	    'value' => 'main-nav'
        	),
        	array(
        	    'label' => 'Footer Menu',
        	    'value' => 'footer-links'
        	)
        );
  
        foreach ($menus_new as $value) {
            $array = array(
                'label' => $value['title'],
                'value' => $value['location']
            );
            array_push($menu_new, $array);
        }
    
    $meta_header_background = array(
        'id' => 'meta_header_background',
        'title' => 'General Settings',
        'desc' => '',
        'pages' => array('header'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
        	array(
        	    'label' => 'Choose Header Menu',
        	    'id' => 'header_menu',
        	    'type' => 'select',
        	    'desc' => 'Choose The Header Menu.',
        	    'choices' => $menu_new,
        	    'std' => 'main-nav',
        	    'rows' => '',
        	    'post_type' => '',
        	    'taxonomy' => '',
        	    'class' => ''
        	),
        	c5_get_content_array('Ad Content', 'header_ad', '[ad_728x90]<a href="http://themeforest.net/user/Code125/portfolio?ref=code125" target="_blank"><img src="http://kalemat.code-125.com/wp-content/uploads/2013/09/728x90.png"></a>[/ad_728x90]'),
        	c5_get_enable_array('Floating Bar', 'floating_enable','yes'),
            c5_get_background_style_array('Header', 'header_bg_style','dark-mode'),
            c5_get_background_array('Header', 'header_background'),
            c5_get_background_transparency_array('Header', 'header_transparency'),
            
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );
    
    
    
    
    
    
    
    
    $meta_header_announcement = array(
        'id' => 'meta_header_announcement',
        'title' => 'Header Announcment Bar',
        'desc' => '',
        'pages' => array('header'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
        	array(
        	    'label' => '',
        	    'id' => 'announcment_content_title',
        	    'type' => 'textblock-titled',
        	    'desc' => '<img src="'. get_template_directory_uri().'/library/images/options/Announcment-Bar-content.png" alt="" />',
        	    'std' => 'logo-left',
        	    'rows' => '',
        	    'post_type' => '',
        	    'taxonomy' => '',
        	    'class' => '',
        	),
            c5_get_enable_array('Announcment Bar', 'announcment_enable','no'),
            c5_get_background_style_array('Announcment Bar', 'announcment_style','dark-mode'),
            c5_get_background_array('Announcment Bar', 'announcment_background'),
            c5_get_background_transparency_array('Announcment Bar', 'announcment_transparency'),
            c5_get_content_array('Announcment Bar', 'announcment_content')
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );
    

	$header_defaults = array();
	
	foreach ($meta_header_background['fields'] as $option) {
		$header_defaults[$option['id']] = array($option['type'], $option['std']);
	}
	foreach ($meta_header_logo['fields'] as $option) {
		$header_defaults[$option['id']] = array($option['type'], $option['std']);
	}
	foreach ($meta_header_announcement['fields'] as $option) {
		$header_defaults[$option['id']] = array($option['type'], $option['std']);
	}
	
	update_option('c5_header_defaults', $header_defaults);
    
    ot_register_meta_box($meta_header_logo);
    ot_register_meta_box($meta_header_background);
    ot_register_meta_box($meta_header_announcement);
   }

?>