<?php
/* Bones Custom Post Type Example
This page walks you through creating 
a custom post type and taxonomies. You
can edit this one or copy the following code 
to create another one. 

I put this in a separate file so as to 
keep it organized. I find it easier to edit
and change things if they are concentrated
in their own file.

Developed by: Eddie Machado
URL: http://themble.com/bones/
*/


// let's create the function for the custom type
function code125_custom_posts_skins_register() { 
	
	
	
	register_post_type( 'header', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
	 	// let's now add all the options for this post type
		array('labels' => array(
			'name' => __('Headers', 'code125'), /* This is the Title of the Group */
			'singular_name' => __('Header', 'code125'), /* This is the individual type */
			'all_items' => __('All  Templates', 'code125'), /* the all items menu item */
			'add_new' => __('Add New Template', 'code125'), /* The add new menu item */
			'add_new_item' => __('Add New Header Template', 'code125'), /* Add New Display Title */
			'edit' => __( 'Edit', 'code125' ), /* Edit Dialog */
			'edit_item' => __('Edit Header Template', 'code125'), /* Edit Display Title */
			'new_item' => __('New Header Template', 'code125'), /* New Display Title */
			'view_item' => __('View Header Template', 'code125'), /* View Display Title */
			'search_items' => __('Search Header Templates', 'code125'), /* Search Custom Type Title */ 
			'not_found' =>  __('Nothing found in the Database.', 'code125'), /* This displays if there are no entries yet */ 
			'not_found_in_trash' => __('Nothing found in Trash', 'code125'), /* This displays if there is nothing in the trash */
			'parent_item_colon' => ''
			), /* end of arrays */
			'description' => __( 'This is the example Team', 'code125' ), /* Custom Type Description */
			'public' => false,
			'publicly_queryable' => true,
			'exclude_from_search' => false,
			'show_ui' => true,
			'query_var' => true,
			'menu_position' => 30, /* this is what order you want it to appear in on the left hand side menu */ 
			'menu_icon' => get_template_directory_uri() . '/library/images/custom-post-icon.png', /* the icon for the custom post type menu */
			'rewrite'	=> array( 'slug' => 'header', 'with_front' => false ), /* you can specify it's url slug */
			'has_archive' => 'header', /* you can rename the slug here */
			'capability_type' => 'post',
			'hierarchical' => false,
			/* the next one is important, it tells what's enabled in the post editor */
			'supports' => array( 'title')
	 	) /* end of options */
	); /* end of register post type */
	
	register_post_type( 'skin', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
	 	// let's now add all the options for this post type
		array('labels' => array(
			'name' => __('Skins', 'code125'), /* This is the Title of the Group */
			'singular_name' => __('Skins', 'code125'), /* This is the individual type */
			'all_items' => __('All  Skins', 'code125'), /* the all items menu item */
			'add_new' => __('Add New Skin', 'code125'), /* The add new menu item */
			'add_new_item' => __('Add New Skin Template', 'code125'), /* Add New Display Title */
			'edit' => __( 'Edit', 'code125' ), /* Edit Dialog */
			'edit_item' => __('Edit Skin Template', 'code125'), /* Edit Display Title */
			'new_item' => __('New Skin Template', 'code125'), /* New Display Title */
			'view_item' => __('View Skin Template', 'code125'), /* View Display Title */
			'search_items' => __('Search Skins Templates', 'code125'), /* Search Custom Type Title */ 
			'not_found' =>  __('Nothing found in the Database.', 'code125'), /* This displays if there are no entries yet */ 
			'not_found_in_trash' => __('Nothing found in Trash', 'code125'), /* This displays if there is nothing in the trash */
			'parent_item_colon' => ''
			), /* end of arrays */
			'description' => __( 'This is the example Team', 'code125' ), /* Custom Type Description */
			'public' => false,
			'publicly_queryable' => true,
			'exclude_from_search' => false,
			'show_ui' => true,
			'query_var' => true,
			'menu_position' => 40, /* this is what order you want it to appear in on the left hand side menu */ 
			'menu_icon' => get_template_directory_uri() . '/library/images/custom-post-icon.png', /* the icon for the custom post type menu */
			'rewrite'	=> array( 'slug' => 'skin', 'with_front' => false ), /* you can specify it's url slug */
			'has_archive' => 'skin', /* you can rename the slug here */
			'capability_type' => 'post',
			'hierarchical' => false,
			/* the next one is important, it tells what's enabled in the post editor */
			'supports' => array( 'title')
	 	) /* end of options */
	); /* end of register post type */


	register_post_type( 'footer', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
	 	// let's now add all the options for this post type
		array('labels' => array(
			'name' => __('Footers', 'code125'), /* This is the Title of the Group */
			'singular_name' => __('Footer', 'code125'), /* This is the individual type */
			'all_items' => __('All  Footers', 'code125'), /* the all items menu item */
			'add_new' => __('Add New Footer', 'code125'), /* The add new menu item */
			'add_new_item' => __('Add New Footer Template', 'code125'), /* Add New Display Title */
			'edit' => __( 'Edit', 'code125' ), /* Edit Dialog */
			'edit_item' => __('Edit Footer Template', 'code125'), /* Edit Display Title */
			'new_item' => __('New Footer Template', 'code125'), /* New Display Title */
			'view_item' => __('View Footer Template', 'code125'), /* View Display Title */
			'search_items' => __('Search Footers Templates', 'code125'), /* Search Custom Type Title */ 
			'not_found' =>  __('Nothing found in the Database.', 'code125'), /* This displays if there are no entries yet */ 
			'not_found_in_trash' => __('Nothing found in Trash', 'code125'), /* This displays if there is nothing in the trash */
			'parent_item_colon' => ''
			), /* end of arrays */
			'description' => __( 'This is the example Team', 'code125' ), /* Custom Type Description */
			'public' => false,
			'publicly_queryable' => true,
			'exclude_from_search' => false,
			'show_ui' => true,
			'query_var' => true,
			'menu_position' => 40, /* this is what order you want it to appear in on the left hand side menu */ 
			'menu_icon' => get_template_directory_uri() . '/library/images/custom-post-icon.png', /* the icon for the custom post type menu */
			'rewrite'	=> array( 'slug' => 'footer', 'with_front' => false ), /* you can specify it's url slug */
			'has_archive' => 'footer', /* you can rename the slug here */
			'capability_type' => 'post',
			'hierarchical' => false,
			/* the next one is important, it tells what's enabled in the post editor */
			'supports' => array( 'title')
	 	) /* end of options */
	); /* end of register post type */
		
	
	
	
} 

	// adding the function to the Wordpress init
	add_action( 'init', 'code125_custom_posts_skins_register');
	
    
      
    
	
	

?>