<?php

add_action('admin_init', '_skin_meta_boxes');

function _skin_meta_boxes() {
	
    $sidebars_new = ot_get_option('sidebars', array());

    $sidebars = array(
        array(
            'label' => 'Default Sidebar',
            'value' => 'sidebar'
        ),
        array(
        	'label' => 'Main Sidebar',
        	'value' => 'main_sidebar',
        ),
        
    );
    /*
    $sidebars_small =array(
    	array(
    	    'label' => 'Main Small Sidebar',
    	    'value' => 'sidebar_small'
    	),
    	array(
    	    'label' => 'Menu Small Sidebar',
    	    'value' => 'menu-small-sidebar'
    	),
    );
    */
    foreach ($sidebars_new as $sidebar_new) {
        $array = array(
            'label' => $sidebar_new['title'],
            'value' => $sidebar_new['slug']
        );
        array_push($sidebars, $array);
        
    }



    


    $c5_get_fonts_array = c5_get_fonts_array();
    $google_fonts = array();
    foreach ($c5_get_fonts_array as $font_name) {
        $font = array(
            'label' => $font_name,
            'value' => $font_name
        );
        array_push($google_fonts, $font);
    }



    $headers = array(
    );


    $query = new WP_Query(array('post_type' => 'header', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC', 'post_status' => 'publish'));

    /* has posts */
    if ($query->have_posts()) {
        while ($query->have_posts()) {
            $query->the_post();
            $array = array(
                'label' => get_the_title(),
                'value' => get_the_ID()
            );
            array_push($headers, $array);
        }
    }
    wp_reset_postdata();
    
    $footers = array();
    $query = new WP_Query(array('post_type' => 'footer', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC', 'post_status' => 'publish'));
    
        /* has posts */
        if ($query->have_posts()) {
            while ($query->have_posts()) {
                $query->the_post();
                $array = array(
                    'label' => get_the_title(),
                    'value' => get_the_ID()
                );
                array_push($footers, $array);
            }
        }
        wp_reset_postdata();






    




    


    $layout_array = array(
    	'728-C',
    	//'960-B-C',
    	//'960-C-B',
    	//'960-C-S',
    	//'960-C',
    	//'960-S-C',
    	//'1170-B-B-C',
    	//'1170-C-B-B',
    	//'1170-B-C-B',
    	//'1170-B-C-S',
    	'1170-B-C',
    	//'1170-B-S-C',
    	//'1170-C-B-S',
    	'1170-C-B',
    	//'1170-C-S-B',
    	//'1170-C-S-S',
    	//'1170-C-S',
    	'1170-C',
    	//'1170-S-B-C',
    	//'1170-S-C-B',
    	//'1170-S-C-S',
    	//'1170-S-C',
    	//'1170-S-S-C'
    );
	$layout_options = array(
	);
	
	foreach ($layout_array as $value) {
		$array = array(
		    'src' => get_template_directory_uri().'/library/images/options/'.$value.'.png',
		    'label' => '',
		    'value' => $value
		);
		 array_push($layout_options, $array);
	}


    $meta_skins_layout = array(
        'id' => 'meta_skins',
        'title' => 'Page Layout Options',
        'desc' => '',
        'pages' => array('skin'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
            array(
                'label' => 'Choose The default Header',
                'id' => 'header_default',
                'type' => 'select',
                'desc' => 'Choose The  Header.',
                'choices' => $headers,
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Choose The default Footer',
                'id' => 'footer_default',
                'type' => 'select',
                'desc' => 'Choose The Footer.',
                'choices' => $footers,
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            /*
            array(
                'label' => 'Boxed/Full Layout',
                'id' => 'page_layout',
                'type' => 'radio-image',
                'desc' => 'Choose Website Layout Boxed/Full Width, Default: Full.',
                'choices' => c5_get_boxed_full_images(),
                'std' => 'boxed-layout',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            */
            array(
                'label' => 'RTL',
                'id' => 'rtl',
                'type' => 'radio-image',
                'desc' => 'Choose Yes to enable RTL in your website.',
                'choices' => c5_get_rtl_ltr_images(),
                'std' => 'no',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
            ),
            array(
              'label'       => 'Page Width & Layout',
              'id'          => 'layout_width',
              'type'        => 'radio-image',
              'desc'        => 'Choose the Page Layout and Page Width<br/>',
              'choices' => $layout_options,
              'std'         => '1170-C-B',
              'rows'        => '',
              'post_type'   => '',
              'taxonomy'    => '',
              'class'       => 'c5-skin-selector'
            ),
            array(
                'label' => 'Sidebar 1 Content',
                'id' => 'sidebar_1',
                'type' => 'select',
                'desc' => 'Select the Page sidebar.',
                'choices' => $sidebars,
                'std' => 'main_sidebar',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            /*
            array(
                'label' => 'Sidebar 1 Content',
                'id' => 'sidebar_1_s',
                'type' => 'select',
                'desc' => 'Select the Page sidebar.',
                'choices' => $sidebars_small,
                'std' => 'sidebar_small',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            
           array(
                'label' => 'Sidebar 2 Content',
                'id' => 'sidebar_2',
                'type' => 'select',
                'desc' => 'Select the Page small sidebar.',
                'choices' => $sidebars,
                'std' => 'sidebar',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                 'label' => 'Sidebar 2 Content',
                 'id' => 'sidebar_2_s',
                 'type' => 'select',
                 'desc' => 'Select the Page small sidebar.',
                 'choices' => $sidebars_small,
                 'std' => 'sidebar_small',
                 'rows' => '',
                 'post_type' => '',
                 'taxonomy' => '',
                 'class' => ''
             ),
             */
            array(
                'label' => 'Fade In  Elements',
                'id' => 'fadein_elements',
                'type' => 'radio-image',
                'desc' => 'Fade In Elements when scroll Default: No.',
                'choices' => c5_get_fadein_images(),
                'std' => 'no',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            )
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );


    $meta_skins_style = array(
        'id' => 'meta_skins_style',
        'title' => 'Page Style Options',
        'desc' => '',
        'pages' => array('skin'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
            array(
                'label' => 'Primary Color',
                'id' => 'primary_color',
                'type' => 'colorpicker',
                'desc' => 'Pick a the main color for the theme (default: #399ab8 ).',
                'std' => '#399ab8',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Secondary Color',
                'id' => 'secondary_color',
                'type' => 'colorpicker',
                'desc' => 'Pick the secondary color for the theme (default: #fbfbfb ).',
                'std' => '#fbfbfb',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Dark Text Color',
                'id' => 'text_color',
                'type' => 'colorpicker',
                'desc' => 'Pick the Dark text color for the theme (default: #505050 ).',
                'std' => '#505050',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Seconary/Hover Text Color',
                'id' => 'text2_color',
                'type' => 'colorpicker',
                'desc' => 'Pick the Seconary/Hover text color for the theme (default: #8f8f8f ).',
                'std' => '#8f8f8f',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Light Text Color',
                'id' => 'light_text_color',
                'type' => 'colorpicker',
                'desc' => 'Pick the Light text color for the theme (default: #ffffff ).',
                'std' => '#ffffff',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Light/hover Text Color',
                'id' => 'light_text_color_hover',
                'type' => 'colorpicker',
                'desc' => 'Pick the Light text color for the theme (default: #ffffff ).',
                'std' => '#ffffff',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Main Background',
                'id' => 'main_background',
                'type' => 'background',
                'desc' => 'Upload the background pattern you want, Default: The wood pattern.',
                'std' => array(
                	'background-color'=>'#f8f8f8',
                	'background-image'=>'',
                ),
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            c5_get_background_style_array('Main background', 'main_bg_style','light-mode'),
            
            array(
                'label' => 'Custom CSS for this skin',
                'id' => 'custom_css',
                'type' => 'textarea',
                'desc' => 'Add Custom CSS for this skin.',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
            ),
            array(
                'label' => 'Custom js for this skin',
                'id' => 'custom_js',
                'type' => 'textarea',
                'desc' => 'Add Custom js for this skin.',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
            )
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );

    $meta_skins_typography = array(
        'id' => 'meta_skins_typography',
        'title' => 'Page Typography Options',
        'desc' => '',
        'pages' => array('skin'),
        'context' => 'normal',
        'priority' => 'low',
        'fields' => array(
            //Fonts
            array(
                'label' => 'Primary Heading Font',
                'id' => 'heading_font',
                'type' => 'select',
                'desc' => 'Select your Header font from the available fonts, Fonts are provided via Google Fonts API',
                'choices' => $google_fonts,
                'std' => 'Maven Pro',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
            ),
            array(
                'label' => 'Heading Font Transform',
                'id' => 'heading_transform',
                'type' => 'radio-image',
                'desc' => 'Choose if the text of the menu and titles is uppercase or normal, Default: Uppercase.',
                'choices' => c5_get_uppercase_normal_images(),
                'std' => 'uppercase',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Heading Font Weight',
                'id' => 'heading_weight',
                'type' => 'radio-image',
                'desc' => 'Choose if the text of the menu and titles font weight is as default or 300, Default: Uppercase.',
                'choices' => c5_get_font_weight_images(),
                'std' => '300',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Body Font',
                'id' => 'body_font',
                'type' => 'select',
                'desc' => 'Select your body "Default" font from the available fonts, Fonts are provided via Google Fonts API',
                'choices' => $google_fonts,
                'std' => 'Arial',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
            ),
            c5_get_font_size_array('Body' , 'body_fs' , '13'),
            array(
                'label' => 'Body Font Weight',
                'id' => 'body_weight',
                'type' => 'radio-image',
                'desc' => 'Choose if the text of the menu and titles font weight is as default or 300, Default: Uppercase.',
                'choices' => c5_get_font_weight_images(),
                'std' => '300',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => ''
            ),
            c5_get_font_size_array('Logo' , 'logo_fs' , '50'),
            c5_get_font_size_array('Title' , 'title_fs' , '16'),
            c5_get_font_size_array('Widget Title' , 'widget_title_fs' , '16'),
            c5_get_font_size_array('Blog Article Title' , 'article_title_fs' , '24'),
            c5_get_font_size_array('Slider Title Title' , 'slider_title_fs' , '24'),
            
        )
        ,
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => '',
        'class' => ''
    );
    
    $skin_defaults = array();
    
    foreach ($meta_skins_layout['fields'] as $option) {
    	$skin_defaults[$option['id']] = array($option['type'], $option['std']);
    }
    foreach ($meta_skins_style['fields'] as $option) {
    	$skin_defaults[$option['id']] = array($option['type'], $option['std']);
    }
    foreach ($meta_skins_typography['fields'] as $option) {
    	$skin_defaults[$option['id']] = array($option['type'], $option['std']);
    }
    update_option('c5_skin_defaults', $skin_defaults);

    ot_register_meta_box($meta_skins_layout);
    ot_register_meta_box($meta_skins_style);
    ot_register_meta_box($meta_skins_typography);
}

?>