<?php

require_once('skins-meta-boxes.php');
require_once('header-meta-boxes.php');
require_once('footer-meta-boxes.php');
require_once('register-custom-post.php');


function format_background_header_primary($value = array() , $default = '', $alpha = '1') {
	
	
	if($value['background-color'] == '' && $value['background-image']== ''){
		$value['background-color'] = $GLOBALS['primary_color'];
	}
	
	return format_background($value, $default, $alpha);
}




function format_background($value = array(), $default = '', $alpha = '1') {
    $bg = "";
    if (isset( $value['background-color'] ) &&  $value['background-color'] != '') {
    	$color_rgb = hex2rgb($value['background-color']);
    	
    	
    	$bg .= 'background-color:rgb(' . $color_rgb[0] . ',' . $color_rgb[1] . ',' . $color_rgb[2] . '); ';
    	if($alpha < 1){
    		$bg .= 'background-color:rgba(' . $color_rgb[0] . ',' . $color_rgb[1] . ',' . $color_rgb[2] . ', '.$alpha.'); ';
    	}
    }

    if (isset( $value['background-image'] ) &&  $value['background-image'] != '') {
        $bg .= "background-image:url('" . $value['background-image'] . "')" . '; ';
    }
    
    if (isset( $value['background-attachment'] ) &&  $value['background-attachment'] != '') {
        $bg .= 'background-attachment: '. $value['background-attachment'] . '; ';
    }

    if (isset( $value['background-position'] ) &&  $value['background-position'] != '') {
        $bg .= 'background-position: ' .$value['background-position'] . '; ';
    }

    if (isset( $value['background-repeat'] ) &&  $value['background-repeat'] != '') {
        $bg .= 'background-repeat:' . $value['background-repeat'] . '; ';
    }
    

    if (count($value) == 0 || ($value['background-image'] == '' && $value['background-color'] = '')) {
        if ($default != '') {

            $bg = 'background: ' . $default . ';';
        } else {
            $bg = '';
        }
    }
    return $bg;
}
/*
function c5_get_archive_skin() {
    if (is_category()) {
        $categories_get = ot_get_option('tax_category', array());
		if ($categories_get) {
             
            foreach ($categories_get as $category) {
                if (is_category($category['category']) && $category['category'] != '') {
                   
                    $skin = $category['skin_default'];
                    return $skin;
                }
            }
        }
    } elseif (is_tax()) {
        $tax_array = get_tax_array();
        $tax_value = '';
        foreach ($tax_array as $value2) {
            if (is_tax($value2)) {
                $tax_value = $value2;
            }
        }
        $categories_get = ot_get_option('tax_category', array());
        if ($categories_get) {

            foreach ($categories_get as $category) {

                if (is_tax($tax_value, $category['category']) && $category['category'] != '') {
                    $skin = $category['skin_default'];
                }
            }
        }
    }elseif (is_tag()) {
    	$categories_get = ot_get_option('tag_category', array());
    	$tag_title = single_tag_title('', false);
    	$term = get_term_by( 'name', $tag_title, 'post_tag');
    	if ($categories_get) {
    	     
    	    foreach ($categories_get as $category) {
    	    	
    	        if (  $category['tag'] == $term->term_id) {
    	            $skin = $category['skin_default'];
    	            return $skin;
    	        }
    	    }
    	}
    	if ($skin == '') {
    	    $skin = ot_get_option('tag_skin');
    	}
    	
    }
    if ($skin == '') {
        $skin = ot_get_option('cat_skin');
    }
    if ($skin == '') {
        $skin = get_page_parameter('skin_default', '', false);
    }
    
    return $skin;
}
*/
function get_page_parameter($parameter, $default = '', $is_background = false) {

    if (isset($_POST[$parameter])) {
        $value = $_POST[$parameter];
    } else {


        if (is_category()) {
            $categories_get = ot_get_option('tax_category', array());
			$value = ot_get_option($parameter);
            if ($categories_get) {
                foreach ($categories_get as $category) {
                	$info = explode('#', $category['post_type']);
                	
                    if (is_category($info[2]) && $info[2] != '') {
                    	$value = $category[$parameter];
                    }
                }
            }
            
        } elseif (is_tax()) {
            $categories_get = ot_get_option('tax_category', array());
            $value = ot_get_option($parameter);
            if ($categories_get) {
                foreach ($categories_get as $category) {
                	$info = explode('#', $category['post_type']);
                	
                    if (is_tax($info[1],$info[2]) && $info[2] != '') {
                    	$value = $category[$parameter];
                    }
                }
            }
            
        } elseif (is_page()) {
            global $post;
            $value = get_post_meta($post->ID, $parameter, true);
        } elseif (is_single()) {
            $use_parent = ot_get_option('posts_styling');
            global $post;
            $type = get_post_type($post->ID);
            if ($use_parent == 'yes') {
                $type = get_post_type($post->ID);

                $tax = get_post_tax($post->ID);

                $terms = wp_get_post_terms($post->ID, $tax);

                if (count($terms) != 0) {
                    $categories_get = ot_get_option('tax_category', array());
                    $value = '';

                    if ($type != 'post') {
                        $custom_posts = ot_get_option('custom_posts', array());
                        if ($custom_posts) {
                            foreach ($custom_posts as $custom_post) {
                                if ($custom_post['slug'] == $type) {
                                    $value = $custom_post[$parameter];
                                }
                            }
                        }
                    }

                    if ($categories_get) {
                        foreach ($categories_get as $category) {
                        	$info = explode('#', $category['post_type']);
                            if ($info[2] == $terms[0]->term_id) {
                                if (isset($category[$parameter])) {
                                    $value = $category[$parameter];
                                }
                            }
                        }
                    }
                }
            }

            //$value = get_post_meta($post->ID,$parameter,true);
        } else {
            $value = ot_get_option($parameter);
        }


        if ($value == '') {
            $value = ot_get_option($parameter);
        }


        return $value;
    }
}

function code125_get_skin($id) {

    global $c5_skindata;


	$c5_skindata_defaults = get_option('c5_skin_defaults');
	if(!is_array($c5_skindata_defaults)){
		_skin_meta_boxes();
		$c5_skindata_defaults = get_option('c5_skin_defaults');
	}
    if ($id != '') {
        $meta_values = get_post_custom($id);
        $c5_skindata = array();
		foreach ($c5_skindata_defaults as $name => $value) {
			if(isset($meta_values[$name][0]) && $meta_values[$name][0] != ''){
				if ( $value[0] == 'background' ) {
					$c5_skindata[$name] = unserialize($meta_values[$name][0]);
				}else {
					$c5_skindata[$name] = $meta_values[$name][0];
				}
			}else {
				$c5_skindata[$name] = $value[1];
				
			}
		}
		
    }else {
    	foreach ($c5_skindata_defaults as $name => $value) {
    		$c5_skindata[$name] = $value[1];
    		
    	}
    }
}

function code125_get_skin_parameter($id, $parameter) {

	$c5_skindata = array();
    if ($id != '') {
        $meta_values = get_post_meta($id, $parameter, true);
        if (isset($meta_values)) {
            return $meta_values;
        }
    } 
    
   $c5_skindata = get_option('c5_skin_defaults');
   return $c5_skindata[$parameter];
   
}

function code125_get_header($id) {

	
	global $c5_headerdata;
	$c5_headerdata_defaults = get_option('c5_header_defaults');
	if(!is_array($c5_headerdata_defaults)){
		_header_meta_boxes();
		$c5_headerdata_defaults = get_option('c5_header_defaults');
	}
	   if ($id != '') {
	        $meta_values = get_post_custom($id);
	        $c5_headerdata = array();
			
			foreach ($c5_headerdata_defaults as $name => $value) {
				if(isset($meta_values[$name][0]) && $meta_values[$name][0] != ''){
					if ( $value[0] == 'background' ) {
						$c5_headerdata[$name] = unserialize($meta_values[$name][0]);
					}else {
						$c5_headerdata[$name] = $meta_values[$name][0];
					}
				}else {
					$c5_headerdata[$name] = $value[1];
				}
			}
			
	    }else {
	    	foreach ($c5_headerdata_defaults as $name => $value) {
	    		$c5_headerdata[$name] = $value[1];
	    	}
	    }
	    
	 
}

function code125_get_footer($id) {

	
	global $c5_footerdata;
	$c5_footer_defaults = get_option('c5_footer_defaults');
	if(!is_array($c5_footer_defaults)){
		_footer_meta_boxes();
		$c5_footer_defaults = get_option('c5_footer_defaults');
	}
	
	    if ($id != '') {
	        $meta_values = get_post_custom($id);
	        $c5_footerdata = array();
			
			foreach ($c5_footer_defaults as $name => $value) {
				if(isset($meta_values[$name][0]) && $meta_values[$name][0] != ''){
					if ( $value[0] == 'background' ) {
						$c5_footerdata[$name] = unserialize($meta_values[$name][0]);
					}else {
						$c5_footerdata[$name] = $meta_values[$name][0];
					}
				}else {
					$c5_footerdata[$name] = $value[1];
				}
			}
			
	    }else {
	    	foreach ($c5_footer_defaults as $name => $value) {
	    		$c5_footerdata[$name] = $value[1];
	    		
	    	}
	    }
	    
	 
}

function c5_get_all_skins() {
    $skins = array(
    );

    $query = new WP_Query(array('post_type' => 'skin', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC', 'post_status' => 'publish'));

    /* has posts */
    if ($query->have_posts()) {
        while ($query->have_posts()) {
            $query->the_post();
            $array = array(
                'label' => get_the_title(),
                'value' => get_the_ID()
            );
            array_push($skins, $array);
        }
    }
    wp_reset_postdata();

    return $skins;
}

function c5_get_all_skins_default() {


    $skins2 = array(
        array(
            'label' => 'Default',
            'value' => ''
        )
    );

    $query = new WP_Query(array('post_type' => 'skin', 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC', 'post_status' => 'publish'));

    /* has posts */
    if ($query->have_posts()) {
        while ($query->have_posts()) {
            $query->the_post();
            $array = array(
                'label' => get_the_title(),
                'value' => get_the_ID()
            );
            array_push($skins2, $array);
        }
    }
    wp_reset_postdata();

    return $skins2;
}


function get_current_skin() {
	
	if(is_category()){
		$categories_get = ot_get_option('tax_category', array());
		if ($categories_get) {
		    foreach ($categories_get as $category) {
		    	$info = explode('#', $category['post_type']);
		    	if (is_category($info[2]) && $info[2] != '') {
		        	$value = $category['skin_default'];
		        	if($value !='' && c5_skin_exist($value)){
		        		return $value;
		        	}
		        }
		    }
		}
		$value = ot_get_option('skin_default_category');
		if($value !='' && c5_skin_exist($value)){
			return $value;
		}
	}elseif (is_tax()) {
		$categories_get = ot_get_option('tax_category', array());
		if ($categories_get) {
		    foreach ($categories_get as $category) {
		    	$info = explode('#', $category['post_type']);
		    	if (is_tax($info[1], $info[2]) && $info[2] != '') {
		        	$value = $category['skin_default'];
		        	if($value !='' && c5_skin_exist($value)){
		        		return $value;
		        	}
		        }
		    }
		}
		$value = ot_get_option('skin_default_category');
		if($value !='' && c5_skin_exist($value)){
			return $value;
		}
	}elseif (is_tag()) {
		$categories_get = ot_get_option('tag_category', array());
		if ($categories_get) {
		    foreach ($categories_get as $category) {
		    	if ( is_tag($category['tag'] ) ) {
		        	$value = $category['skin_default'];
		        	if($value !='' && c5_skin_exist($value)){
		        		return $value;
		        	}
		        }
		    }
		}
		$value = ot_get_option('skin_default_tag');
		if($value !='' && c5_skin_exist($value)){
			return $value;
		}
	}elseif (is_single()) {
		$use_parent = ot_get_option('posts_styling');
	    global $post;
	    $type = get_post_type($post->ID);
	
	    $value = get_post_meta($post->ID, 'posts_skin', true);
	    if($value !='' && c5_skin_exist($value)){
	        return $value;
	    }
	    if ($use_parent == 'yes') {
	        $type = get_post_type($post->ID);
	
	        $tax = get_post_tax($post->ID);
	
	        $terms = wp_get_post_terms($post->ID, $tax);
	
	        if (count($terms) != 0) {
	            $category_follow = get_post_meta($post->ID, 'category_follow', true);
	
	            $categories_get = ot_get_option('tax_category', array());
	
	            if ($category_follow != '') {
	                if ($categories_get) {
	                    foreach ($categories_get as $category) {
	                    	$info = explode('#', $category['post_type']);
	                        if ( $info[2] == $category_follow) {
	                            if (isset($category['posts_skin'])) {
	                                $value = $category['posts_skin'];
	                                if($value !='' && c5_skin_exist($value)){
	                                    return $value;
	                                }
	                            }
	                        }
	                    }
	                }
	            }
	            if ($categories_get) {
	                foreach ($categories_get as $category) {
	                    foreach ($terms as $term) {
	                    	$info = explode('#', $category['post_type']);
	                        if ($info[2] == $term->term_id) {
	                            if (isset($category['posts_skin'])) {
	                                $value = $category['posts_skin'];
	                                if($value !='' && c5_skin_exist($value)){
	                                    return $value;
	                                }
	                            }
	                        }
	                    }
	                }
	            }
	
	
	
	            if ($type != 'post') {
	                $custom_posts = ot_get_option('custom_posts', array());
	                if ($custom_posts) {
	                    foreach ($custom_posts as $custom_post) {
	                        if ($custom_post['slug'] == $type) {
	                            $value = $custom_post['skin_default'];
	                           if($value !='' && c5_skin_exist($value)){
	                                return $value;
	                            }
	                        }
	                    }
	                }
	            }
	        }
	         
	    }
	    
	    
	    $value = ot_get_option('skin_default_article');
	    if($value !='' && c5_skin_exist($value)){
	    	return $value;
	    }
	}elseif (is_search()) {
		$value = ot_get_option('skin_default_search');
		if($value !='' && c5_skin_exist($value)){
			return $value;
		}
	}elseif (is_author()) {
		$value = ot_get_option('skin_default_author');
		if($value !='' && c5_skin_exist($value)){
			return $value;
		}
	}elseif (is_404()) {
		$value = ot_get_option('skin_default_404');
		if($value !='' && c5_skin_exist($value)){
			return $value;
		}
	}elseif (is_page()) {
		global $post;
		
		$value = get_post_meta($post->ID, 'skin_default', true);
		if($value !='' && c5_skin_exist($value)){
			return $value;
		}
		
		$value = ot_get_option('skin_default_page');
		if($value !='' && c5_skin_exist($value)){
			return $value;
		}
		
	}elseif (is_archive()) {
		$value = ot_get_option('skin_default_archive');
		if($value !='' && c5_skin_exist($value)){
			return $value;
		}
	}
	
	
	$value = ot_get_option('skin_default');
	
	return $value;
	
}


function c5_skin_exist($id) {
	// retrieve one post with an ID of 5
	query_posts( 'p=' . $id . '&post_type=skin' );
	$found  = false;
	// the Loop
	while (have_posts()) : the_post();
		$found  = true;
	endwhile;
	
	wp_reset_query();
	return $found;
}

function c5_get_skin_data($parameter) {
    $use_parent = ot_get_option('posts_styling');
    global $post;
    $type = get_post_type($post->ID);

    $posts_skin = get_post_meta($post->ID, 'posts_skin', true);
    if ($posts_skin != '') {
        return $posts_skin;
    }
    if ($use_parent == 'yes') {
        $type = get_post_type($post->ID);

        $tax = get_post_tax($post->ID);

        $terms = wp_get_post_terms($post->ID, $tax);

        if (count($terms) != 0) {
            $category_follow = get_post_meta($post->ID, 'category_follow', true);

            $categories_get = ot_get_option('tax_category', array());

            if ($category_follow != '') {
                if ($categories_get) {
                    foreach ($categories_get as $category) {
                        if ($category['category'] == $category_follow) {
                            if (isset($category[$parameter])) {
                                $value = $category[$parameter];
                                return $value;
                            }
                        }
                    }
                }
            }
            if ($categories_get) {
                foreach ($categories_get as $category) {
                    foreach ($terms as $term) {
                        if ($category['category'] == $term->term_id) {
                            if (isset($category[$parameter])) {
                                $value = $category[$parameter];
                                return $value;
                            }
                        }
                    }
                }
            }



            if ($type != 'post') {
                $custom_posts = ot_get_option('custom_posts', array());
                if ($custom_posts) {
                    foreach ($custom_posts as $custom_post) {
                        if ($custom_post['slug'] == $type) {
                            $value = $custom_post[$parameter];
                            return $value;
                        }
                    }
                }
            } else {
                $value = ot_get_option($parameter);
                return $value;
            }
        } else {
            $value = ot_get_option($parameter);
        }
    } else {
        $value = ot_get_option($parameter);
    }
}


// Add it to a column in WP-Admin
add_filter('manage_posts_columns', 'c5_skins_duplicate_title');
add_action('manage_posts_custom_column', 'c5_skins_duplicate_data',5,2);
function c5_skins_duplicate_title($defaults){
	
    $defaults['duplicate'] = 'Duplicate';
    return $defaults;
}
function c5_skins_duplicate_data($column_name, $id){
	$post_type = get_post_type(get_the_ID());
	if($column_name === 'duplicate' && ( $post_type =='skin' || $post_type == 'header' || $post_type == 'footer'  )){
   
        echo '<a href="?post_type='.$post_type.'&c5_duplicate=true&c5_id='.get_the_ID().'">Duplicate</a>';
    }
}

function c5_admin_init_duplicate() {
	if(isset($_GET['c5_duplicate'])){
		
		$post_type = get_post_type($_GET['c5_id']);
		$meta_values = get_post_custom($_GET['c5_id']);
		$defaults = array( 
		  'post_status' => 'publish',
		  'post_type'   => $post_type,
		  'post_title'    => get_the_title($_GET['c5_id']) . ' Copy',
		);
		//print_r($meta_values);
		$post_id = wp_insert_post( $defaults );
		foreach ($meta_values as $key => $value) {
			if(is_array(@unserialize($value[0]))){
				update_post_meta($post_id , $key, unserialize($value[0]));
			}else{
				update_post_meta($post_id , $key, $value[0]);
			}
		}
		
	}	
}

add_action('admin_init', 'c5_admin_init_duplicate');


function c5_get_yes_no_images() {
	
	$layout_options = array(
		array(
		    'src' => get_template_directory_uri().'/library/images/options/show.png',
		    'label' => 'Show',
		    'value' => 'yes'
		),
		array(
		    'src' => get_template_directory_uri().'/library/images/options/hide.png',
		    'label' => 'Hide',
		    'value' => 'no'
		)
	);
	
	return $layout_options;
}

function c5_get_uppercase_normal_images() {
	
	$layout_options = array(
		array(
		    'src' => get_template_directory_uri().'/library/images/options/uppercase.png',
		    'label' => 'Uppercase',
		    'value' => 'uppercase'
		),
		array(
		    'src' => get_template_directory_uri().'/library/images/options/normal.png',
		    'label' => 'Normal',
		    'value' => 'normal'
		)
	);
	
	return $layout_options;
}

function c5_get_rtl_ltr_images() {
	
	$layout_options = array(
		
		array(
		    'src' => get_template_directory_uri().'/library/images/options/ltr.png',
		    'label' => 'LTR',
		    'value' => 'no'
		),
		array(
		    'src' => get_template_directory_uri().'/library/images/options/rtl.png',
		    'label' => 'RTL',
		    'value' => 'yes'
		)
	);
	
	return $layout_options;
}

function c5_get_fadein_images() {
	
	$layout_options = array(
		array(
		    'src' => get_template_directory_uri().'/library/images/options/fade-on.png',
		    'label' => 'Fade on',
		    'value' => 'yes'
		),
		array(
		    'src' => get_template_directory_uri().'/library/images/options/fade-off.png',
		    'label' => 'Fade Off',
		    'value' => 'no'
		)
	);
	
	return $layout_options;
}

function c5_get_font_weight_images() {
	
	$options =array(
		'100',
		'300',
		'400',
		'700'
	);
	$layout_options =array();
	
	foreach ($options as $value) {
		$layout_options[] = array(
		    'src' => get_template_directory_uri().'/library/images/options/'.$value.'.png',
		    'label' => $value,
		    'value' => $value
		);
	}
	
	return $layout_options;
}


function c5_get_boxed_full_images() {
	
	$layout_options = array(
		array(
		    'src' => get_template_directory_uri().'/library/images/options/boxed.png',
		    'label' => 'Boxed',
		    'value' => 'boxed-layout'
		),
		array(
		    'src' => get_template_directory_uri().'/library/images/options/full.png',
		    'label' => 'Full',
		    'value' => 'full-layout'
		)
	);
	
	return $layout_options;
}

function c5_get_dark_light_images() {
	$layout_array = array(
		'dark',
		'light'
	);
	$layout_options = array(
	);
	
	foreach ($layout_array as $value) {
		$array = array(
		    'src' => get_template_directory_uri().'/library/images/options/'.$value.'.png',
		    'label' => '',
		    'value' => $value . '-mode'
		);
		 array_push($layout_options, $array);
	}
	return $layout_options;
}



function c5_get_logo_position_images() {
	$layout_array = array(
		'logo-left',
		'logo-right',
		'logo-center-top',
		'logo-center-bottom',
		'logo-custom',
	);
	$layout_options = array(
	);
	
	foreach ($layout_array as $value) {
		$array = array(
		    'src' => get_template_directory_uri().'/library/images/options/'.$value.'.png',
		    'label' => '',
		    'value' => $value 
		);
		 array_push($layout_options, $array);
	}
	return $layout_options;
}



function c5_get_background_array($name, $id) {

	$return = array(
	    'label' => $name . ' Background',
	    'id' => $id,
	    'type' => 'background',
	    'desc' => 'Upload the background pattern you want for '. $name,
	    'std' => array(
	    	'background-color'=>'',
	    	'background-image'=>'',
	    ),
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => ''
	);
	
	
	return $return;
}

function c5_get_background_transparency_array($name, $id) {

	$return = array(
	  'label'       => $name . ' Background Transparency , Default: 1',
	  'id'          => $id,
	  'type'        => 'numeric-slider',
	  'desc'        => 'Background Transparency / Alpha for ' . $name,
	  'std'         => '1', 
	  'min_max_step' => '0,1,0.05',
	  'rows'        => '',
	  'post_type'   => '',
	  'taxonomy'    => '',
	  'class'       => ''
	);
	
	
	return $return;
}

function c5_get_font_size_array($name, $id, $default= '13') {

	$return = array(
	    'label' => $name . ' font size',
	    'id' => $id,
	    'type'=> 'numeric-slider',
	    'desc'=> 'Select the font size for ' . $name,
	    'std'=> $default, 
	    'min_max_step' => '10,100,1',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	);
	
	
	return $return;
}





function c5_get_background_style_array($name, $id, $default= 'dark-mode') {

	$return = array(
	    'label' => $name . ' Background style',
	    'id' => $id,
	    'type' => 'radio-image',
	    'desc' => 'Choose the Background style for '. $name ,
	    'choices' => c5_get_dark_light_images(),
	    'std' => $default,
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	);
	
	
	return $return;
}

function c5_get_enable_array($name, $id, $default= 'no') {

	$return = array(
	    'label' => $name . ' Enable',
	    'id' => $id,
	    'type' => 'radio-image',
	    'desc' => 'Enable ' . $name,
	    'choices' => c5_get_yes_no_images(),
	    'std' => $default,
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	);
	
	
	return $return;
}

function c5_get_content_array($name, $id, $default= '') {
	add_thickbox();
	$return = array(
	     'label' => $name . ' content',
	     'id' => $id,
	     'type' => 'textarea',
	     'desc' => '<p>Add the content, you can use  HTML or shortcodes</p><h4>example</h4><blockquote>[float_left]Content[/float_left][float_right]Content[/float_right]</blockquote><br/><div class="shortcode-generator"><a href="#TB_inline?width=640&height=600&inlineId=code125-generator-wrap" class="btn btn-primary c5_doc_button  thickbox" title="' . __( 'Insert shortcode', 'code125-admin' ) . '" >Shortcodes Generator</a></div>',
	     'std' => $default,
	     'rows' => '',
	     'post_type' => '',
	     'taxonomy' => '',
	     'class' => '',
	 );
	
	
	return $return;
}




?>