<?php

function filter_textarea_tinymce($content, $field_id) {

    /* only run the filter on the textarea with a field ID of my_textarea */
    if ($field_id == 'content') {
        return false;
    }



    return $content;
}

add_filter('ot_tinymce', 'filter_textarea_tinymce', 10, 2);


/**
 * Initialize the options before anything else. 
 */
add_action('admin_init', '_custom_theme_options', 1);

/**
 * Theme Mode demo code of all the available option types.
 *
 * @return    void
 *
 * @access    private
 * @since     2.0
 */
function _custom_theme_options() {

    /**
     * Get a copy of the saved settings array. 
     */
    $saved_settings = get_option('option_tree_settings', array());



    $skins = c5_get_all_skins();
    $skins2 = c5_get_all_skins_default();
    
    if(function_exists('c5_get_all_posts_to_theme_options')){
    	$post_types = c5_get_all_posts_to_theme_options();	
    }else {
    	 $post_types =  array( 'post');
    }
	
	
	
	$all_categories = c5_get_categories_for_theme_options();
	

    $all_settings = array(
        array(
            'label' => 'Main Logo',
            'id' => 'logo',
            'type' => 'upload',
            'desc' => 'W.P.L.O.C.K.E.R...C.O.M. - Upload the main logo for your website. <br/><br/><p class="btn btn-primary c5_doc_button" doc="logo">See Documentation on Logo</p>',
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        
        array(
            'label' => 'Logo Subline',
            'id' => 'logo_subline',
            'type' => 'text',
            'desc' => 'Add logo subline text or leave it and it wont show.',
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
          'label'       => 'Logo Height',
          'id'          => 'logo_height_px',
          'type'        => 'numeric-slider',
          'desc'        => 'Slide to select your Logo Height. "We will calculate the width automaticly based on the height"',
          'std'         => '26', 
          'min_max_step' => '0,300,1',
          'rows'        => '',
          'post_type'   => '',
          'taxonomy'    => '',
          'class'       => '',
          'section'     => 'general_default'
        ),
        array(
            'label' => 'Main Logo Top Margin',
            'id' => 'logo_margin',
            'type' => 'text',
            'desc' => 'Top Margin for the logo for your website, Default:0px.',
            'std' => '17px',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        
        array(
            'label' => 'favicon',
            'id' => 'favicon',
            'type' => 'upload',
            'desc' => 'Upload a 16px x 16px Png/Gif image that will represent your website\'s favicon.',
            'std' => get_template_directory_uri() . '/favicon.png',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Preview Mode',
            'id' => 'preview',
            'type' => 'select',
            'desc' => 'Choose Yes to enable Preview Mode to test some colors changes in your website.',
            'choices' => array(
                array(
                    'label' => 'Yes',
                    'value' => 'yes'
                ),
                array(
                    'label' => 'No',
                    'value' => 'no'
                )
            ),
            'std' => 'no',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Maintaince Mode',
            'id' => 'maintaince',
            'type' => 'select',
            'desc' => 'Choose Yes to enable Maintaince Mode to your website.',
            'choices' => array(
                array(
                    'label' => 'Yes',
                    'value' => 'yes'
                ),
                array(
                    'label' => 'No',
                    'value' => 'no'
                )
            ),
            'std' => 'no',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Enable SEO',
            'id' => 'seo',
            'type' => 'select',
            'desc' => 'Choose Yes to enable Built in SEO Features.',
            'choices' => array(
                array(
                    'label' => 'Yes',
                    'value' => 'yes'
                ),
                array(
                    'label' => 'No',
                    'value' => 'no'
                )
            ),
            'std' => 'yes',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Website Description',
            'id' => 'web_description',
            'type' => 'textarea-simple',
            'desc' => 'Add your website description "it will be used in facebook share".',
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Quick Read Ad',
            'id' => 'quick_read_ad',
            'type' => 'textarea-simple',
            'desc' => 'Add Quick Read Ad Content.',
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Contact Page e-mail',
            'id' => 'contact_page',
            'type' => 'text',
            'desc' => 'Add the contact e-email for the contact form.',
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Google Analytics Code',
            'id' => 'google_analytics',
            'type' => 'textarea-simple',
            'desc' => 'Paste your Google Analytics (or other) tracking code here. This will be added into your theme.',
            'std' => '',
            'rows' => '10',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Custom CSS Code',
            'id' => 'custom_css',
            'type' => 'textarea-simple',
            'desc' => 'Paste your custom css code.',
            'std' => '',
            'rows' => '10',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Custom Javascript Code',
            'id' => 'custom_js',
            'type' => 'textarea-simple',
            'desc' => 'Paste your custom Javascript code.',
            'std' => '',
            'rows' => '10',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'general_default'
        ),
        array(
            'label' => 'Choose The default Skin',
            'id' => 'skin_default',
            'type' => 'select',
            'desc' => 'Choose The default Skin for website.',
            'choices' => $skins,
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'layout_option'
        ),
        array(
            'label' => 'Choose The default Skin for Articles',
            'id' => 'skin_default_article',
            'type' => 'select',
            'desc' => 'Choose The default Skin for Articles.',
            'choices' => $skins2,
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'layout_option'
        ),
        array(
            'label' => 'Choose The default Skin for Pages',
            'id' => 'skin_default_page',
            'type' => 'select',
            'desc' => 'Choose The default Skin for Pages.',
            'choices' => $skins2,
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'layout_option'
        ),
        array(
            'label' => 'Choose The default Skin for Category Page',
            'id' => 'skin_default_category',
            'type' => 'select',
            'desc' => 'Choose The default Skin for Category Page.',
            'choices' => $skins2,
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'layout_option'
        ),
        array(
            'label' => 'Choose The default Skin for Tags Page',
            'id' => 'skin_default_tag',
            'type' => 'select',
            'desc' => 'Choose The default Skin for Tags Page.',
            'choices' => $skins2,
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'layout_option'
        ),
        array(
            'label' => 'Choose The default Skin for Search Page',
            'id' => 'skin_default_search',
            'type' => 'select',
            'desc' => 'Choose The default Skin for Search Page.',
            'choices' => $skins2,
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'layout_option'
        ),
        array(
            'label' => 'Choose The default Skin for Archive Page "Year, Month"',
            'id' => 'skin_default_archive',
            'type' => 'select',
            'desc' => 'Choose The default Skin for Archive Page " Year, Month".',
            'choices' => $skins2,
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'layout_option'
        ),
        array(
            'label' => 'Choose The default Skin for 404 Page',
            'id' => 'skin_default_404',
            'type' => 'select',
            'desc' => 'Choose The default Skin for 404 Page.',
            'choices' => $skins2,
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'layout_option'
        ),
        
        /// Article Settings

        array(
            'label' => 'Follow Category styling Settings',
            'id' => 'posts_styling',
            'type' => 'select',
            'desc' => 'Follow the article category styling Settings, Default: Yes.',
            'choices' => array(
                array(
                    'label' => 'Yes',
                    'value' => 'yes'
                ),
                array(
                    'label' => 'No',
                    'value' => 'no'
                )
            ),
            'std' => 'yes',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'article'
        ),
        array(
          'label'       => 'Posts Meta Data Enable',
          'id'          => 'meta_data',
          'type'        => 'checkbox',
          'desc'        => 'Posts Meta Data Enable or Disable.',
          'choices'     => array(
            array (
              'label'       => 'Show Single Post Name in Breadcrumbs',
              'value'       => 'single_crumb'
            ),
            array (
              'label'       => 'Show Featured Media',
              'value'       => 'media'
            ),
            array (
              'label'       => 'Show Social Share count',
              'value'       => 'social_count'
            ),
            array (
              'label'       => 'Show Facebook Like Button',
              'value'       => 'facebook'
            ),
            array (
              'label'       => 'Show Twitter Button',
              'value'       => 'twitter'
            ),
            array (
              'label'       => 'Show Google Plus Button',
              'value'       => 'gplus'
            ),
            array (
              'label'       => 'Show Pintrest Button',
              'value'       => 'pintrest'
            ),
            array (
              'label'       => 'Show Like Button',
              'value'       => 'like'
            ),
            array (
              'label'       => 'Show View Count',
              'value'       => 'view'
            ),
            array (
              'label'       => 'Show Author Photo',
              'value'       => 'author_photo'
            ),
            array (
              'label'       => 'Show Author Link',
              'value'       => 'author'
            ),
            array (
              'label'       => 'Show Author Position',
              'value'       => 'author_position'
            ),
            array (
              'label'       => 'Show Date',
              'value'       => 'date'
            ),
            array (
              'label'       => 'Show Time',
              'value'       => 'time'
            ),
            array (
              'label'       => 'Show Commenets Count',
              'value'       => 'comments_count'
            ),
            array (
              'label'       => 'Show Categories',
              'value'       => 'categpory'
            ),
            array (
              'label'       => 'Show Tags',
              'value'       => 'tags'
            ),
            array (
              'label'       => 'Show Related Posts',
              'value'       => 'related'
            ),
            array (
              'label'       => 'Enable Comments Section',
              'value'       => 'commnets'
            ),
            array (
              'label'       => 'Enable Facebook Comments',
              'value'       => 'fb_commnets'
            ),
            array (
              'label'       => 'Enable WordPress Comments',
              'value'       => 'wp_commnets'
            )
          ),
          'std'         => array( 'media', 'social_count', 'facebook', 'twitter', 'gplus', 'pintrest', 'like', 'view', 'author_photo', 'author', 'author_position', 'date', 'time', 'comments_count', 'categpory', 'tags', 'related', 'commnets', 'fb_commnets', 'wp_commnets'  ),
          'rows'        => '',
          'post_type'   => '',
          'taxonomy'    => '',
          'class'       => '',
          'section'     => 'article'
        ),
        array(
            'label' => 'Date Format Posts Type',
            'id' => 'c5_date_format',
            'type' => 'select',
            'desc' => 'Set The Date format "Normal date: 12th January, 2013" or "Ago date: 2 days ago"',
            'choices' => array(
                array(
                    'label' => 'Normal date',
                    'value' => 'normal'
                ),
                array(
                    'label' => 'Ago date',
                    'value' => 'ago'
                )
            ),
            'std' => 'normal',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'article'
        ),
        array(
            'label' => 'Related Posts Type',
            'id' => 'related_type',
            'type' => 'select',
            'desc' => 'Select Related Posts selection type based on:',
            'choices' => array(
                array(
                    'label' => 'Tags',
                    'value' => 'tags'
                ),
                array(
                    'label' => 'Category',
                    'value' => 'category'
                ),
                array(
                    'label' => 'Random',
                    'value' => 'random'
                )
            ),
            'std' => 'tags',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'article'
        ),
        array(
            'label' => 'Before Article Section Content',
            'id' => 'article_before',
            'type' => 'textarea-simple',
            'desc' => 'Add a content to show before each article',
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'article'
        ),
        array(
            'label' => 'After Article Section Content',
            'id' => 'article_after',
            'type' => 'textarea-simple',
            'desc' => 'Add a content to show after each article',
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'article'
        ),
        array(
            'label' => 'Comments Section Order',
            'id' => 'comments_order',
            'type' => 'select',
            'desc' => 'Select the Comments Order in your article, Default: Facebook - WP Comments',
            'choices' => array(
                array(
                    'label' => 'Facebook - WP Comments',
                    'value' => 'facebook_comments'
                ),
                array(
                    'label' => 'WP Comments - Facebook',
                    'value' => 'comments_facebook'
                )
            ),
            'std' => 'facebook_comments',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'article'
        ),
        array(
            'label' => 'Facebook Color',
            'id' => 'facebook_color',
            'type' => 'select',
            'desc' => 'Select Facebook Color Mode. Default Light.',
            'choices' => array(
                array(
                    'label' => 'Light',
                    'value' => 'light'
                ),
                array(
                    'label' => 'Dark',
                    'value' => 'dark'
                )
            ),
            'std' => 'light',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'article'
        ),
        array(
            'label' => 'Default Thumbnail for Commenter',
            'id' => 'avatar',
            'type' => 'upload',
            'desc' => 'Upload Default Thumbnail for Commenters.',
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'article'
        ),
        
       
        //// Categories
        
        array(
            'label' => 'Choose your Default Category Page template.',
            'id' => 'cat_template',
            'type' => 'custom-post-type-select',
            'desc' => 'Choose your Default Category Page template.',
            'std' => '',
            'rows' => '',
            'post_type' => 'template',
            'taxonomy' => '',
            'class' => '',
            'section' => 'default_templates'
        ),
        array(
            'label' => 'Choose your Default Tag Page template.',
            'id' => 'tag_template',
            'type' => 'custom-post-type-select',
            'desc' => 'Choose your Default Category Page template.',
            'std' => '',
            'rows' => '',
            'post_type' => 'template',
            'taxonomy' => '',
            'class' => '',
            'section' => 'default_templates'
        ),
        array(
            'label' => 'Choose your Default Author Page template.',
            'id' => 'author_template',
            'type' => 'custom-post-type-select',
            'desc' => 'Choose your Default Category Page template.',
            'std' => '',
            'rows' => '',
            'post_type' => 'template',
            'taxonomy' => '',
            'class' => '',
            'section' => 'default_templates'
        ),
        array(
            'label' => 'Choose your Default Search Page template.',
            'id' => 'search_template',
            'type' => 'custom-post-type-select',
            'desc' => 'Choose your Default Category Page template.',
            'std' => '',
            'rows' => '',
            'post_type' => 'template',
            'taxonomy' => '',
            'class' => '',
            'section' => 'default_templates'
        ),
        array(
            'label' => 'Choose your Default Archive Page template.',
            'id' => 'archive_template',
            'type' => 'custom-post-type-select',
            'desc' => 'Choose your Default Category Page template.',
            'std' => '',
            'rows' => '',
            'post_type' => 'template',
            'taxonomy' => '',
            'class' => '',
            'section' => 'default_templates'
        ),
        array(
            'label' => 'Choose your Default 404 Page template.',
            'id' => '404_template',
            'type' => 'custom-post-type-select',
            'desc' => 'Choose your Default Category Page template.',
            'std' => '',
            'rows' => '',
            'post_type' => 'template',
            'taxonomy' => '',
            'class' => '',
            'section' => 'default_templates'
        ),
        array(
            'label' => 'Add Special Settings for Categories Page',
            'id' => 'tax_category',
            'type' => 'list-item',
            'desc' => 'Add Categories Colors & Icons.',
            'settings' => array(
                array(
                    'label' => 'Choose Post Type & Category',
                    'id' => 'post_type',
                    'type' => 'select',
                    'desc' => 'Choose the post type that the category belongs to.',
                    'choices' => $all_categories,
                    'std' => 'post',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => ''
                ),
                array(
                    'label' => 'Choose the Category Skin',
                    'id' => 'skin_default',
                    'type' => 'select',
                    'desc' => 'Choose The page Skin.',
                    'choices' => $skins2,
                    'std' => '',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => ''
                ),
                array(
                    'label' => 'Choose the Category Post Skin',
                    'id' => 'posts_skin',
                    'type' => 'select',
                    'desc' => 'Choose The Category Post Skin.',
                    'choices' => $skins2,
                    'std' => '',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => ''
                ),
               array(
                   'label' => 'Choose your Category Page Content template, Leave Blank for default posts.',
                   'id' => 'cat_template',
                   'type' => 'custom-post-type-select',
                   'desc' => 'Choose your Category Page template.',
                   'std' => '',
                   'rows' => '',
                   'post_type' => 'template',
                   'taxonomy' => '',
                   'class' => ''
               ),
                array(
                    'label' => 'Icon',
                    'id' => 'icon',
                    'type' => 'text',
                    'desc' => 'Add Icon Class.',
                    'std' => 'tag',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => '',
                )
            ),
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'categories'
        ),
        array(
            'label' => 'Add Special Settings for Tag Page',
            'id' => 'tag_category',
            'type' => 'list-item',
            'desc' => 'Add Tag Special Skins and page tempaltes.',
            'settings' => array(
                
                array(
                    'label' => 'Choose Tag',
                    'id' => 'tag',
                    'type' => 'tag-select',
                    'desc' => 'Choose the Tag you want to set a special permission.',
                    'std' => '',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => ''
                ),
                array(
                    'label' => 'Choose the Tag Skin',
                    'id' => 'skin_default',
                    'type' => 'select',
                    'desc' => 'Choose The page Skin.',
                    'choices' => $skins2,
                    'std' => '',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => ''
                ),
               array(
                   'label' => 'Choose your Category Page Content template, Leave Blank for default posts.',
                   'id' => 'cat_template',
                   'type' => 'custom-post-type-select',
                   'desc' => 'Choose your Category Page template.',
                   'std' => '',
                   'rows' => '',
                   'post_type' => 'template',
                   'taxonomy' => '',
                   'class' => ''
               )
            ),
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'categories'
        ),
        ////Sidebars
        array(
            'label' => 'Sidebars',
            'id' => 'sidebars',
            'type' => 'list-item',
            'desc' => 'Add Unlimited Sidebars to your website.',
            'settings' => array(
                array(
                    'label' => 'Slug',
                    'id' => 'slug',
                    'type' => 'text',
                    'desc' => 'Sidebar Slug "All lowercase and must be unique".',
                    'std' => '',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => ''
                ),
                array(
                    'label' => 'Description',
                    'id' => 'description',
                    'type' => 'textarea-simple',
                    'desc' => 'Sidebar Description.',
                    'std' => '',
                    'rows' => '5',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => ''
                )
            ),
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'sidebars'
        ),
        ////Menus
        array(
            'label' => 'Menu Locations',
            'id' => 'menus',
            'type' => 'list-item',
            'desc' => 'Add Unlimited Menu Locations to your website.',
            'settings' => array(
                array(
                    'label' => 'Location',
                    'id' => 'location',
                    'type' => 'text',
                    'desc' => 'Menu Location You will get the menu by that name. "No spaces"',
                    'std' => '',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => ''
                )
            ),
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'menus'
        ),
        
        
		array(
		    'label' => 'Custom Fonts',
		    'id' => 'custom_fonts',
		    'type' => 'list-item',
		    'desc' => 'Add New Custom font.',
		    'settings' => array(
		       array(
		            'label' => 'folder name',
		            'id' => 'folder',
		            'type' => 'text',
		            'desc' => 'type the folder name you added to /library/fonts/',
		            'std' => '',
		            'rows' => '',
		            'post_type' => '',
		            'taxonomy' => '',
		            'class' => ''
		        ),
		       array(
		            'label' => '.css file name',
		            'id' => 'css',
		            'type' => 'text',
		            'desc' => 'add .css file name for the font face"type it without the extension"',
		            'std' => '',
		            'rows' => '',
		            'post_type' => '',
		            'taxonomy' => '',
		            'class' => ''
		        )
		    ),
		    'std' => '',
		    'rows' => '',
		    'post_type' => '',
		    'taxonomy' => '',
		    'class' => '',
		    'section' => 'fonts'
		),
		        
       
        array(
            'label' => 'Default Search Post Type',
            'id' => 'search_post',
            'type' => 'select',
            'desc' => 'Choose the post type you want to make the search based on.',
            'choices' => $post_types,
            'std' => 'post',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
            'section' => 'search'
        ),
        
    );

	


    $cat_settings = array(
        array(
            'label' => 'Slug',
            'id' => 'slug',
            'type' => 'text',
            'desc' => 'Enter the meta data slug "should be in english".',
            'std' => '',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
        ),
        array(
            'label' => 'Icon',
            'id' => 'icon',
            'type' => 'text',
            'desc' => 'Add Your icon class.',
            'std' => 'tag',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
        ),
        array(
            'label' => 'Title Show',
            'id' => 'title_show',
            'type' => 'select',
            'desc' => 'theme shared on wplocker.com Select the way to show the title',
            'choices' => array(
                array(
                    'label' => 'Icon with text as tooltip',
                    'value' => 'icon_tooltip'
                ),
                array(
                    'label' => 'Just Icon',
                    'value' => 'icon'
                ),
                array(
                    'label' => 'Just Text',
                    'value' => 'text'
                ),
                array(
                    'label' => 'None',
                    'value' => 'none'
                )
            ),
            'std' => 'icon_tooltip',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
        ),
        array(
            'label' => 'Data type',
            'id' => 'type',
            'type' => 'select',
            'desc' => 'Choose Your Meta data type.',
            'choices' => array(
                array(
                    'label' => 'Title',
                    'value' => 'title'
                ),
                array(
                    'label' => 'Text',
                    'value' => 'text'
                )
            ),
            'std' => 'text',
            'rows' => '',
            'post_type' => '',
            'taxonomy' => '',
            'class' => '',
        )
    );



    /**
     * Create a custom settings array that we pass to 
     * the OptionTree Settings API Class.
     */
    $custom_settings = array(
        'sections' => array(
            array(
                'title' => 'General Settings',
                'id' => 'general_default'
            ),
            array(
                'title' => 'Layout Options',
                'id' => 'layout_option'
            ),
            array(
                'title' => 'Default Templates',
                'id' => 'default_templates'
            ),
            array(
                'title' => 'Custom Fonts ',
                'id' => 'fonts'
            ),
            array(
                'title' => 'Article Settings',
                'id' => 'article'
            ),
            array(
                'title' => 'Search Settings',
                'id' => 'search'
            ),
            array(
                'title' => 'Category',
                'id' => 'categories'
            ),
            array(
                'title' => 'Sidebars',
                'id' => 'sidebars'
            ),
            array(
                'title' => 'Menu Locations',
                'id' => 'menus'
            )
        ),
        'settings' => $all_settings
    );
    
    


    /* settings are not the same update the DB */
    if ($saved_settings !== $custom_settings) {
        update_option('option_tree_settings', $custom_settings);
    }
}