<?php 

add_action( 'admin_init', 'c5_theme_options_social', 3 );

function c5_theme_options_social() {
	
	
	/**
	 * Get a copy of the saved settings array. 
	 */
	$saved_settings = get_option( 'option_tree_settings', array() );
	
	/**
	 * Create a custom settings array that we pass to 
	 * the OptionTree Settings API Class.
	 */
	
	if(function_exists('c5_get_all_posts_to_theme_options')){
		$post_types = c5_get_all_posts_to_theme_options();	
	}else {
		 $post_types =  array( 'post');
	}
	
	
	$section = array(
		'title' => 'Social Settings ',
		'id' => 'social'
	);
	array_push($saved_settings['sections'], $section);
	
	
	//// Social
	 $settings = array(
	    'label' => 'Facebook username',
	    'id' => 'facebook',
	    'type' => 'text',
	    'desc' => 'Add your facebook username.',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
	array_push($saved_settings['settings'], $settings);
	
	
	 $settings = array(
	    'label' => 'Facebook App ID',
	    'id' => 'facebook_ID',
	    'type' => 'text',
	    'desc' => 'Add your facebook App ID "used for analytics with your likes and social integration".',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
		array_push($saved_settings['settings'], $settings);
	 $settings = array(
	    'label' => 'Default facebook thumb',
	    'id' => 'facebook_thumb',
	    'type' => 'upload',
	    'desc' => 'Upload the default thumb for your website in facebook sharing, "Mostly showen when sharing your homepage".',
	    'std' => get_template_directory_uri() . '/library/images/thumb.jpg',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
		array_push($saved_settings['settings'], $settings);
	
	
	 $settings = array(
	    'label' => 'Twitter username',
	    'id' => 'twitter',
	    'type' => 'text',
	    'desc' => 'Add your twitter username.',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
		array_push($saved_settings['settings'], $settings);
		
	$settings = array(
	    'label' => 'Twitter Consumer Key',
	    'id' => 'consumerkey',
	    'type' => 'text',
	    'desc' => 'Add your twitter Consumer Key <a href="http://themepacific.com/how-to-generate-api-key-consumer-token-access-key-for-twitter-oauth/994/" >Click Here to learn about these keys</a>.',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
	array_push($saved_settings['settings'], $settings);
	
	$settings = array(
	    'label' => 'Twitter Consumer Secret',
	    'id' => 'consumersecret',
	    'type' => 'text',
	    'desc' => 'Add your twitter Consumer Secret.',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
	array_push($saved_settings['settings'], $settings);
	
	$settings = array(
	    'label' => 'Twitter Access Token',
	    'id' => 'accesstoken',
	    'type' => 'text',
	    'desc' => 'Add your twitter Access Token.',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
	array_push($saved_settings['settings'], $settings);
	
	
	$settings = array(
	    'label' => 'Twitter Access Token Secret',
	    'id' => 'accesstokensecret',
	    'type' => 'text',
	    'desc' => 'Add your twitter Access Token Secret.',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
	array_push($saved_settings['settings'], $settings);
		
		
		
		
		
	 $settings = array(
	    'label' => 'Google Plus ID',
	    'id' => 'google_plus',
	    'type' => 'text',
	    'desc' => 'Add your Google Plus Link.',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
		array_push($saved_settings['settings'], $settings);

	$settings = array(
	    'label' => 'Youtube Username',
	    'id' => 'youtube',
	    'type' => 'text',
	    'desc' => 'Add your Youtube Username.',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
		array_push($saved_settings['settings'], $settings);
		
		
		
		$settings = array(
		    'label' => 'Viemo Channel Username',
		    'id' => 'vimeo',
		    'type' => 'text',
		    'desc' => 'Add your Viemo Channel Username.',
		    'std' => '',
		    'rows' => '',
		    'post_type' => '',
		    'taxonomy' => '',
		    'class' => '',
		    'section' => 'social'
		);
			array_push($saved_settings['settings'], $settings);
	

	 $settings = array(
	    'label' => 'RSS Link',
	    'id' => 'rss',
	    'type' => 'text',
	    'desc' => 'Add your RSS link.',
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
		array_push($saved_settings['settings'], $settings);
	 $settings = array(
	    'label' => 'Social Widget Icons',
	    'id' => 'social_widget',
	    'type'        => 'checkbox',
	    'desc'        => 'Social Box Widget Show/Hide Settings.',
	    'choices'     => array(
	      array (
	        'label'       => 'Show Facebook Count',
	        'value'       => 'facebook'
	      ),
	      array (
	        'label'       => 'Show Twitter Count',
	        'value'       => 'twitter'
	      ),
	      array (
	        'label'       => 'Show Google Plus count',
	        'value'       => 'gplus'
	      ),
	      array (
	        'label'       => 'Show Youtube count',
	        'value'       => 'youtube'
	      ),
	      array (
	        'label'       => 'Show Vimeo Channel count',
	        'value'       => 'vimeo'
	      ),
	      array (
	        'label'       => 'Show RSS Link ',
	        'value'       => 'rss'
	      ),
	      array (
	        'label'       => 'Show Comments Count',
	        'value'       => 'comments'
	      ),
	      array (
	        'label'       => 'Show Articles Count',
	        'value'       => 'articles'
	      )
	    ),
	    'std'         => array( 'facebook', 'twitter', 'gplus','youtube','vimeo', 'rss', 'comments', 'articles' ),
	    'rows'        => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
		array_push($saved_settings['settings'], $settings);
	 $settings = array(
	    'label' => 'Social Widget Article Count includes',
	    'id' => 'social_widget_article',
	    'type'        => 'checkbox',
	    'desc'        => 'Post Types Check to count the articles.',
	    'choices'     => $post_types,
	    'std'         => '',
	    'rows'        => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
		array_push($saved_settings['settings'], $settings);
	
	 $settings = array(
	    'label' => 'Social Top Icons',
	    'id' => 'social_icons',
	    'type' => 'list-item',
	    'desc' => 'Add Social Icons',
	    'settings' => array(
	        array(
	            'label' => 'Link',
	            'id' => 'link',
	            'type' => 'text',
	            'desc' => 'Your Social Link',
	            'choices' => '',
	            'std' => '',
	            'rows' => '',
	            'post_type' => '',
	            'taxonomy' => '',
	            'class' => ''
	        ),
	        array(
	            'label' => 'Icon',
	            'id' => 'icon',
	            'type' => 'text',
	            'desc' => 'Add Link Icon class, Default icon-facebook',
	            'std' => 'icon-facebook',
	            'rows' => '',
	            'post_type' => '',
	            'taxonomy' => '',
	            'class' => ''
	        ),
	        array(
	            'label' => 'Type',
	            'id' => 'type',
	            'type' => 'select',
	            'desc' => 'Select Link Type, Default Link',
	            'choices' => array(
	                array(
	                    'label' => 'Link',
	                    'value' => 'link'
	                ),
	                array(
	                    'label' => 'Search',
	                    'value' => 'search'
	                ),
	                array(
	                    'label' => 'Account',
	                    'value' => 'account'
	                ),
	                array(
	                    'label' => 'Email',
	                    'value' => 'email'
	                ),
	                array(
	                    'label' => 'Languages',
	                    'value' => 'languages'
	                )
	            ),
	            'std' => 'link',
	            'rows' => '',
	            'post_type' => '',
	            'taxonomy' => '',
	            'class' => ''
	        ),
	    ),
	    'std' => '',
	    'rows' => '',
	    'post_type' => '',
	    'taxonomy' => '',
	    'class' => '',
	    'section' => 'social'
	);
	
		array_push($saved_settings['settings'], $settings);
		
		
	/* allow settings to be filtered before saving */
	$custom_settings = apply_filters( 'option_tree_settings_args', $saved_settings );
	
	
	  update_option( 'option_tree_settings', $saved_settings ); 
	
}


 ?>