<?php 


class code125_widget_ad_160x600 extends WP_Widget {

	function code125_widget_ad_160x600() {
		$widget_ops = array( 'classname' => 'clearfix  c5-widget ad_160x600_widget', 'description' => __('Add Ads Area with dimension 160x600', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ad-160x600-widget' );
		
		$this->WP_Widget( 'ad-160x600-widget', __('Code125 Ad 160x600', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$ad_content = $instance['ad_content'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $ad_content )
			echo '<div class="textwidget"><div class="ad_wrap"><div class="ad_160x600">' . html_entity_decode( $ad_content ) . '</div></div></div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['ad_content'] =  htmlspecialchars( $new_instance['ad_content'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Ads', 'code125-admin'), 'ad_content' => ' ' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'ad_content' ); ?>"><?php _e('Ad Content:', 'code125-admin'); ?></label>
			<textarea id="<?php echo $this->get_field_id( 'ad_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_content']; ?></textarea>
		</p>
		

	<?php
	}
}


 ?>