<?php 


class code125_widget_ad_2_125 extends WP_Widget {

	function code125_widget_ad_2_125() {
		$widget_ops = array( 'classname' => 'clearfix c5-widget ad_2_125_widget', 'description' => 'Add 1x2 Ads Area' );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'ad_2_125-widget' );
		
		$this->WP_Widget( 'ad_2_125-widget', 'Code125 2 125x125 Ads', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$ad_1_content = $instance['ad_1_content'];
		$ad_2_content = $instance['ad_2_content'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		
			echo '<div class="textwidget"><div class="ad_wrap ads1x2_ads clearfix"><div class="ad_125">' . html_entity_decode( $ad_1_content ) . '</div><div class="ad_125">' . html_entity_decode( $ad_2_content ) . '</div></div></div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['ad_1_content'] =  htmlspecialchars( $new_instance['ad_1_content'] );
		$instance['ad_2_content'] =  htmlspecialchars( $new_instance['ad_2_content'] );
		
		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Ads', 'code125-admin'), 'ad_1_content' => ' ', 'ad_2_content' => ' ' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'ad_1_content' ); ?>">Ad 1 Content:</label>
			<textarea id="<?php echo $this->get_field_id( 'ad_1_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_1_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_1_content']; ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'ad_2_content' ); ?>">Ad 2 Content:</label>
			<textarea id="<?php echo $this->get_field_id( 'ad_2_content' ); ?>" name="<?php echo $this->get_field_name( 'ad_2_content' ); ?>" style="width:100%;" class="widefat"  ><?php echo $instance['ad_2_content']; ?></textarea>
		</p>
		
	<?php
	}
}


 ?>