<?php 



class code125_widget_blog extends WP_Widget {

	function code125_widget_blog() {
		$widget_ops = array( 'classname' => 'clearfix blog c5-widget ', 'description' => __('Latest & Popular tabs posts', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'blog-widget' );
		
		$this->WP_Widget( 'blog-widget', __('Code125 Posts tab', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$post_type = $instance['category'];
		$posts_per_page = $instance['posts_per_page'];
		$comments= $instance['comments'];
		$likes= $instance['likes'];
		$reads= $instance['reads'];
		$share= $instance['share'];
		$recent= $instance['recent'];
		$rating= $instance['rating'];


		echo $before_widget;
		$before_title = '<h3 class=" title clearfix"><span class="text-wrap"><span class="c5-icon icon-chart-area"></span><span class="text">';
		// Display the widget title 
		if ( $title )
			echo $before_title .$title . $after_title;

		//Display the name 
			
			$code = '<div class="widget-blog-wrap">[tabgroup]';
			
			if($comments == 'yes'){
				$code .= '[tab title=" " icon="icon-comment"][blog_thumbnails sidebar="true" category="'.$post_type.'" archive="false" posts_per_page="'.$posts_per_page.'" order="DESC" orderby="comment_count" meta_key="post_views_count" time_frame="all" excerpt="no" author_enable="no" date_enable="disable" comments_count_enable="yes" cat_enable="yes" like_enable="no" view_count_enable="no" social_count_enable="no" review_enable="no"][/tab]';
			}
			
			if($recent == 'yes'){
				$code .= '[tab title=" " icon="icon-clock"][blog_thumbnails  sidebar="true" category="'.$post_type.'" archive="false" posts_per_page="'.$posts_per_page.'" order="DESC" orderby="meta_value_num" meta_key="post_views_count" time_frame="all" excerpt="no" author_enable="no" date_enable="ago" comments_count_enable="yes" cat_enable="no" like_enable="no" view_count_enable="no" social_count_enable="no" review_enable="no"][/tab]';
			}
			
			if($likes == 'yes'){
				$code .= '[tab title=" " icon="icon-heart"][blog_thumbnails  sidebar="true" category="'.$post_type.'" archive="false" posts_per_page="'.$posts_per_page.'" order="DESC" orderby="meta_value_num" meta_key="votes_count" time_frame="all" excerpt="no" author_enable="no" date_enable="ago" comments_count_enable="no" cat_enable="yes" like_enable="yes" view_count_enable="no" social_count_enable="no" review_enable="no"][/tab]';
			}
			
			
			if($reads == 'yes'){
				$code .= '[tab title=" " icon="icon-eye"][blog_thumbnails  sidebar="true" category="'.$post_type.'" archive="false" posts_per_page="'.$posts_per_page.'" order="DESC" orderby="meta_value_num" meta_key="post_views_count" time_frame="all" excerpt="no" author_enable="no" date_enable="disable" comments_count_enable="no" cat_enable="yes" like_enable="no" view_count_enable="yes" social_count_enable="no" review_enable="no"][/tab]';
			}
			
			if($share == 'yes'){
				$code .= '[tab title=" " icon="icon-share"][blog_thumbnails  sidebar="true" category="'.$post_type.'" archive="false" posts_per_page="'.$posts_per_page.'" order="DESC" orderby="meta_value_num" meta_key="total_share" time_frame="all" excerpt="no" author_enable="no" date_enable="ago" comments_count_enable="no" cat_enable="yes" like_enable="no" view_count_enable="no" social_count_enable="yes" review_enable="no"][/tab]';
			}
			
			if($rating == 'yes'){
				$code .= '[tab title=" " icon="icon-star"][blog_thumbnails  sidebar="true" category="'.$post_type.'" archive="false" posts_per_page="'.$posts_per_page.'" order="DESC" orderby="meta_value_num" meta_key="rating_average" time_frame="all" excerpt="no" author_enable="no" date_enable="disable" comments_count_enable="no" cat_enable="yes" like_enable="no" view_count_enable="no" social_count_enable="no" review_enable="yes"][/tab]';
			}
			$code .= '[/tabgroup]</div>';
			
			
			$sidebar_width = $GLOBALS['c5_sidebar_large_width_std'] ; 
			
			$GLOBALS['c5_sidebar_large_width_std'] = $sidebar_width -2*$GLOBALS['c5_padding'];
			echo do_shortcode($code);
			$GLOBALS['c5_sidebar_large_width_std'] = $sidebar_width;
			
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		$instance['category'] = strip_tags( $new_instance['category'] );
		$instance['posts_per_page'] = strip_tags( $new_instance['posts_per_page'] );
		
		
		$instance['comments'] = strip_tags( $new_instance['comments'] );
		$instance['likes'] = strip_tags( $new_instance['likes'] );
		$instance['view'] = strip_tags( $new_instance['view'] );
		$instance['reads'] = strip_tags( $new_instance['reads'] );
		$instance['share'] = strip_tags( $new_instance['share'] );
		$instance['recent'] = strip_tags( $new_instance['recent'] );
		$instance['rating'] = strip_tags( $new_instance['rating'] );
		return $instance;
	}

	
	function form( $instance ) {
		
		
		
		
		//Set up some default widget settings.
		$defaults = array( 'title' => 'Trending', 'post_type' => 'post' , 'posts_per_page'=> 4 , 'comments'=>'yes', 'likes'=>'yes', 'view'=>'yes', 'reads'=>'yes', 'share'=>'yes', 'recent'=>'yes', 'rating'=>'yes');
		
		
		$instance = wp_parse_args( (array) $instance, $defaults ); 
		$all_category = array();
				  
				  
				$args = array(
				   'public'   => true
				   
				 ); 
				 $taxonomies = get_taxonomies( $args );
				 $all_categories  = array();
				 foreach ($taxonomies as $key ) {
				 	if(!( $key == 'post_tag' || $key == 'post_format' )){
				 		$categories = get_terms($key);
				 		foreach ($categories as $category) {
				 			$taxonomy_data = get_taxonomy($category->taxonomy);
				 			foreach ($taxonomy_data->object_type as $post_type) {
				 				$obj = get_post_type_object( $post_type );
				 				if($category->parent!=0){
				 					$parent_term = get_term( $category->parent, $category->taxonomy );
				 					$parent = $parent_term->term_taxonomy_id;
				 				}else {
				 					$parent = 0;
				 				}
				 				
				 				$all_categories[$category->term_taxonomy_id]  = array(
				 					'id' => $category->term_id,
				 					'label' => $category->name ,
				 					'parent' => $parent,
				 					'post_name' =>  $obj->label,
				 					'post_type' =>  $post_type,
				 					'taxonomy' =>  $category->taxonomy
				 				);
				 				
				 			}
				 			
				 		}
				 		
				 	}
				 }
				
				
				// this array contains all the childs
				$new_terms = array();
				 
				 foreach ($all_categories as $key => $term) {
				 	if($term['parent'] != 0){
				 		$new_terms[$key] = $term;
				 	}
				 }
				 $posts_local = array();
				 foreach ($all_categories as $term) {
				 	if(!isset($posts_local[$term['post_name']])){
				 		$posts_local[$term['post_name']] = $term['post_name'];
				 		$all_category[ $term['post_type'] ] = $term['post_name'] . ' -> All Categories' ;
				 	}
				 	if( $term['parent'] == 0  ){
				 			$all_category[$term['post_type']  .'#'. $term['taxonomy'] . '#' . $term['id'] ] = $term['post_name'] . ' -> ' . $term['label'];
				 			foreach ($new_terms as $new_term ) {
				 				if($new_term['parent'] == $term['id']){
				 					
				 					
				 					$all_category[ $term['post_type']  .'#'. $term['taxonomy'] . '#' . $new_term['id'] ] = $term['post_name'] . ' -> ' . $term['label'] . ' -> ' . $new_term['label'] ;
				 				}
				 			}
				 		
				 	}
				 	
				 }
				
				 
				
				
				
			 ?>
		
				<p>
					<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
					<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
				</p>
				
				<p>
					<label for="<?php echo $this->get_field_id('posts_per_page'); ?>">Number of Posts:</label>
					<select name="<?php echo $this->get_field_name('posts_per_page'); ?>" id="<?php echo $this->get_field_id('posts_per_page'); ?>" class="widefat">
						<?php
						$options = array('3','4','5','6','7','8','9','10','7','8','9','10','11','12','13','14','15','16','17');
						foreach ($options as $option) {
						$select = $instance['posts_per_page'];
							echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $option . '</option>';
						}
						?>
					</select>
				</p>
				<p>
					<label for="<?php echo $this->get_field_id('category'); ?>">Category:</label>
					<select name="<?php echo $this->get_field_name('category'); ?>" id="<?php echo $this->get_field_id('category'); ?>" class="widefat">
						<?php
						
						foreach ($all_category as $option => $value) {
						
							$select = $instance['category'];
						
							echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
						}
						?>
					</select>
				</p>
		
		
		<p>
			<label for="<?php echo $this->get_field_id('comments'); ?>">Enable Popular by Comments:</label>
			<select name="<?php echo $this->get_field_name('comments'); ?>" id="<?php echo $this->get_field_id('comments'); ?>" class="widefat">
				<?php
				$options = array('yes' => 'Yes',
				'no' => 'No');
				
				
				foreach ($options as $key => $value) {
					echo '<option value="' . $key . '" id="' . $key . '"', $instance['comments'] == $key ? ' selected="selected"' : '', '>', $value, '</option>';
				}
				?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('likes'); ?>">Enable Popular by Likes:</label>
			<select name="<?php echo $this->get_field_name('likes'); ?>" id="<?php echo $this->get_field_id('likes'); ?>" class="widefat">
				<?php
				$options = array('yes' => 'Yes',
				'no' => 'No');
				
				
				foreach ($options as $key => $value) {
					echo '<option value="' . $key . '" id="' . $key . '"', $instance['likes'] == $key ? ' selected="selected"' : '', '>', $value, '</option>';
				}
				?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('reads'); ?>">Enable Popular by Reads:</label>
			<select name="<?php echo $this->get_field_name('reads'); ?>" id="<?php echo $this->get_field_id('reads'); ?>" class="widefat">
				<?php
				$options = array('yes' => 'Yes',
				'no' => 'No');
				
				
				foreach ($options as $key => $value) {
					echo '<option value="' . $key . '" id="' . $key . '"', $instance['reads'] == $key ? ' selected="selected"' : '', '>', $value, '</option>';
				}
				?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('share'); ?>">Enable Popular by Social Share:</label>
			<select name="<?php echo $this->get_field_name('share'); ?>" id="<?php echo $this->get_field_id('share'); ?>" class="widefat">
				<?php
				$options = array('yes' => 'Yes',
				'no' => 'No');
				
				
				foreach ($options as $key => $value) {
					echo '<option value="' . $key . '" id="' . $key . '"', $instance['share'] == $key ? ' selected="selected"' : '', '>', $value, '</option>';
				}
				?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('rating'); ?>">Enable Popular by Rating:</label>
			<select name="<?php echo $this->get_field_name('rating'); ?>" id="<?php echo $this->get_field_id('rating'); ?>" class="widefat">
				<?php
				$options = array('yes' => 'Yes',
				'no' => 'No');
				
				
				foreach ($options as $key => $value) {
					echo '<option value="' . $key . '" id="' . $key . '"', $instance['rating'] == $key ? ' selected="selected"' : '', '>', $value, '</option>';
				}
				?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('recent'); ?>">Enable Recent Articles:</label>
			<select name="<?php echo $this->get_field_name('recent'); ?>" id="<?php echo $this->get_field_id('recent'); ?>" class="widefat">
				<?php
				$options = array('yes' => 'Yes',
				'no' => 'No');
				
				
				foreach ($options as $key => $value) {
					echo '<option value="' . $key . '" id="' . $key . '"', $instance['recent'] == $key ? ' selected="selected"' : '', '>', $value, '</option>';
				}
				?>
			</select>
		</p>
		
	<?php
	}
}


 ?>