<?php 



class code125_widget_feedburner extends WP_Widget {

	function code125_widget_feedburner() {
		$widget_ops = array('classname' => ' c5-widget clearfix BFW', 'description' => __('Subscribe via email to your Feedburner feed.','better-feedburner-widget'));
		$this->WP_Widget('BFW', 'Code125 Feedburner Widget', $widget_ops);
	}

	function form($instance) {
		
		$instance = wp_parse_args((array) $instance, array(
			'title' => '',
			'feed' => '',
			'email_label' => '',
			'after_form' => '',
			'button_text' => '',
			'show_counter' => '',
			'counter_bg' => '',
			'counter_fg' => '',
		));
        
		$title = esc_attr($instance['title']);
		$feed = esc_attr($instance['feed']);
		$email_label = esc_attr($instance['email_label']);
		$after_form = esc_attr($instance['after_form']);
		$button_text = empty($instance['button_text']) ? 'Subscribe' : esc_attr($instance['button_text']);
		$show_counter = esc_attr($instance['show_counter']);
		$counter_bg = empty($instance['counter_bg']) ? '99ccff' : $instance['counter_bg'];
		$counter_fg = empty($instance['counter_fg']) ? '444444' : $instance['counter_fg'];
?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><strong><?php _e('Widget Title:','better-feedburner-widget'); ?></strong> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('feed'); ?>"><strong><?php _e('Feedburner feed User:','better-feedburner-widget'); ?></strong> <input class="widefat" id="<?php echo $this->get_field_id('feed'); ?>" name="<?php echo $this->get_field_name('feed'); ?>" type="text" value="<?php echo $feed; ?>" /></label><br />
		<small><em>(http://feeds.feedburner.com/USER)</em></small></p>
		<p><label for="<?php echo $this->get_field_id('email_label'); ?>"><strong><?php _e('Label for email box:','better-feedburner-widget'); ?></strong> <input class="widefat" id="<?php echo $this->get_field_id('email_label'); ?>" name="<?php echo $this->get_field_name('email_label'); ?>" type="text" value="<?php echo $email_label; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('button_text'); ?>"><strong><?php _e('Submit button text:','better-feedburner-widget'); ?></strong> <input class="widefat" id="<?php echo $this->get_field_id('button_text'); ?>" name="<?php echo $this->get_field_name('button_text'); ?>" type="text" value="<?php echo $button_text; ?>" /></label></p>
		  
		
		
		
<?php
	}

	function update($new_instance, $old_instance) {
		return $new_instance;
	}

	 function widget($args, $instance) {
		extract($args, EXTR_SKIP);
		$html = $before_widget;
        
		$title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
		$feed = empty($instance['feed']) ? false : $instance['feed'];
		$email_label = empty($instance['email_label']) ? false : $instance['email_label'];
		$after_form = empty($instance['after_form']) ? false : $instance['after_form'];
		$button_text = empty($instance['button_text']) ? 'Subscribe' : $instance['button_text'];
		$show_counter = (isset($instance['show_counter']) && $instance['show_counter']) ? true : false;
		$counter_bg = empty($instance['counter_bg']) ? '99ccff' : $instance['counter_bg'];
		$counter_fg = empty($instance['counter_fg']) ? '444444' : $instance['counter_fg'];
       
		$user = str_replace('http://feeds.feedburner.com/', '', $feed);
           
		if (!empty($title)) {
			$html .= $before_title . trim($title) . $after_title;
		}

		$html .= '<div id="loginform" class="clearfix"><form id="BFW" action="http://feedburner.google.com/fb/a/mailverify" method="post" onsubmit="window.open(\'http://feedburner.google.com/fb/a/mailverify?uri=' . $user . '\', \'popupwindow\', \'scrollbars=yes,width=550,height=520\')" target="popupwindow">';
		
		
		$html .= '<input id="BFW_email" class="element-block" type="text" name="email" placeholder="' . trim($email_label) . '" />';
		$html .= '<input type="hidden"  value="' . $user . '" name="uri"/>';
		$html .= '<input type="hidden" name="loc" value="en_US"/>';
            
		$html .= '<input id="BFW_submit" class="button-primary" type="submit" value="' . trim($button_text) . '" />';

		if ($show_counter) {
			$html .= "<div id=\"BFW_stats\"><a href=\"http://feeds.feedburner.com/" . $user . "\"><img src=\"http://feeds.feedburner.com/~fc/" . $user . "?bg=" . $counter_bg . "&amp;fg=" . $counter_fg . "&amp;anim=0\" height=\"26\" width=\"88\" style=\"border:0\" alt=\"Feedburner Subscriber Count\" /></a></div>\n";
		}
				
		$html .= '</form></div>';
		
		
        $html .= $after_widget;
        
        echo($html);
    }

}


 ?>