<?php 










class code125_widget_flickr extends WP_Widget {

	function code125_widget_flickr() {
		$widget_ops = array( 'classname' => 'clearfix  c5-widget flickr clearfix', 'description' => __('Show the Stream Photos from Flickr', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'flickr-widget' );
		
		$this->WP_Widget( 'flickr-widget', __('Code125 Flickr Photostream', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];
		$count = $instance['count'];

		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $username )
			echo '<div class="textwidget">';
			echo do_shortcode('[flickr id="'.$username.'" count="'.$count.'"]');
			echo '</div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = strip_tags( $new_instance['username'] );
		$instance['count'] = strip_tags( $new_instance['count'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Flickr Photostream', 'code125-admin'), 'username' => '','count' =>'9' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>"><?php _e('ID:', 'code125-admin'); ?></label>
			<input id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" style="width:100%;" class="widefat" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>">Number of Photos:</label>
			<select name="<?php echo $this->get_field_name('count'); ?>" id="<?php echo $this->get_field_id('count'); ?>" class="widefat">
				<?php
				$options = array('6','7','8','9','10','11','12');
				foreach ($options as $option) {
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>', $option, '</option>';
				}
				?>
			</select>
		</p>

	<?php
	}
}


 ?>