<?php 



class code125_widget_menu extends WP_Widget {

	function code125_widget_menu() {
		$widget_ops = array( 'classname' => 'clearfix c5-widget  posts', 'description' => __('Show Menu in Sidebar.', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'menu-widget' );
		
		$this->WP_Widget( 'menu-widget', 'Code125 Menu', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$location = $instance['location'];
		
		
		echo $before_widget;
		
		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
			echo '<div class="textwidget menu-widget-wrap clearfix">';
			
			$code = '[menu location="'.$location.'" bg_mode="light-mode" style="sidebar"]';
			echo do_shortcode($code);
			echo '</div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['location'] = strip_tags( $new_instance['location'] );
		$instance['title'] = strip_tags( $new_instance['title'] );
				
		return $instance;
	}

	
	function form( $instance ) {
		
		
		$menus_new = ot_get_option( 'menus', array() );
		$menu_new = array();
		
		$menu_new['main-nav']='Main Menu';
		$menu_new['footer-links']='Footer Menu';
		foreach($menus_new as  $value) { 
		  $menu_new[ $value['location'] ] =  $value['title'];
		} 
		
		
		
		//Set up some default widget settings.
		$defaults = array( 'title' => 'Menu', 'location' =>'main-nav');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('location'); ?>">Menu Location:</label>
			<select name="<?php echo $this->get_field_name('location'); ?>" id="<?php echo $this->get_field_id('location'); ?>" class="widefat">
				<?php
				
				foreach ($menu_new as $option => $value) {
				
					$select = $instance['location'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
				
	<?php
	}
}


 ?>