<?php 

function c5_get_yes_no_array() {
	$array =  array(
	    'yes' => 'Yes',
	    'no' => 'No'
	);
	return $array;
}

function c5_get_true_false_array() {
	$array =  array(
	    'true' => 'True',
	    'false' => 'False'
	);
	return $array;
}

function c5_views_count_array($default='yes') {
	$array = array(
	    'values' => c5_get_yes_no_array(),
	    'default' => $default,
	    'desc' => 'Show View Count in meta settings',
	    'documentation' =>  c5_doc_p('Show the View Count in the meta data in this blog view'),
	);
	return $array;
}


function c5_social_count_array($default='yes'){

	$array  = array(
    	'values' => c5_get_yes_no_array(),
    	'default' => $default,
    	'desc' => 'Show Social Count in meta settings',
    	'documentation' =>  c5_doc_p('Show the Social Count in the meta data in this blog view'),
	);
	return $array;

}

function c5_review_enable_array($default='yes'){
	$array =array(
   		'values' => c5_get_yes_no_array(),
   		'default' => $default,
    	'desc' => 'Show Review Stars in meta settings',
    	'documentation' => c5_doc_p('Show Review Stars in the meta data in this blog view'),
    	
	);
	return $array;
}


function c5_like_enable_array($default='yes'){
	$array = array(
	    'values' => c5_get_yes_no_array(),
	    'default' => $default,
	    'desc' => 'Show Like Count in meta settings',
	    'documentation' => c5_doc_p('Show Like button in the meta data in this blog view'),
	);
	return $array;
}


function c5_category_enable_array($default='yes'){
	
	$array = array(
	    'values' => c5_get_yes_no_array(),
	    'default' => $default,
	    'desc' => 'Show Category in meta settings',
	    'documentation' => c5_doc_p('Show Category in meta data in this blog view')
	);
	return $array;
}

function c5_tag_enable_array($default='no'){
	$array = array(
	    'values' => c5_get_yes_no_array(),
	    'default' => $default,
	    'desc' => 'Show Tags',
	    'documentation' => c5_doc_p('Show Tags in this blog view'),
	);
	return $array;
}

function c5_quick_read_enable_array($default='yes'){
	$array = array(
	    'values' => c5_get_yes_no_array(),
	    'default' => $default,
	    'desc' => 'Show Quick Read Button',
	    'documentation' => c5_doc_p('Enable Quick read button in this blog view'),
	);
	return $array;
}

function c5_comments_enable_array($default='yes'){
	$array = array(
	    'values' => c5_get_yes_no_array(),
	    'default' => $default,
	    'desc' => 'Show Comments Count in meta settings',
	    'documentation' => c5_doc_p('Show Comments count in meta data in this blog view')
	);
	return $array;
}

function c5_excerpt_enable_array($default='excerpt'){
	
	$excerpt = array(
	    'excerpt' => 'Excerpt',
	    'content' => 'Full Content',
	    'no' => 'Disable',
	);
	
	
	$array = array(
	    'values' => $excerpt,
	    'default' => $default,
	    'desc' => 'Article Excerpt',
	    'documentation' => c5_doc_p('Show Excerpt or full content or disable this section in this blog view')
	);
	return $array;
}


function c5_featured_media_array($default='image'){
	
	$featured_media = array(
	    'image' => 'Featured Image',
	    'image_ajax' => 'Video Image "Ajax" or Featured Image ',
	    'media' => 'Media "Image, Video, Gallery, Audio"',
	    'media_ajax' => 'Media "Image, Video, Gallery, Audio" - Video with Ajax call',
	    'no' => 'Disable',
	);
	
	
	
	$array = array(
	    'values' => $featured_media,
	    'default' => $default,
	    'desc' => 'Featured Media',
	    'documentation' => c5_doc_p('Show Featured Image in this blog view') . c5_doc_p('-Featured Image: Just featured Image') . c5_doc_p('-Video Image "Ajax" or Featured Image: Featured Image or Video Image with ajax play') . c5_doc_p('-Media "Image, Video, Gallery, Audio": Show the Featured Media for this post') .c5_doc_p('-Media "Image, Video, Gallery, Audio" - Video with Ajax call: Featured media but the video will be loaded via ajax.')
	);
	return $array;
}

function c5_time_frame_array($default='all'){
	
	$time_frame = array(
	    'all' => 'All the time',
	    '_hour' => 'This hour',
	    '_5min' => 'Now "5 minutes range"',
	);
	
	
	
	$array = array(
	    'values' => $time_frame,
	    'default' => $default,
	    'desc' => 'Show Certain time Period',
	    'documentation' => c5_doc_p('your documentation'),
	);
	return $array;
}

function c5_meta_key_array($default='post_views_count'){
	
	$meta_key = array(
	    'post_views_count' => 'Views Count',
	    'votes_count' => 'Likes Count',
	    'rating_average' => 'Rating Average',
	    'total_share' => 'Social Total Share'
	);
	
	
	
	$array = array(
	    'values' => $meta_key,
	    'default' => $default,
	    'desc' => 'Meta Value',
	    'documentation' =>  c5_doc_p('Order by a certain custom meta key like the views count or like count'),
	);
	return $array;
}


function c5_orderby_array($default='date'){
	
	$orderby = array(
	    'none' => 'None',
	    'id' => 'Post ID',
	    'author' => 'Author',
	    'title' => 'Title',
	    'date' => 'Date Created',
	    'modified' => 'Date Modified',
	    'parent' => 'Post/Page Parent ID',
	    'rand' => 'Random',
	    'comment_count' => 'Number of Comments',
	    'menu_order' => 'Page Order',
	    'meta_value_num' => 'Meta Value Based'
	);
	
	
	
	$array = array(
	    'values' => $orderby,
	    'default' => $default,
	    'desc' => 'Order By',
	    'documentation' => c5_doc_p('Order by a certain parameter, use "Meta Value Based"  for the view, like, social share or rating order'),
	);
	return $array;
}


function c5_order_array($default='DESC'){
	
	$array = array(
	    'values' => array(
	        'ASC' => 'Ascending',
	        'DESC' => 'Descending'
	    ),
	    'default' => $default,
	    'desc' => 'Order Direction',
	    'documentation' =>c5_doc_p('Ascending or Descending'),
	);
	return $array;
}

function c5_paging_array($default='false'){
	
	$array = array(
	    'values' => array(
	        'false' => 'False',
	        'load' => 'Ajax Load',
	        'true' => 'Numerical'
	    ),
	    'default' => $default,
	    'desc' => 'Paging Method',
	    'documentation' => c5_doc_p('Add a pagination for posts or add a load more button for ajax loading or disable it.'),
	);
	return $array;
}

function c5_posts_per_page_array($default='8'){
	
	$array = array(
	    'values' => array(),
	    'default' => $default,
	    'desc' => 'Number of Posts Per page',
	    'documentation' => c5_doc_p('the number of posts per page you want to show, incase you are disabling the pagination, it will be the total number of posts showed')
	);
	return $array;
}

function c5_post_id_array($default=''){
	
	$array = array(
	    'values' => array(),
	    'default' => $default,
	    'desc' => 'Post ID',
	    'documentation' => c5_doc_p('Add a post IDs seperated by , and it will show only these posts.')
	);
	return $array;
}


function c5_image_width_array($default='full'){
	
	$array = array(
	    'values' => array(
	        'full' => 'Full Content Width',
	        'half' => '1/2 Content Width',
	        'third' => '1/3 Content Width',
	        'two_third' => '2/3 Content Width',
	        'fourth' => '1/4 Content Width',
	        'three_fourth' => '3/4 Content Width',
	    ),
	    'default' => $default,
	    'desc' => 'Thumbnail Size ',
	    'documentation' => c5_doc_p('When using the Shortcodes in the page builder, choose the value that corsponds with the column that contain it, for example: if you added the shortcode to Column 1/2 in page builder choose the "1/2 Content Width" option.')
	);
	return $array;
}

function c5_blog_style_array($default='detailed'){
	
	$array = array(
	    'values' => array(
	        'detailed' => 'Blog Style Detailed',
	        'all-meta-lined' => 'Blog Style All Meta Lined',
	        'media-floated-big' => 'Blog Style Media Floated Big',
	        'media-floated' => 'Blog Style Media Floated',
	        'slider' => 'Blog Style Slider',
	        'thumb' => 'Blog Style Thumbnails',
	        '5' => 'Blog Style 5',
	        'title-col-3' => 'Blog Style 3 Columns Title',
	        '7' => 'Blog Style 7',
	        'wide' => 'Blog Style - Wide'
	    ),
	    'default' => $default,
	    'desc' => 'Blog Style',
	    'documentation' => c5_doc_h5('Blog Style Detailed') .
	    c5_doc_p('Discription of Blog Style Detailed') .
	    c5_doc_h5('Blog Style All Meta Lined') .
	    c5_doc_p('Discription of Blog Style All Meta Lined') .
	    c5_doc_h5('Blog Style Slider') .
	    c5_doc_p('Discription of Blog Style Slider') .
	    c5_doc_h5('Blog Style Thumbnails') .
	    c5_doc_p('Discription of Blog Style Thumbnails') .
	    c5_doc_h5('Blog Style 5') .
	    c5_doc_p('Discription of Blog Style 5') .
	    c5_doc_h5('Blog Style 3 Columns Title') .
	    c5_doc_p('Discription of Blog Style 3 Columns Title') .
	    c5_doc_h5('Blog Style 7') .
	    c5_doc_p('Discription of Blog Style 7') .
	    c5_doc_h5('Blog Style - Wide') .
	    c5_doc_p('Discription of Blog Style - Wide')
	);
	return $array;
}


function c5_blog_title_array($default='false'){
	
	$array = array(
	    'values' => c5_get_true_false_array(),
	    'default' => $default,
	    'desc' => 'Show Post Type/ Category  title',
	    'documentation' => c5_doc_p('Show the title for the current query, if it is category, it will show a title with the category link and icon, and if it is a all categories option, it will show the name of post type')
	);
	return $array;
}

function c5_follow_archive_array($default='false'){
	
	$array =array(
	    'values' => c5_get_true_false_array(),
	    'default' => $default,
	    'desc' => 'Follow Arhive Posts',
	    'documentation' => c5_doc_p('If you are building a template using the page builder and want to use this shortcode and want it to follow the query of the current page wherever you are, enable this option. "Note: it will ignore the order settings"')
	);
	return $array;
}


function c5_category_array($default=''){
	
	$all_category = array();
	  
	  
	$args = array(
	   'public'   => true
	   
	 ); 
	 $taxonomies = get_taxonomies( $args );
	 $all_categories  = array();
	 foreach ($taxonomies as $key ) {
	 	if(!( $key == 'post_tag' || $key == 'post_format' )){
	 		$categories = get_terms($key);
	 		foreach ($categories as $category) {
	 			$taxonomy_data = get_taxonomy($category->taxonomy);
	 			foreach ($taxonomy_data->object_type as $post_type) {
	 				$obj = get_post_type_object( $post_type );
	 				if($category->parent!=0){
	 					$parent_term = get_term( $category->parent, $category->taxonomy );
	 					$parent = $parent_term->term_taxonomy_id;
	 				}else {
	 					$parent = 0;
	 				}
	 				
	 				$all_categories[$category->term_taxonomy_id]  = array(
	 					'id' => $category->term_id,
	 					'label' => $category->name ,
	 					'parent' => $parent,
	 					'post_name' =>  $obj->label,
	 					'post_type' =>  $post_type,
	 					'taxonomy' =>  $category->taxonomy
	 				);
	 				
	 			}
	 			
	 		}
	 		
	 	}
	 }
	
	
	// this array contains all the childs
	$new_terms = array();
	 
	 foreach ($all_categories as $key => $term) {
	 	if($term['parent'] != 0){
	 		$new_terms[$key] = $term;
	 	}
	 }
	 $posts_local = array();
	 foreach ($all_categories as $term) {
	 	if(!isset($posts_local[$term['post_name']])){
	 		$posts_local[$term['post_name']] = $term['post_name'];
	 		$all_category[ $term['post_type'] ] = $term['post_name'] . ' -> All Categories' ;
	 	}
	 	if( $term['parent'] == 0  ){
	 			$all_category[$term['post_type']  .'#'. $term['taxonomy'] . '#' . $term['id'] ] = $term['post_name'] . ' -> ' . $term['label'];
	 			foreach ($new_terms as $new_term ) {
	 				if($new_term['parent'] == $term['id']){
	 					
	 					
	 					$all_category[ $term['post_type']  .'#'. $term['taxonomy'] . '#' . $new_term['id'] ] = $term['post_name'] . ' -> ' . $term['label'] . ' -> ' . $new_term['label'] ;
	 				}
	 			}
	 		
	 	}
	 	
	 }
	
	
	$array =array(
	    'values' => $all_category,
	    'default' => '',
	    'desc' => 'Post Type & Category',
	    'documentation' => c5_doc_p('Choose the Post type and the category, you will find here all the registered post types in your wordpress')
	)
	;
	return $array;
}

function c5_authors_array($default='no'){
	
	$array =array(
	    'values' => array(
	        'name_image' => 'Name & Author Image',
	        'name_image_position' => 'Name & Author Image & Position',
	        'name_position' => 'Name & Position',
	        'name' => 'Name Only',
	        'no' => 'Disabled',
	    ),
	    'default' => $default,
	    'desc' => 'Author representation',
	    'documentation' => c5_doc_p('Show the author name, image and position in the meta settings on this post')
	);
	return $array;
}

function c5_date_array($default='ago'){
	
	$array =array(
	    'values' => array(
	        'date_time' => 'Date & Time',
	        'date' => 'Only Date',
	        'time' => 'Only Time',
	        'ago' => 'Ago time',
	        'disable' => 'Disabled',
	    ),
	    'default' => $default,
	    'desc' => 'Time/Date representation',
	    'documentation' => c5_doc_p('Show the time in different settings in the meta settings on this post')
	);
	return $array;
}


function c5_get_meta_values_array($default='comment') {
	$array =array(
	    'values' => array(
	    	'disable' => 'Disabled',
	        'date' => 'Only Date',
	        'time' => 'Only Time',
	        'ago' => 'Ago time',
	        'comment' => 'Comment Count',
	        'views' => 'Views Count',
	        'social' => 'Social Share Count',
	        'likes' => 'Likes count'
	        
	    ),
	    'default' => $default,
	    'desc' => 'Meta data show',
	    'documentation' => c5_doc_p('Show meta value in this post')
	);
	return $array;
}

function c5_col_count_array($default='1'){
	$array =array(
	    'values' => array(
	        '1' => '1',
	        '2' => '2',
	        '3' => '3',
	        '4' => '4'
	    ),
	    'default' => $default,
	    'desc' => 'Column Count',
	);
	return $array;
}







function c5_handle_atts_array($atts) {
	$atts = shortcode_atts( c5_get_default_atts() , $atts);
	   
	   return $atts;
}


function c5_get_default_atts() {
	$atts = array(
	   'posts_per_page' => '8',
	   'paging' => 'false',
	   'order' => 'DESC',
	   'orderby' => 'post_date',
	   'meta_key' => '',
	   'meta_value' => 'comment',
	   'title' => 'false',
	   'blog_style' => 'all-meta-lined',
	   'post_id' => '',
	   'thumb_view' => 'views',
	   'thumb_size' => 'full',
	   'time_frame' => 'all',
	   'sidebar' => 'false',
	   'category'=>'post',
	   'col_count' => 1,
	   'archive' => 'false',
	   'type' => 'post',
	   'excerpt' => 'excerpt',
	   'featured_media' => 'image',
	   'quick_read' => 'yes',
	   'tags' => 'yes',
	   'author_enable' => 'name_image_position',
	   'date_enable' => 'ago',
	   'comments_count_enable' => 'yes',
	   'cat_enable' => 'yes',
	   'like_enable' => 'yes',
	   'view_count_enable' => 'yes',
	   'social_count_enable' => 'yes',
	   'review_enable' => 'yes');
	   return $atts;
}











 ?>