<?php 

function c5_get_posts_atts($atts) {
	
	
		
	    if (isset($atts['category'])) {
	        $cats = $atts['category']; 
	    } else {
	        $cats = '';
	    }
	    if ($atts['paging'] == 'true') {
	        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	    } else {
	        $paged = 1;
	    }
	    
	    $post_type_info = explode("#", $atts['category']);
		$atts['type'] = $post_type_info[0];
		if(isset($post_type_info[1])){
			$tax = $post_type_info[1];
		}else {
			$tax = '';
		}
		
		if(isset($post_type_info[2])){
			$atts['category'] = $post_type_info[2];
		}else {
			$atts['category'] = '';
		}
		
		
		$tag_string = '';
		
		
		if($atts['archive']=='true'){
			if(is_category()){
				 $cats = get_categories();
				 foreach ($cats as $single_cat) {
				 	if(is_category( $single_cat->term_id )){
				 		$this_cat_slug = $single_cat->slug;
				 		break;
				 	}
				 }
				 $tax = get_tax_by_type($atts['type']);
				 $term = get_term_by( 'slug', $this_cat_slug, $tax);
				 $atts['category'] = $term->term_id;
				 
			}elseif(is_tax()){
				$cats = get_taxonomies(array(
				  'public'   => true,
				  '_builtin' => false
				  
				));
				
				foreach ($cats as $single_cat) {
					if(is_tax($single_cat)){
						$terms = get_terms( $single_cat );
						foreach ($terms as $term_single ) {
							if(is_tax($single_cat, $term_single->term_id )){
								$this_cat_slug = $term_single->slug;
								break;
							}	
						}
					}
					
				}
				$tax = get_tax_by_type($atts['type']);
				$term = get_term_by( 'slug', $this_cat_slug, $tax);
				
				
				$atts['category'] = $term->term_id;
				
			}elseif(is_tag()){
				$cats = get_tags();
				$tag_title = single_tag_title('', false);
				$term = get_term_by( 'name', $tag_title, 'post_tag');
				
				$atts['category'] = $term->term_id;
						
				$tag_string = 'tag';
			}
		
		}
		
		
		
		if($atts['category']==''){
	    	$args = array(
	    	'posts_per_page' => $atts['posts_per_page'], /* you can change this to show more */
	    	'post_type' => array( $atts['type'] ),
	    	'offset' => 0,
	    	'paged' => $paged,
	    	'order'=>$atts['order'],
	    	'orderby' => $atts['orderby']
	    	);
	    }elseif ($tag_string == 'tag') {
	    	$args = array(
	    	'posts_per_page' => $atts['posts_per_page'], /* you can change this to show more */
	    	'post_type' => array( $atts['type'] ),
	    	'offset' => 0,
	    	'tag_id' => $atts['category'],
	    	'paged' => $paged,
	    	'order'=>$atts['order'],
	    	'orderby' => $atts['orderby']
	    	);
	    }else {
	    	$args = array(
	    	'posts_per_page' => $atts['posts_per_page'], /* you can change this to show more */
	    	'post_type' => array( $atts['type'] ),
	    	'offset' => 0,
	    	'paged' => $paged,
	    	'order'=>$atts['order'],
	    	'orderby' => $atts['orderby'],
	    	'tax_query' => array(
	    			array(
	    				'taxonomy' => $tax,
	    				'field' => 'id',
	    				'terms' => $atts['category']
	    			)
	    		), 
	    	);	
	    }
		if($atts['orderby'] == 'meta_value_num' && $atts['time_frame'] == 'all'){
			$args['meta_key'] = $atts['meta_key'];
		}
		
		if($atts['post_id'] != '' ){
			$args['p'] = $atts['post_id'];
		}
		
		if($atts['time_frame'] == 'year'){
			$today = getdate();
			$args['year'] = $today['year'];
		}elseif($atts['time_frame'] == 'month'){
			$today = getdate();
			$args['year'] = $today['year'];
			$args['monthnum'] = $today['mon'];
		}elseif($atts['time_frame'] == 'week'){
			$today = getdate();
			$week = date('W');
			$args['year'] = $today['year'];
			$args['w'] = $week;
		}elseif($atts['time_frame'] == 'day'){
			$today = getdate();
			$args['year'] = $today['year'];
			$args['monthnum'] = $today['mon'];
			$args['day'] = $today['mday'];
		}elseif($atts['time_frame'] == 'hour'){
			$today = getdate();
			$args['year'] = $today['year'];
			$args['monthnum'] = $today['mon'];
			$args['day'] = $today['mday'];
			$args['hour'] = $today['hours'];
		}
	
	return $args;
}

function c5_get_blog_excerpt($atts, $html_tag= "p", $class="c5-blog-excerpt", $count = 300, $read_more = true) {
	if($atts['excerpt']=='excerpt'){
	
	$content = the_excerpt_max_charlength($count, $read_more);
	
	if($read_more){
	$content .= '<div class="clearfix"></div><a class="c5btn float_right_mobile" href="'.get_permalink().'">'.__('Read more','code125').'</a>';
	}
	
	}elseif($atts['excerpt']=='content'){
	
	$html_tag = 'div';
	
	ob_start();
	the_content();
	$content = ob_get_contents();
	ob_end_clean();
	
	}else {
		$content = '';
	}
	
	$data = '<'.$html_tag.' class="'.$class.'">'.$content.'</'.$html_tag.'>';
	
	return $data;
}


function c5_get_post_shortcode_title($atts) {
	$data = '';
	
	$post_type_info = explode("#", $atts['category']);
	$atts['type'] = $post_type_info[0];
	if(isset($post_type_info[1])){
		$tax = $post_type_info[1];
	}else {
		$tax = '';
	}
	
	if(isset($post_type_info[2])){
		$atts['category'] = $post_type_info[2];
	}else {
		$atts['category'] = '';
	}
	
	if($atts['title']=='true'){
		if( $atts['category'] == ''){
			$obj = get_post_type_object( $atts['type'] );
			$data =   do_shortcode('[title title="'.$obj->label.'"  icon="none"]') ;
		}else {
			$term_obj = get_term( $atts['category'] , $tax);
			if(!is_wp_error($term_obj)){
				$term = term_exists($term_obj->name , $tax);
				if ($term !== 0 && $term !== null) {
					$data =  do_shortcode('[title title="'.$term_obj->name.'" link="'.get_term_link( intval( $atts['category'] ) , $tax ).'" icon="'.get_option($tax .'_icon_' . $atts['category']).'" class="'.$tax .'-' . $atts['category'].'"]') ;
				}
			}
		}
	}
	return $data;
}


function c5_get_paginiation_for_posts($atts) {
	$data = '';
	
	 if ($atts['paging'] == 'true') {
		       ob_start();
	        bones_page_navi();
	        $page_navi = ob_get_contents();
	        ob_end_clean();
	
	        $data = $page_navi;
	     
	 }elseif ($atts['paging'] == 'load' && ( is_page() || is_home()  ) ) {
	 	
	 	$passing_string = serialize($atts);
	 	$data =  '<a href="#" class="do-show-more-posts c5btn" data-args=\''.$passing_string.'\'  data-width="'.$GLOBALS['main_content_width'].'" data-page="2"  data-isotope="false" data-done="'.__('There are no more posts.','code125').'" data-loading="'.__('Loading Data','code125').'"  data-loaded="'.__('Load More','code125').'">'.__('Load More','code125').'</a>';
	 }
	 return $data;
	
}

function c5_get_author_basic_info() {
		
		if( is_single() ){
			$user_ID = get_the_author_meta('ID');
			$curauth = get_userdata($user_ID);
		}else {
			$curauth = (get_query_var('author_name')) ? get_user_by('slug', get_query_var('author_name')) : get_userdata(get_query_var('author'));
			
			    $user_ID = $curauth->ID;
		}
		
		
	
	    $facebook_user = get_the_author_meta('facebook', $curauth->ID);
	    $twitter_user = get_the_author_meta('twitter', $curauth->ID);
	    $position_user = get_the_author_meta('position', $curauth->ID);
	
	
	    $google_plus_user = get_the_author_meta('google_plus', $curauth->ID);
	    $behance_user = get_the_author_meta('behance', $curauth->ID);
	    $dribble_user = get_the_author_meta('dribble', $curauth->ID);
	    
	    $data = '<div class="row"><div class="col-xs-2">';
	    
	    
	    $data .= '<a class="author-photo clearfix author-' . $user_ID . '" href="' . get_author_posts_url($user_ID) . '">' . get_avatar($user_ID, '128', '', '<span class="icon-user"></span>') . '</a>';
	    $data .= '</div>';
	    
	    
	    $data .= '<div class="col-xs-10"><h2 class="author-title">'.$curauth->display_name.'</h2>';
	
	            $position_user = get_the_author_meta('position', $user_ID);
	            $data .=  '<p class="hposition">' . $position_user . '</p>';
	            
	            
	            if ($twitter_user != '' || $facebook_user != '') {
	                $data .=  '<div class="row">';
	                if ($twitter_user != '') {
	                    $data .=  '<div class="col-xs-3"><a href="https://twitter.com/' . $twitter_user . '" class="twitter-follow-button" data-show-count="false" data-show-screen-name="false">Follow @' . $twitter_user . '</a>
	 					    		<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script></div>';
	                }
	
	                if ($facebook_user != '') {
	                    $data .=  '<div class="col-xs-3"><div class="fb-follow" data-href="https://www.facebook.com/' . $facebook_user . '" data-layout="button_count" data-show-faces="true" data-font="verdana" data-width="100"></div></div>';
	                }
	                $data .= '<div class="col-xs-6">';
	                $data .= '<ul class="social-icons clearfix">';
	                        if ($facebook_user != '') {
	                            $data .=  '<li><a href="http://www.facebook.com/' . $facebook_user . '" class="icon-facebook"></a></li>';
	                        }
	
	                        if ($twitter_user != '') {
	                            $data .=  '<li><a href="http://www.twitter.com/' . $twitter_user . '" class="icon-twitter"></a></li>';
	                        }
	
	                        if ($google_plus_user != '') {
	                            $data .=  '<li><a href="' . $google_plus_user . '" class="icon-gplus"></a></li>';
	                        }
	
	                        if ($behance_user != '') {
	                            $data .=  '<li><a href="' . $behance_user . '" class="icon-behance"></a></li>';
	                        }
	
	                        if ($dribble_user != '') {
	                            $data .=  '<li><a href="' . $dribble_user . '" class="icon-dribbble"></a></li>';
	                        }
	
	                        if ($curauth->user_email != '') {
	                            $data .=  '<li><a href="mailto:' . $curauth->user_email . '" class="icon-mail-alt"></a></li>';
	                        }
	
	                        if ($curauth->user_url != '') {
	                            $data .=  '<li><a href="' . $curauth->user_url . '" class="icon-link"></a></li>';
	                        }
	                        
	                    $data .= '</ul>';
	
	                $data .= '</div>';
	                
	                $data .=  '</div>';
	            }
	            $data .= '<p class="author-bio">'. $curauth->user_description.'</p>';
	        $data .= '</div></div>';
	        
	        return $data;
	   
}

function c5_get_blog_date($atts, $html_tag= "p", $class="") {
	if($atts['date_enable']=='date_time' || $atts['date_enable']=='date'){
		$date = get_the_time(get_option('date_format')) . ' ';
	}else {
		$date = '';
	}
	
	if($atts['date_enable']=='date_time' || $atts['date_enable']=='time'){
		$time = get_the_time(get_option('time_format'));
	}else {
		$time = '';
	}
	
	if($atts['date_enable']=='ago' ){
		$ago = sprintf( __('%s ago','code125') , human_time_diff( get_the_time('U'), current_time('timestamp')  )  );
	}else {
		$ago = '';
	}
	if($atts['date_enable']!='disable' ){
		return '<'.$html_tag.' class="icon-clock '.$class.' updated"><time class="value" datetime="' . get_the_time('Y-m-d') . '">' . $date . $time . $ago . '</time></'.$html_tag.'>';
	}else {
		return '';
	}
	
}

function c5_get_blog_parent_categories($atts, $html_tag= "p", $class="") {
	if($atts['cat_enable']=='parent_child' || $atts['cat_enable']=='parent'){
		return '<'.$html_tag.' class="'.$class.'">' . do_shortcode('[post_category parent_only="true" post_id="'.get_the_ID().'"]') . '</'.$html_tag.'>';
	}else {
		return '';
	}
}

function c5_get_blog_child_categories($atts, $html_tag= "p", $class="") {
	if($atts['cat_enable']=='parent_child' || $atts['cat_enable']=='child'){
		return '<'.$html_tag.' class="'.$class.'">' . do_shortcode('[post_category child_only="true" post_id="'.get_the_ID().'"]') . '</'.$html_tag.'>';
	}else {
		return '';
	}
}


function c5_get_blog_categories($atts, $html_tag= "p", $class="") {
	if($atts['cat_enable']=='yes'){
		return '<'.$html_tag.' class="'.$class.'">' . do_shortcode('[post_category post_id="'.get_the_ID().'"]') . '</'.$html_tag.'>';
	}else {
		return '';
	}
}



function c5_get_blog_comments($atts, $html_tag= "p", $class="",$method="number") {
	if($atts['comments_count_enable']!='no' ){
		return '<'.$html_tag.' class="'.$class.'">' . do_shortcode('[post_comments_count post_id="'.get_the_ID().'" method="'.$method.'" icon="icon-comment"]') . '</'.$html_tag.'>';
	}else {
		
		return '';
	}
}


function c5_get_blog_total_share_count($atts, $html_tag= "p", $class="") {
    if($atts['social_count_enable']!='no' ){
    	return '<'.$html_tag.' class="'.$class.'" title="' . get_post_meta(get_the_ID(), 'total_share', true) . ' '.__('Share','code125').'"><span class="icon-share">' . get_post_meta(get_the_ID(), 'total_share', true) . '</span></'.$html_tag.'>';
    }else {
    	return '';
    }
}

function c5_get_blog_total_views($atts, $html_tag= "p", $class="") {
    if($atts['view_count_enable']!='no' ){
    	return '<'.$html_tag.' class="'.$class.'" title="' . getPostViews(get_the_ID()) . ' '.__('Views','code125').'"><span class="icon-eye">' . getPostViews(get_the_ID()) . '</span></'.$html_tag.'>';
    }else {
    	return '';
    }
}

function c5_get_blog_quick_read($atts, $html_tag= "p", $class="") {
    if($atts['quick_read']!='no' ){
    	return '<'.$html_tag.' class="quick-read '.$class.'" post-id="'.get_the_ID().'"><span class="">'.__('Quick Read' ,'code125' ).'</span></'.$html_tag.'>';
    }else {
    	return '';
    }
}

function c5_get_blog_like($atts, $html_tag= "p", $class="") {
    if($atts['like_enable']!='no' ){
    	return '<'.$html_tag.' class=" '.$class.'">' . getPostLikeLink(get_the_ID()) . '</'.$html_tag.'>';
    }else {
    	return '';
    }
}

function c5_get_blog_rating($atts, $html_tag= "p", $class="") {
    if($atts['review_enable']!='no' ){
    	if (has_review(get_the_ID())) {
    	
    		$rating = get_post_meta(get_the_ID(), 'c5_rating', true);
    		
    		return '<'.$html_tag.' class="rate-button-wrap  '.$class.'">' . c5_review_stars( $rating). '<div class="hreview" ><p class="item"><span class="fn">' . get_the_title() . '</span></p><p>'.__('By: ','code125').'<span class="reviewer">' . get_the_author() . '</span>'.__(' at ','code125').'<span class="dtreviewed">' . get_the_time(get_option('date_format')) . '<span class="value-title" title="' . get_the_time('Y-m-d') . '"></span></span>.</p><p>'.__('Rating','code125').': <span class="rating">' . get_rating_average( $rating) . '</span></p></div></'.$html_tag.'>';
    	}
    }else {
    	return '';
    }
}
function c5_get_blog_tags($atts, $html_tag= "p", $class=""){
	
	if($atts['tags']!='no' ){
		if(has_tag()){
			
			ob_start();
			the_tags('',' ','');
			$tags = ob_get_contents();
			ob_end_clean();
			
			return '<'.$html_tag.' class=" '.$class.'">' . $tags. '</'.$html_tag.'>';
		}
		
	}
	return '';

}

function c5_get_blog_featured_media($atts, $html_tag= "div", $class="" , $thumb_size) {
	
	$permalink = get_permalink();
	
	$data = '';
	switch ($atts['featured_media']) {
		
		/// Featured Image
		case 'image':
			$the_post_thumbnail = get_the_post_thumbnail(get_the_ID(),$thumb_size);
			
			if ($the_post_thumbnail != '') {
				$data =  '<a href="' . $permalink . '">' . $the_post_thumbnail . '</a>';
			    
			}
			break;
			
		
		/// Video Image or Featured Image
		case 'image_video':
			$data =    c5_get_video_thumbnail( $thumb_size );
			break;
			
		
		
			
		/// Media "Image, Video, Gallery, Audio" 
		case 'media':
			$data =  c5_get_post_formats( $thumb_size );
			break;
		
		/// Media "Image, Video, Gallery, Audio" with Ajax call 
		case 'media_ajax':
			$data =   c5_get_post_formats_ajax( $thumb_size );
			break;
			
		/// Media "Image, Video, Gallery, Audio" with Ajax call 
		case 'image_ajax':
			$data =  c5_get_post_formats_image_ajax( $thumb_size );
			break;
		
		
		
		/// Featured Image
		default:
			$the_post_thumbnail = get_the_post_thumbnail(get_the_ID(),$thumb_size);
			
			if ($the_post_thumbnail != '') {
				$data =   '<a href="' . $permalink . '">' . $the_post_thumbnail . '</a>';
			    
			}
			break;
		
	}	
	
	
	if($data != ''){
		$format = get_post_format();
		return '<'.$html_tag.' class=" '.$class.' '.$format.' '.$atts['featured_media'].'">' . $data .  '</'.$html_tag.'>';
	}else {
		return '';
	}
	
	
	
	
}


function c5_get_blog_author_name($atts, $html_tag= "p", $class=""){
	
	if($atts['author_enable']=='name_image'  || $atts['author_enable']=='name_image_position'  || $atts['author_enable']=='name_position'  || $atts['author_enable']=='name' ){
		ob_start();
		the_author_posts_link();
		$the_author_posts_link = ob_get_contents();
		ob_end_clean();
		
		
		
		
		
		return '<'.$html_tag.' class="  '.$class.'"><a class="url fn" href="'.get_author_posts_url(get_the_author_meta('ID')).'">'.get_the_author_meta('display_name').'</a></'.$html_tag.'>';
		
	}
	
	return '';
}

function c5_get_blog_author_position($atts, $html_tag= "p", $class=""){
	
	if($atts['author_enable']=='name_image_position'  || $atts['author_enable']=='name_position' ){
		$user_ID =  get_the_author_meta('ID');
		
		$position_user = get_the_author_meta( 'position', $user_ID);
		if($position_user!=''){
			$position_user =  '( ' . $position_user . ' )'; 
		}
		
		return '<'.$html_tag.' class="position '.$class.'">' . $position_user. '</'.$html_tag.'>';
	
	}
	
	return '';
}

function c5_get_blog_author_image($atts, $html_tag= "div", $class="",$size = 64){
	
	if($atts['author_enable']=='name_image_position'  || $atts['author_enable']=='name_image' ){
		$user_ID =  get_the_author_meta('ID');
		
		
		return '<'.$html_tag.' class=" '.$class.'"><a class="author-photo clearfix" href="'.get_author_posts_url($user_ID).'">'.get_avatar( $user_ID, $size, '', '<span class="icon-user"></span>' ).'</a></'.$html_tag.'>';
	
	}
	
	return '';
}


function c5_get_image_width($atts) {

global $c5_is_header;

if($c5_is_header){
	$total_width = $GLOBALS['main_width'];
}else {
	$total_width = $GLOBALS['main_content_width'];
}


if(is_mobile()){
	$atts['thumb_size'] = 'full';
}
$width = $total_width;

	if(isset($GLOBALS['c5_cuurent_col']) && $GLOBALS['c5_cuurent_col']!=0){
		$width = round($total_width*($GLOBALS['c5_cuurent_col']/12));
		if($GLOBALS['c5_cuurent_col']!=12){
			$width = round( $width - $GLOBALS['c5_padding']/2) ;
		}
	}


$sidebar = false;

if(isset($GLOBALS['c5-sidebar-active']) && $GLOBALS['c5-sidebar-active']){
	$sidebar = true;
}

if( $atts['sidebar'] == 'true' || $sidebar ){
	$width = $GLOBALS['c5_sidebar_large_width_std'];
}

if($atts['col_count'] ==''){
	$atts['col_count']  = 1;
}

if(intval( $atts['col_count']  ) <= 0){
	$atts['col_count']=1;
}
$width = round( $width / $atts['col_count'] )  ;

if(is_mobile()){
	return 320;
}

return $width;
	
}



function c5_get_mega_menu_category($title ,$icon, $args) {
	
	$data = '[fancy_tab title="'.$title.'" icon="'.$icon.'"]';
	
	query_posts($args);
	
	while (have_posts()) : the_post();
	  
	  include(C5_shortcodes_PATH . '/templates/blog-style-mega-menu-category.php');
				
				
		
	endwhile;
	
	 wp_reset_query();
	
	$data .= '[/fancy_tab]';
	
	return $data;
	
}

function c5_handle_mega_menu_args($post_type, $tax, $category, $orderby) {
	
	$width =$GLOBALS['main_width'];
	
	if($width < 480){
		$posts_per_page = 2;
	}elseif ($width < 1024) {
		$posts_per_page = 3;
	}else{
		$posts_per_page = 4;
	}
	
	$args = array(
	'posts_per_page' => $posts_per_page, /* you can change this to show more */
	'post_type' => array( $post_type ),
	'tax_query' => array(
			array(
				'taxonomy' => $tax,
				'field' => 'id',
				'terms' => $category
			)
		), 
	);
	
	if($orderby == 'date' || $orderby == 'comments_count' ){
		$args['orderby'] = $orderby;
	}else{
		$args['meta_key'] = $orderby;
	
	}
	
	return $args;
	
}






    function the_excerpt_max_charlength($charlength) {
        $excerpt = get_the_excerpt();
        $excerpt  = strip_tags($excerpt);
        $data = '';
            $charlength++;

            if (mb_strlen($excerpt) > $charlength) {
                $subex = mb_substr($excerpt, 0, $charlength - 5);
                $exwords = explode(' ', $subex);
                $excut = - ( mb_strlen($exwords[count($exwords) - 1]) );
                if ($excut < 0) {
                    $data .= mb_substr($subex, 0, $excut);
                } else {
                    $data .= $subex;
                }
                $data .= '...';
            } else {
                $data .= $excerpt;
            }
            
            return $data;
        
    }



function custom_excerpt_length($length) {
    return $length;
}

add_filter('excerpt_length', 'custom_excerpt_length', 999);

function my_excerpt_protected($excerpt) {
    if (post_password_required())
        $excerpt = '<em>[This is password-protected.]</em>';
    return $excerpt;
}

add_filter('the_excerpt', 'my_excerpt_protected');





function get_post_tax($post_id) {
    $post_type = get_post_type($post_id);
    
    if($post_type == 'post'){
    	return 'category';
    }
    $taxonomy_names = get_object_taxonomies($post_type);
    foreach ($taxonomy_names as $taxonomy_name) {
        if (!( $taxonomy_name == 'post_tag' || $taxonomy_name == 'post_format' )) {
            $tax = $taxonomy_name;
            return $tax;
        }
    }
    
}

function get_tax_by_type($type) {
	if($type == 'post'){
		return 'category';
	}
	if(isset($GLOBALS['c5_all_taxonomies']) && is_array($GLOBALS['c5_all_taxonomies']) ){
		$taxonomies = $GLOBALS['c5_all_taxonomies'];
	}else {
		$args = array(
		    'public' => true
		);
		$output = 'objects';
		
		$taxonomies = get_taxonomies($args, $output);
		$GLOBALS['c5_all_taxonomies'] = $taxonomies;
	}
	
    
    
    
    
    foreach ($taxonomies as $tax) {
        if ($tax->name != 'post_tag' && $tax->name != 'post_format') {
            if ($tax->object_type[0] == $type) {
                return $tax->name;
            }
        }
    }
}

function get_tax_array() {
    $tax = array();

    $tax[] = 'category';
    $custom_posts = ot_get_option('custom_posts', array());
    if ($custom_posts) {
        foreach ($custom_posts as $custom_post) {
            if ($type = $custom_post['slug']) {
                $tax[] = $custom_post['category'];
            }
        }
    }

    return $tax;
}
/*
function get_post_type_by_cat($tax) {

    if ($tax == 'category') {
        $type = 'post';
    } elseif ($tax == 'portfolio_cat') {
        $type = 'portfolio';
    } elseif ($tax == ' hierarchy') {
        $type = 'team';
    } else {
        $custom_posts = ot_get_option('custom_posts', array());

        if ($custom_posts) {
            foreach ($custom_posts as $custom_post) {
                if ($tax == $custom_post['category']) {
                    $type = $custom_post['slug'];
                }
            }
        }
    }

    return $type;
}
*/

function c5_get_dominating_category($post_id) {

	$type = get_post_type($post_id);
	$tax = get_tax_by_type($type);
	
	$terms = wp_get_post_terms($post_id, $tax);
	
	$use_parent = ot_get_option('posts_styling');
	if (count($terms) != 0) {    
	    if ($use_parent == 'yes') {
	        $category_follow = get_post_meta($post_id, 'category_follow', true);
			if ($category_follow != '') {
	        	$array = array(
	            	'type'=>$type,
	                'tax'=>$tax,
	                'id'=>$category_follow,
	            );
	            return $array;
	        }
	    }
	    $array = array(
	    	'type'=>$type,
	       	'tax'=>$tax,
	       	'id'=>$terms[0]->term_id,
	    );
	    
	    return $array;  
	}
	
	return false;
	
}

function c5_get_blog_one_meta_data($atts) {
	
	
	switch ($atts['meta_value']) {
		case 'disable':
			$top_icon = '';
			$bottom_value = '';
			break;
		case 'date':
			$top_icon = 'icon-clock';
			$bottom_value = get_the_time(get_option('date_format'));
			break;
		case 'time':
			$top_icon = 'icon-clock';
			$bottom_value = get_the_time(get_option('time_format'));
			break;
		case 'ago':
			$top_icon = 'icon-clock';
			$bottom_value = sprintf( __('%s ago','code125') , human_time_diff( get_the_time('U'), current_time('timestamp')  )  );
			break;
		case 'comment':
			$top_icon = 'icon-comment';
			$bottom_value = do_shortcode('[post_comments_count post_id="'.get_the_ID().'" method="number" icon="none"]');
			break;
		case 'views':
			$top_icon = 'icon-eye';
			$bottom_value = getPostViews(get_the_ID()) ;
			break;
		case 'social':
			$top_icon = 'icon-share';
			$bottom_value = get_post_meta(get_the_ID(), 'total_share', true) ;
			break;
		case 'likes':
			$top_icon = 'icon-heart';
			$bottom_value = get_post_meta(get_the_ID(), 'votes_count', true) ;
			break;
		default:
			$top_icon = '';
			$bottom_value = '';
			break;
	}
	
	if( $top_icon == '' || $bottom_value==''){
		return '';
	}
	
	$data = '<div class="c5-meta-single-data"><span class="top '.$top_icon.'"></span><span class="bottom ">'.$bottom_value.'</span></div>';
	return $data;
	
	
}

 ?>