<?php
function c5_get_post_formats($thumb_size) {





$data = '';

$the_post_thumbnail = get_the_post_thumbnail(get_the_ID(),$thumb_size);

$dimensions = code125_check_image_size($thumb_size);
$permalink  = get_permalink(get_the_ID());

$height_video=round($dimensions[0]*9/16);

$format = get_post_format();

if ($format == 'video') {
 	$meta_attachment = get_post_meta(get_the_ID(), 'c5_attachment_id', true);
 	$meta_video_type = get_post_meta(get_the_ID(), 'c5_attachment_type', true);
	if($meta_attachment == '' || $meta_video_type == ''){
		c5_assign_video_audio_ids(get_the_ID());
		$meta_attachment = get_post_meta(get_the_ID(), 'c5_attachment_id', true);
		$meta_video_type = get_post_meta(get_the_ID(), 'c5_attachment_type', true);
	}
        if ($meta_video_type == 'vimeo') {
        	$data = $data . do_shortcode(' [vimeo clip_id="' . $meta_attachment  . '" width="100%" height="'.$height_video.'"] ');
        } elseif ($meta_video_type  == 'youtube') {
            $data = $data . do_shortcode(' [youtube id="' . $meta_attachment . '" width="100%" height="'.$height_video.'"] ');
        } elseif ($meta_video_type  == 'dailymotion') {
            $data = $data . do_shortcode(' [dailymotion id="' . $meta_attachment . '" width="100%" height="'.$height_video.'"] ');
        } else {
            $data = $data . $the_post_thumbnail;
        }
    
} elseif ($format == 'audio') {
	$data .=  c5_get_audio_player(get_the_ID());
} elseif ($format == 'gallery') {
	if(!is_single()){
		$data.= get_post_gallery();
	}
} else {

    if ($the_post_thumbnail != '') {
    	if(!is_single()){
        	$data = $data . '<a href="' . $permalink . '">' . $the_post_thumbnail . '</a>';
        }else {
        	$data = $data .  $the_post_thumbnail ;
        }
        
    }
}

return $data;
	
}


function c5_get_youtube_thumb_src($id) {
	if($id==''){
		return '';
	}	
	$src = get_option('youtube_'.$id);
	if($src!= ''){
		return   $src;
	}else {
		$json = json_decode(file_get_contents('http://gdata.youtube.com/feeds/api/videos/'.$id.'?v=2&alt=jsonc'));
		update_option('youtube_'.$id, $json->data->thumbnail->hqDefault);
		return   $json->data->thumbnail->hqDefault;
	}
	

}

function c5_get_youtube_thumb($id) {
	if($id==''){
		return '';
	}	
	return  '<img src="' . c5_get_youtube_thumb_src($id) . '" alt="Youtube Video">';
	

}

function c5_get_vimeo_thumb_src($id) {
	if($id==''){
		return '';
	}	
	$src = get_option('vimeo_'.$id);
	if($src!= ''){
		return   $src;
	}else {
		$hash = unserialize(file_get_contents("http://vimeo.com/api/v2/video/".$id.".php"));
		
		update_option('vimeo_'.$id, $hash[0]['thumbnail_large']);
		return  $hash[0]['thumbnail_large'];
	}
	

}
function c5_get_vimeo_thumb($id) {
	if($id==''){
		return '';
	}	
	return  '<img src="' . c5_get_vimeo_thumb_src($id) . '" alt="Vimeo Video">';
	

}
function c5_get_dailymotion_thumb_src($id){
	if($id==''){
		return '';
	}	
	$src = get_option('dailymotion_'.$id);
	if($src!= ''){
		return  $src;
	}else {
		$json = json_decode(file_get_contents('https://api.dailymotion.com/video/'.$id.'?fields=thumbnail_720_url'));
		update_option('dailymotion_'.$id, $json->thumbnail_720_url );
		return   $json->thumbnail_720_url;
	}
}

function c5_get_dailymotion_thumb($id) {
	if($id==''){
		return '';
	}	
	return  '<img src="' . c5_get_dailymotion_thumb_src($id) . '" alt="Dailymotion Video">';
	
	

}

function c5_get_video_thumbnail($thumb_size) {
	$data = '';
	
	$format = get_post_format();
	
	if ($format == 'video') {
	
	
		$meta_attachment = get_post_meta(get_the_ID(), 'c5_attachment_id', true);
		$meta_video_type = get_post_meta(get_the_ID(), 'c5_attachment_type', true);
	    if($meta_attachment == '' || $meta_video_type == ''){
	    	c5_assign_video_audio_ids(get_the_ID());
	    	$meta_attachment = get_post_meta(get_the_ID(), 'c5_attachment_id', true);
	    	$meta_video_type = get_post_meta(get_the_ID(), 'c5_attachment_type', true);
	    }
			
		if ($meta_video_type) {
			
	        if ($meta_video_type == 'vimeo') {
	        	return c5_get_vimeo_thumb(  $meta_attachment );
	        } elseif ($meta_video_type  == 'youtube') {
	            return c5_get_youtube_thumb(  $meta_attachment );
	        } elseif ($meta_video_type  == 'dailymotion') {
	            return c5_get_dailymotion_thumb(  $meta_attachment );
	        }
	    }
	}
	
	return get_the_post_thumbnail(get_the_ID(),$thumb_size);
}


function c5_get_video_ajax( $thumb_size ) {
	$the_post_thumbnail = get_the_post_thumbnail(get_the_ID(),$thumb_size);
	
	$dimensions = code125_check_image_size($thumb_size);
	$height=round( $dimensions[1]*0.8 );
	$font_size = round($height*0.3);
	
	return '<a class="open-video post related-icon" style="line-height:'.$height.'px;font-size:'.$font_size.'px" post-id="'.get_the_ID().'">'. $the_post_thumbnail .'<span class="icon-play-circle2"></span></a>';
	
	
	return '';	
}

function c5_get_post_formats_ajax($thumb_size) {
	$data = '';
	
	$the_post_thumbnail = get_the_post_thumbnail(get_the_ID(),$thumb_size);
	
	$dimensions = code125_check_image_size($thumb_size);
	
	
	$height_video=round($dimensions[0]*9/16);
	
	$format = get_post_format();
	
	if ($format == 'video') {
		return c5_get_video_ajax( $thumb_size );
	} elseif ($format == 'audio') {
		return c5_get_audio_player(get_the_ID());
	} elseif ($format == 'gallery') {
		return get_post_gallery();
	} else {
	
	    if ($the_post_thumbnail != '') {
	    	return '<a href="' . get_permalink() . '">' . $the_post_thumbnail . '</a>';
	    }
	}
	
	return $data;
}

function c5_get_post_formats_image_ajax($thumb_size) {
	$data = '';
	
	$the_post_thumbnail = get_the_post_thumbnail(get_the_ID(),$thumb_size);
	
	$dimensions = code125_check_image_size($thumb_size);
	
	
	$height_video=round($dimensions[0]*9/16);
	
	$format = get_post_format();
	
	if ($format == 'video') {
		
		
		return c5_get_video_ajax( $thumb_size );
	        
	    
	}  else {
	
	    if ($the_post_thumbnail != '') {
	    	return '<a href="' . get_permalink() . '">' . $the_post_thumbnail . '</a>';
	    }
	}
	
	return $data;
}


function c5_get_audio_player($post_id) {
	$meta_audio_type = get_post_meta($post_id, 'meta_audio_type', true);
	
	    if (isset($meta_audio_type)) {
	    	
	    	$meta_audio_attachment = get_post_meta(get_the_ID(), 'c5_attachment_id', true);
	    	$meta_audio_type = get_post_meta(get_the_ID(), 'c5_attachment_type', true);
			if($meta_audio_attachment == '' || $meta_audio_type == ''){
				c5_assign_video_audio_ids(get_the_ID());
				$meta_audio_attachment = get_post_meta(get_the_ID(), 'c5_attachment_id', true);
				$meta_audio_type = get_post_meta(get_the_ID(), 'c5_attachment_type', true);
			}
			if ($meta_audio_type == 'audio') {
	           return do_shortcode(' [audio src="' . $meta_audio_attachment . '" ] ');
	        } else {
	           return do_shortcode(' [soundcloud id="' . $meta_audio_attachment . '" ] ');
	        }
	    }
	    return;
}


function c5_get_id_url_social($url) {
        $array_info = array();
        $url_temp_1 = $url;

//        $url_temp_1 = 'http://www.youtube.com/watch?v=rF8Yz8J3MHI';
//        $url_temp_1 = 'http://vimeo.com/75493974';
//        $url_temp_1 = 'http://www.dailymotion.com/video/x15n7x0_feedbackula-
//        gta-online-server-sacrilege_videogames?
//        from_related=related.page.int
//        .behavior-meta2.60e58c74a66a4814e73e47cec48e80c4138114326';
//        $url_temp_1 = 'https://soundcloud.com/roman-mars/99-invisible-90a-strowger';

        $split_1 = explode("/", $url_temp_1);
        if (strpos($url_temp_1, 'www.youtube.com') !== false) {
            $split_2 = explode("?v=", $split_1[3]);
            return array('youtube' , $split_2[1]);
        } else if (strpos($url_temp_1, 'vimeo.com') !== false) {
            return array('vimeo' , $split_1[3]);
        } else if (strpos($url_temp_1, 'www.dailymotion.com') !== false) {
            $split_2 = explode("_", $split_1[4]);
            return array('dailymotion' , $split_2[0]);
        } else if (strpos($url_temp_1, 'soundcloud.com') !== false) {
            $url = "https://soundcloud.com/oembed?url=" . $url_temp_1 . "&format=json";
            $xml = file_get_contents($url);
            $array = json_decode($xml, true); // decode json
            $id_sound = '';
            foreach ($array as $attribute => $ttt) {
                if ($attribute == 'html') {
                    $split_1 = explode("url=https", $ttt);
                    $split_2 = explode("%", $split_1[1]);
                    $rrrr = explode("&show_artwork=true", $split_2[5]);
                    $id_sound = substr($rrrr[0], 2);
                }
            }
            return array('soundcloud' ,  $id_sound);
        }
        
        return array('audio', $url);
    }

    function c5_get_username_facebook($url) {
        $split = explode("/", $url);
        return $split[3];
    }

    function c5_get_username_twitter($url) {
        $split = explode("/", $url);
        return $split[3];
    }


?>