<?php

function c5_get_time_date($meta_data, $html_tag = 'li' , $class="" , $c5_date_format ='normal') {
    $data = '';
	
	if($c5_date_format != 'ago'){
    if (in_array('date', $meta_data)) {
        $date = get_the_time(get_option('date_format'));
    } else {
        $date = '';
    }


    if (in_array('time', $meta_data)) {
        $time = ' - ' . get_the_time(get_option('time_format'));
    } else {
        $time = '';
    }
    
	
    if ($time != '' || $date != '') {

        $data = '<'.$html_tag.' class="icon-clock '.$class.' updated"><time class="value" datetime="' . get_the_time('Y-m-d') . '">' . $date . $time . '</time></'.$html_tag.'>';
    }
    
    }else {
    	$data = '<'.$html_tag.' class="icon-clock '.$class.' updated"><time class="value" datetime="' . get_the_time('Y-m-d') . '">' . sprintf( __('%s ago','code125') , human_time_diff( get_the_time('U'), current_time('timestamp')  )  ) . '</time></'.$html_tag.'>';
    }
    return $data;
}

function c5_get_comments_count($meta_data) {
    $data = '';
    global $post;
    if (in_array('comments_count', $meta_data)) {

        $data = '<li class="icon-comment">' . get_total_number_of_comments($post->ID, 'text') . '</li>';
    }
    return $data;
}

function c5_get_likes_count($meta_data) {
    $data = '';

    if (in_array('like', $meta_data)) {
        $data = '<li class="like-button-wrap">' . getPostLikeLink(get_the_ID()) . '</li>';
    }
    return $data;
}

function c5_get_tags($meta_data){
	$data = '';

    if (in_array('tags', $meta_data)) {
    	if(has_tag()){
    		
    		ob_start();
    		the_tags('',' ','');
    		$tags = ob_get_contents();
    		ob_end_clean();
    		
    		
    		$data = $data .'<div class="tags-warp">' . do_shortcode('[title title="'.__('Tags','code125').'" icon="icon-tags"]') .'<div class="c5-post-single clearfix">' . $tags . '</div></div>' ;
    	}
    }
    return $data;

}

function c5_get_view_count($meta_data) {
    $data = '';
    if (in_array('view', $meta_data)) {
        $data = '<li class="icon-eye">' . getPostViews(get_the_ID()) . '</li>';
    }
    return $data;
}


function c5_get_total_share_count($meta_data) {
    $data = '';

    if (in_array('social_count', $meta_data)) {
        $data = '<li class="icon-share">' . get_post_meta(get_the_ID(), 'total_share', true) . '</li>';
    }

    return $data;
}

function c5_get_author_photo($meta_data) {
    $data = '';
    $user_ID = get_the_author_meta('ID');

    if (in_array('author_photo', $meta_data)) {
        $data = '<a class="author-photo clearfix"  href="' . get_author_posts_url($user_ID) . '">' . get_avatar($user_ID, '120', '', '<span class="icon-user"></span>') . '</a>';
    }
    return $data;
}

function c5_get_author_link($meta_data, $html_tag='span') {
    $data = '';
	$user_ID = get_the_author_meta('ID');
    if (in_array('author', $meta_data)) {
        $data = '<'.$html_tag.' class="vcard"><a class=" url fn" rel="author" href="'.get_author_posts_url(get_the_author_meta('ID')).'">'.get_the_author_meta('display_name').'</a>';
        
        $postion = get_the_author_meta('position', $user_ID);
        if($postion!=''){
        	$data .= '<span class="position">'.$postion.'</span>';
        }
        $data .= '</'.$html_tag.'>';
    }

    return $data;
}


function c5_get_facebook_like_button($meta_data) {
    $data = '';

    if (in_array('facebook', $meta_data)) {
        $data = '<div class="col-xs-6 col-md-3 col-lg-3 remove-wrap"><div class="fb-like" data-href="' . get_permalink() . '" data-width="100" data-layout="button_count" data-show-faces="false" data-send="false"></div></div>';
    }

    return $data;
}

function c5_get_twitter_button($meta_data) {
    $data = '';

    if (in_array('twitter', $meta_data)) {
        $data = '<div class="col-xs-6 col-md-3 col-lg-3 remove-wrap"><a href="https://twitter.com/share" class="twitter-share-button" data-url="' . get_permalink() . '">Tweet</a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?\'http\':\'https\';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+\'://platform.twitter.com/widgets.js\';fjs.parentNode.insertBefore(js,fjs);}}(document, \'script\', \'twitter-wjs\');</script></div>';
    }

    return $data;
}

function c5_get_gplus_button($meta_data) {
    $data = '';

    if (in_array('gplus', $meta_data)) {
        $data = '<div class="col-xs-6 col-md-3  col-lg-3 remove-wrap"><div class="g-plusone" data-size="medium" data-href="'. get_permalink() .'"></div></div>';
        
        
    }

    return $data;
}


function c5_load_gplus_button_script() {
	echo '<!-- Place this tag after the last +1 button tag. -->
	<script type="text/javascript">
	  (function() {
	    var po = document.createElement(\'script\'); po.type = \'text/javascript\'; po.async = true;
	    po.src = \'https://apis.google.com/js/plusone.js\';
	    var s = document.getElementsByTagName(\'script\')[0]; s.parentNode.insertBefore(po, s);
	  })();
	</script>';
}
add_action('wp_footer' , 'c5_load_gplus_button_script');

function c5_get_pintrest_button($meta_data) {
    $data = '';

    if (in_array('pintrest', $meta_data)) {
        $data = '<div  class="col-xs-6 col-md-3 col-lg-3 remove-wrap pintrest-button">';
        $id_link = get_post_thumbnail_id();
        $image_url = wp_get_attachment_image_src($id_link, "full");

        $data = $data . '<a href="http://pinterest.com/pin/create/button/?url=' . get_permalink() . '&amp;media=' . $image_url[0] . '&amp;description=' . get_the_title() . '" class="pin-it-button" count-layout="horizontal"></a></div>';
    }

    return $data;
}

function c5_get_author_post_box($meta_data) {
	$data = '';
	$ul_array_data = array( 'author_photo', 'author', 'author_position');
	$meta_data_diff_result = array_intersect($ul_array_data, $meta_data);
}

function c5_get_social_bar($meta_data) {
    $data = '';
    $ul_array_data = array( 'facebook', 'twitter', 'gplus', 'pintrest');
    $meta_data_diff_result = array_intersect($ul_array_data, $meta_data);

    if (count($meta_data_diff_result) != 0) {
        $ul_array_data = array('facebook', 'twitter', 'gplus', 'pintrest');
        $meta_data_diff_result = array_intersect($ul_array_data, $meta_data);
        if (count($meta_data_diff_result) != 0) {
            $data = $data . '<div class="row">';
            $data = $data . c5_get_facebook_like_button($meta_data);
            $data = $data . c5_get_twitter_button($meta_data);
            $data = $data . c5_get_gplus_button($meta_data);
            $data = $data . c5_get_pintrest_button($meta_data);
            $data = $data . '</div>';
        }

    }


    return $data;
}

function c5_get_related_category($tax) {

    $post_categories = array();

    $terms = wp_get_post_terms(get_the_ID(), $tax);

    foreach ($terms as $term) {
        $post_categories[] = $term->term_id;
    }

    $args = array(
        'tax_query' => array(
            array(
                'taxonomy' => $tax,
                'field' => 'id',
                'terms' => $post_categories
            )
        ),
        'post__not_in' => array(get_the_ID()),
        'posts_per_page' => 3, // Number of related posts that will be shown.  
        'ignore_sticky_posts' => 1
    );
    $counter = 0;

    return $args;
}

function c5_get_related_random() {
    $args = array(
        'post__not_in' => array(get_the_ID()),
        'posts_per_page' => 3,
        'orderby' => 'rand',
        'ignore_sticky_posts' => 1
    );

    return $args;
}

function c5_get_related_tag() {
    $tags = wp_get_post_tags(get_the_ID());
    if ($tags) {
        $tag_ids = array();
        foreach ($tags as $individual_tag)
            $tag_ids[] = $individual_tag->term_id;

        $args = array(
            'tag__in' => $tag_ids,
            'post__not_in' => array(get_the_ID()),
            'posts_per_page' => 3, // Number of related posts that will be shown.  
            'ignore_sticky_posts' => 1
        );
        $counter = 0;
    } else {
        $args = c5_get_related_random();
    }


    return $args;
}

function c5_get_related_posts($meta_data) {
    $data = '';

    if (in_array('related', $meta_data)) {
        $post_type = get_post_type(get_the_ID());
        $tax = get_post_tax(get_the_ID());
        if ($tax) {
            $terms = wp_get_post_terms(get_the_ID(), $tax);
            $related_type = c5_get_parameter_for_post('related_type',get_the_ID());
            if ($related_type == 'category') {
                $args = c5_get_related_category($tax);
            } elseif ($related_type == 'tags') {
                $args = c5_get_related_tag();
            } else {
                $args = c5_get_related_random();
            }

            $data = $data . '<div class="related-posts-wrap">' . do_shortcode('[title title="' . __('Related Articles', 'code125') . '" icon="icon-tag"]') . '<div class="c5-post-single">';

            query_posts($args);

            while (have_posts()) : the_post();
            	$data = $data . c5_get_blog_related();

            endwhile;
            wp_reset_query();

            $data = $data . '</div></div>';
        }
    }

    return $data;
}

function c5_get_review() {
    $data = '';
    global $post;
    if (has_review($post->ID)) {
    
    	$rating = get_post_meta($post->ID, 'c5_rating', true);
        $data = '<li class="rate-button-wrap">' . c5_review_stars( $rating) . '<div class="hreview" ><p class="item"><span class="fn">' . get_the_title() . '</span></p><p>'.__('By: ','code125').'<span class="reviewer">' . get_the_author() . '</span>'.__(' at ','code125').'<span class="dtreviewed">' . get_the_time(get_option('date_format')) . '<span class="value-title" title="' . get_the_time('Y-m-d') . '"></span></span>.</p><p>'.__('Rating','code125').': <span class="rating">' . get_rating_average( $rating) . '</span></p></div></li>';
    }
    return $data;
}

function code125_breadcrumbs_article() {

    $showOnHome = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
    if (code125_is_rtl()) {
        $delimiter = ' <span class="icon-left-open-mini"> </span> '; // delimiter between crumbs
    } else {
        $delimiter = ' <span class="icon-right-open-mini"> </span> ';
    }
    $home = ' <span class="icon-home"> </span> '; // text for the 'Home' link
    $showCurrent = 0; // 1 - show current post/page title in breadcrumbs, 0 - don't show
    $before = '<span class="current">'; // tag before the current crumb
    $after = '</span>'; // tag after the current crumb

    global $post;
    $homeLink = home_url();



    echo '<div id="crumbs"><a href="' . $homeLink . '">' . $home . '</a> ';

    $post_type = get_post_type_object(get_post_type());
    $slug = $post_type->rewrite;
    $meta_data =  c5_get_parameter_for_post('meta_data',get_the_ID());
    if (in_array('single_crumb', $meta_data)) {
        echo $delimiter . ' ' . $post_type->labels->singular_name;
    }
    $tax = get_post_tax(get_the_ID());
    $terms = wp_get_post_terms(get_the_ID(), $tax);
    $new_terms = array();
    foreach ($terms as $term) {
        if ($term->parent != 0) {
            $new_terms[$term->id] = $term;
        }
    }
    foreach ($terms as $term) {
        if ($term->parent == 0) {
            echo $delimiter . '<a class="crumb_category ' . get_option($tax . '_icon_' . $term->term_id) . ' ' . $tax . '-' . $term->term_id . '" href="' . get_term_link(intval($term->term_id), $tax) . '"> ' . $term->name . '</a>';

            foreach ($new_terms as $new_term) {
                if ($new_term->parent == $term->term_id) {
                    echo $delimiter . '<a class="crumb_category ' . $tax . '-' . $new_term->term_id . '" href="' . get_term_link(intval($new_term->term_id), $tax) . '">' . $new_term->name . '</a>';
                }
            }
        }
    }



    echo '</div>';
}


function c5_get_post_fomrat_icon($id) {
	$format = get_post_format($id);
	$the_post_thumbnail = get_the_post_thumbnail($id,array(50,50));
	
	if (is_sticky($id)) {
	    $icon= 'icon-doc-text-inv';
	} elseif ($format == 'video') {
	   $icon= 'icon-video';
	} elseif ($format == 'gallery') {
	    $icon= 'icon-picture';
	} elseif ($format == 'audio') {
	    $icon= 'icon-volume-up';
	} else {
	    if ($the_post_thumbnail == '') {
	        $icon= 'icon-doc-text-inv';
	    } else {
	        $icon= 'icon-picture-1';
	    }
	}
	
	return $icon;
}


add_filter('the_password_form', 'custom_password_form');

function custom_password_form($content) {

    $o = '<div class="password-protected-form box-container clearfix">' . $content . '</div>';
    return $o;
}

function get_total_number_of_comments($post_id, $show_method) {

    $count = get_comments_number($post_id);

    $fb_count = get_post_meta($post_id, 'fb_commnets', true);

    if ($fb_count == '') {
        $fb_count = 0;
    }

    $count = $count + $fb_count;

    if ($show_method == 'text') {
        if ($count == 0) {
            $count = __('No Comments', 'code125');
        } elseif ($count == 1) {
            $count = __('1 Comment', 'code125');
        } else {
            $count = $count . ' ' . __('Comments', 'code125');
        }
    }

    return $count;
}


function c5_get_parameter_for_post_by_posttype($parameter, $post_type = 'post') {
	if($post_type == 'post'){
	
		if(!function_exists('ot_get_option')){
			$options = get_option('option_tree');
			return  $options[$parameter];
		}else {
			return  ot_get_option($parameter);			
		}

		
	
	}else{
		$posts_custom = ot_get_option('custom_posts', array());
		if($posts_custom){
			foreach ($posts_custom as $post_custom ) {
				if($post_custom['slug'] == $post_type){
					if(isset($post_custom[$parameter])){
						return $post_custom[$parameter];
					}else {
						return'';
					} 
				}
			}
		
		}
	
	}
	
	return  ot_get_option($parameter);
}


function c5_get_parameter_for_post($parameter, $post_id) {
	$post_type = get_post_type($post_id);
	return c5_get_parameter_for_post_by_posttype($parameter, $post_type);
	
	
}

/**
 * 
 * @param type $url
 * @param type $post_id
 * @return The ID of the attachment of image item preview
 */
function c5_assign_feature_image($url, $post_id) {

    $tmp = download_url($url);
    $desc = "";
    // Set variables for storage
    // fix file filename for query strings
    preg_match('/[^\?]+\.(jpg|JPG|jpe|JPE|jpeg|JPEG|gif|GIF|png|PNG)/', $url, $matches);
    $file_array['name'] = basename($matches[0]);
    $file_array['tmp_name'] = $tmp;

    // If error storing temporarily, unlink
    if (is_wp_error($tmp)) {
        @unlink($file_array['tmp_name']);
        $file_array['tmp_name'] = '';
    }
    // do the validation and storage stuff
    $id = media_handle_sideload($file_array, $post_id, $desc);
    // If error storing permanently, unlink
    if (is_wp_error($id)) {
        @unlink($file_array['tmp_name']);
        return $id;
    }
    update_post_meta($post_id, '_thumbnail_id', $id);
}


function c5_assign_video_thumbnail( $post_id ) {

	

	$format = get_post_format($post_id);
	//print_r($format);
	$thumbnail = get_post_meta($post_id, '_thumbnail_id', true);
	
	if($thumbnail != ''){
		return;
	}
	if ($format == 'video') {
		
		$meta_attachment_url = get_post_meta(get_the_ID(), 'meta_attachment', true);
		$media_info = c5_get_id_url_social( $meta_attachment_url );
		//print_r($media_info);
			$meta_attachment = $media_info[1];
			$meta_video_type = $media_info[0];
	
	        if ($meta_video_type == 'vimeo') {
	        	$thumb = c5_get_vimeo_thumb_src($meta_attachment);
	        } elseif ($meta_video_type  == 'youtube') {
	            $thumb = c5_get_youtube_thumb_src($meta_attachment);
	        } elseif ($meta_video_type  == 'dailymotion') {
	            $thumb = c5_get_dailymotion_thumb_src($meta_attachment);
	        }else{
	        	return;
	        }
	        c5_assign_feature_image($thumb, $post_id);
	    
	} 
}
add_action( 'save_post', 'c5_assign_video_thumbnail' );



function c5_assign_video_audio_ids( $post_id ) {

	$meta_attachment_url = get_post_meta($post_id, 'meta_attachment', true);
	$media_info = c5_get_id_url_social( $meta_attachment_url );
	//print_r($media_info);
		$meta_attachment = $media_info[1];
		$meta_video_type = $media_info[0];
		
		update_post_meta($post_id, 'c5_attachment_type', $meta_video_type);
		update_post_meta($post_id, 'c5_attachment_id', $meta_attachment);
}
add_action( 'save_post', 'c5_assign_video_audio_ids' );
?>