<?php

function register_c5_blog_shortcodes() {

    $_code125_shortcodes = get_option('_code125_shortcodes');
    if (!is_array($_code125_shortcodes)) {
        $_code125_shortcodes = array();
    }

    /** Custom Post Type List  * */
    if (function_exists('c5_get_all_posts_in_array_shortcodes')) {
        $post_types = c5_get_all_posts_in_array_shortcodes();
    } else {
        $post_types = array('post' => 'Post');
    }
    $thumb_view = array(
        'image' => 'Featured Image',
        'type' => 'Post Format Icon',
        'cat' => 'Category Icon',
        'comment' => 'Comment Count',
        'date' => 'Date',
        'like' => 'Like Count',
        'rate' => 'Rating',
        'view' => 'Views Count',
    );
    
    
    


    $array = array(
        'posts-shortcodes-open' => array(
            'name' => 'Posts',
            'type' => 'opengroup'
        ),
        /*
        # posts
        'posts' => array(
            'name' => 'posts',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_h3('Posts Shortcode') .
            c5_doc_p('This shortcode will help you to create 
                                    all the blog styles in this theme')
            . c5_doc_h4('Example') .
            c5_doc_blockquote('[post type="page" numOfComments="5" other="any"]') .
            c5_doc_h4('Preview') . c5_doc_img('http://d.pr/i/K7JL+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array(),
                'title' => c5_blog_title_array(),
                'blog_style' => c5_blog_style_array(),
                //'thumb_size' => c5_image_width_array(),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array(),
                'paging' => c5_paging_array(),
                'col_count' => c5_col_count_array(),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                //'time_frame' => c5_time_frame_array(),
                'featured_media' => c5_featured_media_array(),
                'excerpt' => c5_excerpt_enable_array(),
                'author_enable' => c5_authors_array(),
                'date_enable' => c5_date_array(),
                'comments_count_enable' => c5_comments_enable_array(),
                'quick_read' => c5_quick_read_enable_array(),
                'tags' => c5_tag_enable_array(),
                'cat_enable' => c5_category_enable_array(),
                'like_enable' => c5_like_enable_array('yes'),
                'view_count_enable' => c5_views_count_array('yes'),
                'social_count_enable' => c5_social_count_array('yes'),
                'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
        
        */
        
        
        # blog_mansory_mixed
        'blog_mansory_mixed' => array(
            'name' => 'blog_mansory_mixed',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_mansory_mixed', '', '[blog_mansory_mixed category="post" archive="false" title="false" posts_per_page="5" paging="load" order="DESC" orderby="date" meta_key="post_views_count" meta_value="comment"]', 'http://d.pr/i/wniF+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                'meta_value' => c5_get_meta_values_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
        
        # blog_mansory_category
        'blog_mansory_category' => array(
            'name' => 'blog_mansory_category',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_mansory_category', '', '[blog_mansory_category category="post" archive="false" title="false" thumb_size="full" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all"]', 'http://d.pr/i/2dSW+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                'meta_value' => c5_get_meta_values_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
        
        
        # blog_mansory_category_2
        'blog_mansory_category_2' => array(
            'name' => 'blog_mansory_category_2',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_mansory_category_2', '', '[blog_mansory_category_2 category="post" archive="false" title="false" thumb_size="full" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all"]', 'http://d.pr/i/ntfy+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                'meta_value' => c5_get_meta_values_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
        
        
        # blog_mansory_blog_wide
        'blog_mansory_blog_wide' => array(
            'name' => 'blog_mansory_blog_wide',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_mansory_blog_wide', '', '[blog_mansory_blog_wide category="post" archive="false" title="false" thumb_size="full" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all"]', 'http://d.pr/i/ACwa+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                'meta_value' => c5_get_meta_values_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
        
        # blog_mansory_blog_small
        'blog_mansory_blog_small' => array(
            'name' => 'blog_mansory_blog_small',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_mansory_blog_small', '', '[blog_mansory_blog_small category="post" archive="false" title="false" thumb_size="full" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all"]', 'http://d.pr/i/NaeW+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                'meta_value' => c5_get_meta_values_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
        
        
        # blog_mansory
        'blog_mansory' => array(
            'name' => 'blog_mansory',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_mansory', '', '[blog_mansory category="post" archive="false" title="false" thumb_size="full" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all"]', 'http://d.pr/i/tql3+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('8'),
                'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                'meta_value' => c5_get_meta_values_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
                
        
        # blog_classic
        'blog_classic' => array(
            'name' => 'blog_classic',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_classic', 'display articles in a photo -> title -> meta data -> excerpt/content -> tags', '[blog_classic category="post" archive="false" title="false" thumb_size="full" posts_per_page="10" paging="load" col_count="1" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all" featured_media="media_ajax" excerpt="excerpt" author_enable="name" date_enable="ago" comments_count_enable="yes" quick_read="yes" tags="yes" cat_enable="yes" like_enable="yes" view_count_enable="yes" social_count_enable="yes" review_enable="yes"]', 'http://d.pr/i/OhCy+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                //'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('10'),
                'paging' => c5_paging_array('load'),
                'col_count' => c5_col_count_array('1'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                //'time_frame' => c5_time_frame_array('all'),
                'featured_media' => c5_featured_media_array('media_ajax'),
                'excerpt' => c5_excerpt_enable_array('excerpt'),
                'author_enable' => c5_authors_array('no'),
                'date_enable' => c5_date_array('ago'),
                'comments_count_enable' => c5_comments_enable_array('no'),
                'quick_read' => c5_quick_read_enable_array('yes'),
                'tags' => c5_tag_enable_array('yes'),
                'cat_enable' => c5_category_enable_array('yes'),
                'like_enable' => c5_like_enable_array('no'),
                'view_count_enable' => c5_views_count_array('yes'),
                'social_count_enable' => c5_social_count_array('no'),
                'review_enable' =>c5_review_enable_array('no') 
             )
        ),
        
                
        # blog_slider
        'blog_slider' => array(
            'name' => 'blog_slider',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_slider', '', '[blog_slider category="post" archive="false" thumb_size="full" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all" excerpt="no" author_enable="no" date_enable="ago" comments_count_enable="yes" cat_enable="yes" like_enable="yes" view_count_enable="yes" social_count_enable="yes" review_enable="yes"]', 'http://d.pr/i/L3T4+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                //'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                //'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                //'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                'meta_value' => c5_get_meta_values_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
        
        
        # blog_4_col_slider
        'blog_4_col_slider' => array(
            'name' => 'blog_4_col_slider',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_4_col_slider', '', '[blog_4_col_slider category="post" archive="false" title="false" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all" cat_enable="yes"]', 'http://d.pr/i/Ti0F+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                //'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                'meta_value' => c5_get_meta_values_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
                
        # blog_thumbnails
        'blog_thumbnails' => array(
            'name' => 'blog_thumbnails',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_thumbnails', '', '[blog_thumbnails category="post" archive="false" title="false" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all" excerpt="no" author_enable="no" date_enable="ago" comments_count_enable="yes" cat_enable="yes" like_enable="yes" view_count_enable="yes" social_count_enable="yes" review_enable="yes"]', 'http://d.pr/i/Wnhd+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                //'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                'excerpt' => c5_excerpt_enable_array('no'),
                'author_enable' => c5_authors_array('no'),
                'date_enable' => c5_date_array('ago'),
                'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                'cat_enable' => c5_category_enable_array('yes'),
                'like_enable' => c5_like_enable_array('yes'),
                'view_count_enable' => c5_views_count_array('yes'),
                'social_count_enable' => c5_social_count_array('yes'),
                'review_enable' =>c5_review_enable_array('yes') 
             )
        ),

		# blog_thumbnails_title
		'blog_thumbnails_title' => array(
		    'name' => 'blog_thumbnails_title',
		    'type' => 'wrap',
		    'page_builder' => 'true',
		    'shortcode_gen' => 'true',
		    'documentation' => c5_doc_information_of_shortcode('blog_thumbnails_title', '', '[blog_thumbnails_title category="post" archive="false" title="false" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all" excerpt="no" author_enable="no" date_enable="ago" comments_count_enable="yes" cat_enable="yes" like_enable="yes" view_count_enable="yes" social_count_enable="yes" review_enable="yes"]', 'http://d.pr/i/G3uX+')
		    ,
		    'atts' => array(
		        'category' => c5_category_array(),
		        'archive' => c5_follow_archive_array('false'),
		        'title' => c5_blog_title_array('false'),
		        //'blog_style' => c5_blog_style_array(),
		        ////'thumb_size' => c5_image_width_array('full'),
		        'post_id' => c5_post_id_array(),
		        'posts_per_page' => c5_posts_per_page_array('5'),
		        //'paging' => c5_paging_array('load'),
		        //'col_count' => c5_col_count_array('3'),
		        'order' => c5_order_array(),
		        'orderby' => c5_orderby_array(),
		        'meta_key' => c5_meta_key_array(),
		        //'time_frame' => c5_time_frame_array('all'),
		        //'featured_media' => c5_featured_media_array('media_ajax'),
		        //'excerpt' => c5_excerpt_enable_array('no'),
		        //'author_enable' => c5_authors_array('no'),
		        //'date_enable' => c5_date_array('ago'),
		        //'comments_count_enable' => c5_comments_enable_array('yes'),
		        //'quick_read' => c5_quick_read_enable_array('yes'),
		        //'tags' => c5_tag_enable_array('yes'),
		        //'cat_enable' => c5_category_enable_array('yes'),
		        //'like_enable' => c5_like_enable_array('yes'),
		        //'view_count_enable' => c5_views_count_array('yes'),
		        //'social_count_enable' => c5_social_count_array('yes'),
		        //'review_enable' =>c5_review_enable_array('yes') 
		     )
		),
		        
        
        # blog_titles
        'blog_titles' => array(
            'name' => 'blog_titles',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' => c5_doc_information_of_shortcode('blog_titles', '', '[blog_titles category="post" archive="false" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all"]', 'http://d.pr/i/ksXe+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                //'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                //'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
        
        
        # blog_news_in_photos
        'blog_news_in_photos' => array(
            'name' => 'blog_news_in_photos',
            'type' => 'wrap',
            'page_builder' => 'true',
            'shortcode_gen' => 'true',
            'documentation' =>  c5_doc_information_of_shortcode('blog_news_in_photos', '', '[blog_news_in_photos category="post" archive="false" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all"]', 'http://d.pr/i/5MG9+')
            ,
            'atts' => array(
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                //'title' => c5_blog_title_array('false'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('full'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                //'paging' => c5_paging_array('load'),
                //'col_count' => c5_col_count_array('3'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('no'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('ago'),
                //'comments_count_enable' => c5_comments_enable_array('yes'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('yes'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('yes') 
             )
        ),
        
        
        
        
        
        # breaking_news
        'breaking_news' => array(
            'name' => 'breaking_news',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('breaking_news', '', '[breaking_news source_type="posts" category="post" archive="false" posts_per_page="5" order="DESC" orderby="date" meta_key="post_views_count" time_frame="all"]', 'http://d.pr/i/aNJG+'),
            'atts' => array(
                'source_type' => array(
                    'values' => array(
                        'category' => 'Category',
                        'posts' => 'Posts',
                        'custom' => 'Custom Text'
                    ),
                    'default' => 'posts',
                    'desc' => 'Source Type',
                    'documentation' =>c5_doc_p('Select the source of the breaking news')
                ),
                'title' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Title',
                    'documentation' => c5_doc_p('Title for the breaking news')
                ),
                'category' => c5_category_array(),
                'archive' => c5_follow_archive_array('false'),
                //'title' => c5_blog_title_array('true'),
                //'blog_style' => c5_blog_style_array(),
                ////'thumb_size' => c5_image_width_array('half'),
                'post_id' => c5_post_id_array(),
                'posts_per_page' => c5_posts_per_page_array('5'),
                //'paging' => c5_paging_array('false'),
                //'col_count' => c5_col_count_array('1'),
                'order' => c5_order_array(),
                'orderby' => c5_orderby_array(),
                'meta_key' => c5_meta_key_array(),
                //'time_frame' => c5_time_frame_array('all'),
                //'featured_media' => c5_featured_media_array('media_ajax'),
                //'excerpt' => c5_excerpt_enable_array('excerpt'),
                //'author_enable' => c5_authors_array('no'),
                //'date_enable' => c5_date_array('disable'),
                //'comments_count_enable' => c5_comments_enable_array('no'),
                //'quick_read' => c5_quick_read_enable_array('yes'),
                //'tags' => c5_tag_enable_array('no'),
                //'cat_enable' => c5_category_enable_array('yes'),
                //'like_enable' => c5_like_enable_array('yes'),
                //'view_count_enable' => c5_views_count_array('yes'),
                //'social_count_enable' => c5_social_count_array('yes'),
                //'review_enable' =>c5_review_enable_array('no') 
            )
        ),
        'posts-shortcodes-close' => array(
            'type' => 'closegroup'
        )
    );



    $_code125_shortcodes = array_merge($_code125_shortcodes, $array);

    update_option('_code125_shortcodes', $_code125_shortcodes);
}

add_action('init', 'register_c5_blog_shortcodes', 30);
?>
