<?php

function register_c5_elements_shortcodes() {

    $_code125_shortcodes = get_option('_code125_shortcodes');
    if (!is_array($_code125_shortcodes)) {
        $_code125_shortcodes = array();
    }


    /** Icons  * */
    global $_code125_icons;
    $new_icons = array();
    if (is_array($_code125_icons)) {
        foreach ($_code125_icons as $icon) {
            $new_icons[$icon] = substr($icon, 5);
        }
    }


    /** Image Sizes * */
    global $_code125_image_sizes;
    $img_size = array();
    if (is_array($_code125_image_sizes)) {
        foreach ($_code125_image_sizes as $array) {
            $img_size['slug'] = $array['width'] . 'x' . $array['height'];
        }
    }


    /** Menu Locations* */
    $menus_new = ot_get_option('menus', array());
    $menu_new = array();

    $menu_new['main-nav'] = 'Main Menu';
    $menu_new['footer-links'] = 'Footer Menu';
    foreach ($menus_new as $value) {
        $menu_new[$value['location']] = $value['title'];
    }



    /** Sidebars * */
    $sidebars_new = ot_get_option('sidebars', array());

    $sidebars = array(
        'sidebar' => 'Main Sidebar',
        'sidebar_small' => 'Main Small Sidebar'
    );

    foreach ($sidebars_new as $sidebar_new) {

        $sidebars[$sidebar_new['slug']] = $sidebar_new['title'];
    }
    $array = array(
        # basic shortcodes - start
        'elements-shortcodes-open' => array(
            'name' => 'Elements',
            'type' => 'opengroup'
        ),
        # text
        'text' => array(
            'name' => 'text',
            'type' => 'wrap',
            'atts' => array(),
            'content' => 'Content',
            'documentation' => c5_doc_information_of_shortcode('text', 'Add any text/HTML/Shortcodes in the Page builder', '[text]Content [/text]', '')
        ),
        # logo
        'logo' => array(
            'name' => 'logo',
            'type' => 'wrap',
            'atts' => array(),
            'content' => 'Content',
            'documentation' => c5_doc_information_of_shortcode('logo', 'Show the current logo "Mostly used in custom Header and footer"', '[logo]', '')
        ),
        #last_updated
        'last_updated' => array(
            'name' => 'last_updated',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('last_updated', 'Show the Latest update date', '[last_updated format="F j, Y \a\t G:i a" before="Last Updated" after="... Stay tuned"]', 'http://d.pr/i/EDpa+'),
            'atts' => array(
                'format' => array(
                    'values' => array(),
                    'default' => 'F j, Y \a\t G:i a',
                    'desc' => 'Date Format',
                    'documentation' => c5_doc_p('Date Format, see <a href="http://codex.wordpress.org/Formatting_Date_and_Time">This page</a> for complete reference')
                ),
                'before' => array(
                    'values' => array(),
                    'default' => 'Last Updated',
                    'desc' => 'Before Date',
                    'documentation' => c5_doc_p('Text before the date')
                ),
                'after' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'After Date',
                    'documentation' => c5_doc_p('Text after the date')
                )
            )
        ),
        # search
        'search' => array(
            'name' => 'search',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('search', 'Add the search bar', '[search]' , 'http://d.pr/i/kZ4V+'),
            'atts' => array(),
        ),
        # sidebar
        'sidebar' => array(
            'name' => 'sidebar',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('sidebar', 'Display any sidebar in your website "usually used in the Page Builder"', '[sidebar slug="sidebar"]', ''),
            'atts' => array(
                'slug' => array(
                    'values' => $sidebars,
                    'default' => 'left',
                    'desc' => 'Sidebar',
                    'documentation' => ''
                )
            )
        ),
        # menu
        'menu' => array(
            'name' => 'menu',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('menu', 'Display Menu "usually used in headers and footers"', '[menu location="main-nav" bg_mode="light-mode" style="default" responsive="responsive"]', 'http://d.pr/i/Vhh1+'),
            'atts' => array(
                'location' => array(
                    'values' => $menu_new,
                    'default' => 'main-nav',
                    'desc' => 'Menu Location',
                    'documentation' => c5_doc_p('This is the location you assign in the Menu Page "Apperance->Menu", You can add any other menus in Theme Options .. Menu Location')
                ),
                'bg_mode' => array(
                    'values' => array(
                        'light-mode' => 'Light',
                        'dark-mode' => 'Dark'
                    ),
                    'default' => 'light-mode',
                    'desc' => 'Background Color Mode',
                    'documentation' => c5_doc_p('Choose the color mode based on where you are showing this menu, if you are placing it in header and it is dark, choose it dark to show the text color in white')
                ),
                'style' => array(
                    'values' => array(
                        'mini' => 'Mini Menu',
                        'default' => 'Default',
                        'full' => 'Full Width',
                        'centered' => 'Centered',
                        'sidebar' => 'Sidebar'
                    ),
                    'default' => 'default',
                    'desc' => 'Menu Style',
                    'documentation' => c5_doc_h5('Mini Menu') .
                    c5_doc_p('Mini Menu "usually fits in header topbar, outer bar and footer"') .c5_doc_img('http://d.pr/i/2Xop+') .
                    c5_doc_h5('Default') .
                    c5_doc_p('The Default View of the menu') .c5_doc_img('http://d.pr/i/Vhh1+') .
                    c5_doc_h5('Full Width') .
                    c5_doc_p('The Menu will take all the width available and devide the space into the menu items equally') .c5_doc_img('http://d.pr/i/NwXu+') . 
                    c5_doc_h5('Centered') .
                    c5_doc_p('The Menu will be centered in the available width taking the same space for element like the default "The Same as the default but it will be centered"') .c5_doc_img('http://d.pr/i/Xs0b+') .
                    c5_doc_h5('Sidebar') .
                    c5_doc_p('The Menu will be showen in a sidebar, you can choose the Menu widget') .c5_doc_img('http://d.pr/i/omb2+')  . c5_doc_p('and it will appear in the sidebar like that')  .c5_doc_img('http://d.pr/i/ADxC+')  
                ),
                'responsive' => array(
                    'values' => array(
                        'responsive' => 'Responsive',
                        'no_responsive' => 'Not Responsive'
                    ),
                    'default' => 'responsive',
                    'desc' => 'Responsive',
                    'documentation' =>  c5_doc_p('Choose your shortcode wheiter it will responsive or not') .   c5_doc_p('This is responsive') .c5_doc_img('http://d.pr/i/rQWt+') 
                   
                )
            )
        ),
        # title
        'title' => array(
            'name' => 'title',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('title', 'Add title, usually used in pagebuilder and inside articles/pages', '[title title="Hello There" icon="icon-arrow-combo" link="#" class="class" id="ID"]', 'http://d.pr/i/HehL+'),
            'atts' => array(
                'title' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Title',
                    'documentation' => c5_doc_p('The title you want to show it')
                ),
                'icon' => array(
                    'values' => $new_icons,
                    'default' => 'icon-arrow',
                    'desc' => 'Title icon',
                    'documentation' => c5_doc_p('Any icon to show before the title')
                ),
                
                'link' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Link',
                    'documentation' => c5_doc_p('If you want the text to be a link for another page.')
                ),
                'class' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Class',
                    'documentation' => c5_doc_p('Add class for targetting purpose')
                ),
                'id' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Title ID',
                    'documentation' => c5_doc_p('Add ID for linking purpose.')
                )
            ),
            'usage' => '[title title="Title"] ',
            'desc' => 'Title Shortcode',
            'content_off' => 'off'
        ),
        # dropcap
        'dropcap' => array(
            'name' => 'dropcap',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('dropcap', 'Add a Dropcap, "usually used in articles"', '[dropcap]D[/dropcap]', 'http://d.pr/i/sJvF+'),
            'atts' => array(),
            'usage' => '[dropcap] Tab Letter [/dropcap]',
            'content' => 'L',
            'desc' => ''
        ),
        # percentage
        'percentage' => array(
            'name' => 'percentage',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('percentage', 'Show Percentage bar, usually used in pages and articles', '[percentage percentage="80%" title="Photoshop"]', 'http://d.pr/i/3ifF+'),
            'atts' => array(
                'percentage' => array(
                    'values' => array(),
                    'default' => '80%',
                    'desc' => 'percentage in %',
                    'documentation' => c5_doc_p('Add your Percentage in %, example: 80%')
                ),
                'title' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Title',
                    'documentation' => c5_doc_p('Add a title to describe this percentatge')
                ),
            ),
            'usage' => '[percentage percentage="70%"]',
            'desc' => ''
        ),
        # ul
        'ul' => array(
            'name' => 'ul',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('ul', 'Add Unordered List, usually used to display list with special icons', '[ul][li icon="icon-ok"]Li content 1[/li][li icon="icon-ok"]Li content 2[/li][li icon="icon-ok"]Li content 2[/li][li icon="icon-ok"]Li content 2[/li][/ul]', 'http://d.pr/i/NdP2+'),
            'atts' => array(
                'float' => array(
                    'values' => array(
                        'left' => 'Left',
                        'right' => 'Right',
                        'none' => 'None'
                    ),
                    'default' => 'none',
                    'desc' => 'Li Float',
                    'documentation' => c5_doc_p('If you want to float the li like a menu')
                ),
                'color' => array(
                    'values' => array(),
                    'default' => 'none',
                    'desc' => 'Icon Color',
                    'documentation' => c5_doc_p('If you want to apply a color at the icons of the lists')
                )
            ),
            'usage' => '[ul] [li icon="phone"] li content [/li] [/ul]',
            'desc' => '',
            'content' => '',
            'child' => 'li'
        ),
        # li
        'li' => array(
            'name' => 'li',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('li', 'the list element in the ul shortcode', '[li icon="icon-ok"]Li content 2[/li]', 'http://d.pr/i/ggbv+'),
            'atts' => array(
                'icon' => array(
                    'values' => $new_icons,
                    'default' => 'icon-ok',
                    'desc' => 'Icon',
                    'documentation' => c5_doc_p('Choose the Icons you want to assign')
                ),
                'color' => array(
                    'values' => array(),
                    'default' => 'none',
                    'desc' => 'Icon Color',
                    'documentation' => c5_doc_p('Apply a color to the icon')
                )
            ),
            'usage' => '[li title="icon"] li content [/li]',
            'content' => 'li content'
        ),
        # input
        'input' => array(
            'name' => 'input',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('input', 'Show Input field', '[input placeholder="Username" id="username" icon="icon-user"]', 'http://d.pr/i/xsDy+'),
            'atts' => array(
                'placeholder' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Title text',
                    'documentation' => c5_doc_p('the title for the input field ')
                ),
                'id' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'ID for input',
                    'documentation' => c5_doc_p('Id for targeting the input "assigned also as a name"')
                ),
                'icon' => array(
                    'values' => $new_icons,
                    'default' => 'none',
                    'desc' => 'Icon',
                    'documentation' => c5_doc_p('The Icons is assigned in the right of the input field')
                )
            )
        ),
        # textarea
        'textarea' => array(
            'name' => 'textarea',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('textarea', 'a textarea field', '[textarea placeholder="Mesasge" id="message"]', 'http://d.pr/i/Vdzv+'),
            'atts' => array(
                'placeholder' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Placeholder text',
                    'documentation' => c5_doc_p('the title for the input field')
                ),
                'id' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'ID for texarea',
                    'documentation' => c5_doc_p('Id for targeting the input "assigned also as a name"')
                )
            )
        ),
        # button
        'button' => array(
            'name' => 'button',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('button', 'the bootstrap button', '[button color="btn-primary" size="btn-large" float="none" text="Button" link="#"]', 'http://d.pr/i/jxrO+'),
            'atts' => array(
                'color' => array(
                    'values' => array(
                        'default-color' => 'Default',
                        'btn-primary' => 'Primary',
                        'btn-info' => 'Info',
                        'btn-success' => 'Success',
                        'btn-warning' => 'Warning',
                        'btn-danger' => 'Danger',
                        'btn-inverse' => 'Inverse'
                    ),
                    'default' => 'blue',
                    'desc' => 'Button Color',
                    'documentation' => 'See <a href="http://getbootstrap.com/css/#buttons">this page</a> for more info'
                ),
                'float' => array(
                    'values' => array(
                        'left' => 'Left',
                        'right' => 'Right',
                        'center' => 'Center',
                        'none' => 'None'
                    ),
                    'default' => 'left',
                    'desc' => 'Float', c5_doc_p('Floating the button')
                ),
                'text' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Button Text',
                    'documentation' => c5_doc_p('Button Text')
                ),
                'link' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Button Link',
                    'documentation' => c5_doc_p('Button link')
                )
            )
        ),
       # today
        'today' => array(
            'name' => 'today',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('today', 'display today date', '[today]', ''),
            'atts' => array()
        ),
        # today_hijri
        'today_hijri' => array(
            'name' => 'today_hijri',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('today_hijri', 'display today date in Hijri', '[today_hijri]', ''),
            'atts' => array()
        ),
        # box
        'box' => array(
            'name' => 'box',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('box', 'display box for info/warning/success', '[box type="info" title="Title" message="Hello there, this is the message"]', 'http://d.pr/i/gIvG+'),
            'atts' => array(
                'type' => array(
                    'values' => array(
                        'notice' => 'Notice',
                        'info' => 'Info',
                        'warning' => 'Warning',
                        'success' => 'Success'
                    ),
                    'default' => 'info',
                    'desc' => 'Box Type',
                    'documentation' => c5_doc_p('choose the box type based on your purpose.')
                ),
                'title' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Box Title',
                    'documentation' => ''
                ),
                'message' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Box Message',
                    'documentation' => ''
                )
            )
        ),
        
        # contact_form
        'contact_form' => array(
        	'name' => 'contact_form',
        	'type' => 'wrap',
        	'documentation' => c5_doc_information_of_shortcode('contact_form', 'display contact form', '[contact_form name="Name" email="email" message="Message" send="Send"]', 'http://d.pr/i/gIvG+'),
        	'atts' => array(
        		'name' => array(
        			'values' => array( ),
        			'default' => '',
        			'desc' => __( 'Placeholder for name', 'code125-admin' )
        		),
        		'email' => array(
        			'values' => array( ),
        			'default' => '',
        			'desc' => __( 'Placeholder for email', 'code125-admin' )
        		),
        		'message' => array(
        			'values' => array( ),
        			'default' => '',
        			'desc' => __( 'Placeholder for message', 'code125-admin' )
        		),
        		'send' => array(
        			'values' => array( ),
        			'default' => 'Send',
        			'desc' => __( 'Text for send', 'code125-admin' )
        		)
        		),
        	'usage' => '[contact_form]',
        	'desc' => __( 'contact_form.', 'code125-admin' ),
        	
        ),
        # basic shortcodes - end
        'element-shortcodes-close' => array(
            'type' => 'closegroup'
        ),
    );



    $_code125_shortcodes = array_merge($_code125_shortcodes, $array);

    update_option('_code125_shortcodes', $_code125_shortcodes);
}

add_action('init', 'register_c5_elements_shortcodes', 19);
?>