<?php

function register_c5_social_shortcodes() {

    $_code125_shortcodes = get_option('_code125_shortcodes');
    if (!is_array($_code125_shortcodes)) {
        $_code125_shortcodes = array();
    }


    $array = array(
        'social-shortcodes-open' => array(
            'name' => 'Social',
            'type' => 'opengroup'
        ),
        # social_bar
        'social_bar' => array(
            'name' => 'social_bar',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('social_bar', 'Display the social icons added in theme options->Social', '[social_bar]', 'http://d.pr/i/Dqq8+'),
            'atts' => array()
        ),
        # social_box
        'social_box' => array(
            'name' => 'social_box',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('social_box', 'Display the social icons with counters configured in theme options -> social.', '[social_box]', 'http://d.pr/i/Qn0p+'),
            'atts' => array()
        ),
        
        # twitter
        'twitter' => array(
            'name' => 'twitter',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('twitter', 'Show the last tweets for a certain user <a href="http://themepacific.com/how-to-generate-api-key-consumer-token-access-key-for-twitter-oauth/994/" target="_blank">Learn About Creating Apps in Twitter API 1.1</a>', '', 'http://d.pr/i/G2bD+'),
            'atts' => array(
                'consumerkey' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Consumer key'
                ),
                'consumersecret' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Consumer Secret Key'
                ),
                'accesstoken' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Accesstoken'
                ),
                'accesstokensecret' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Accesstoken Secret'
                ),
                'cachetime' => array(
                    'values' => array(),
                    'default' => '1',
                    'desc' => 'Cache time in Hours'
                ),
                'username' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Username'
                ),
                'count' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Number of Tweets "Max 10"'
                )
            )
        ),
        # twitter_li
        'twitter_li' => array(
            'name' => 'twitter_li',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('twitter_li', 'the same as twitter shortcode but it exports the tweets in li "fits for breaking news shortcode"', '', 'http://d.pr/i/PqsN+'),
            'atts' => array(
                'consumerkey' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Consumer key'
                ),
                'consumersecret' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Consumer Secret Key'
                ),
                'accesstoken' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Accesstoken'
                ),
                'accesstokensecret' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Accesstoken Secret'
                ),
                'cachetime' => array(
                    'values' => array(),
                    'default' => '1',
                    'desc' => 'Cache time in Hours'
                ),
                'username' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Username'
                ),
                'hashtag' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Hashtag to follow'
                ),
                'count' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Number of Tweets "Max 10"'
                )
            )
        ),
        # flickr
        'flickr' => array(
            'name' => 'flickr',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('flickr', 'Flickr Stream for a certain ID', '', 'http://d.pr/i/us15+'),
            'atts' => array(
                'id' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'The ID of the Photostream'
                ),
                'count' => array(
                    'values' => array(),
                    'default' => '9',
                    'desc' => 'Number of Images'
                )
            )
        ),
        
        # youtube
        'youtube' => array(
            'name' => 'youtube',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('youtube', 'Display Youtube Video just add the video ID and you are good to go', '', ''),
            'atts' => array(
                'id' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'The ID of the Video'
                ),
                'width' => array(
                    'values' => array(),
                    'default' => '100%',
                    'desc' => 'Width'
                ),
                'height' => array(
                    'values' => array(),
                    'default' => '300px',
                    'desc' => 'Height'
                )
            )
        ),
        # vimeo
        'vimeo' => array(
            'name' => 'vimeo',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('vimeo', 'Display Vimeo Video just add the video ID and you are good to go', '', ''),
            'atts' => array(
                'clip_id' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'The ID of the Video'
                ),
                'width' => array(
                    'values' => array(),
                    'default' => '100%',
                    'desc' => 'Width'
                ),
                'height' => array(
                    'values' => array(),
                    'default' => '300px',
                    'desc' => 'Height'
                )
            )
        ),
        # dailymotion
        'dailymotion' => array(
            'name' => 'dailymotion',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('dailymotion', 'Display Dailymotion Video just add the video ID and you are good to go', '', ''),
            'atts' => array(
                'id' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'The ID of the Video'
                ),
                'width' => array(
                    'values' => array(),
                    'default' => '100%',
                    'desc' => 'Width'
                ),
                'height' => array(
                    'values' => array(),
                    'default' => '300px',
                    'desc' => 'Height'
                )
            )
        ),
        # video
        'video' => array(
            'name' => 'video',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('video', 'Display regular video add the video src', '', ''),
            'atts' => array(
                'src' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'The Source of the Video'
                ),
                'width' => array(
                    'values' => array(),
                    'default' => '100%',
                    'desc' => 'Width'
                ),
                'height' => array(
                    'values' => array(),
                    'default' => '300px'
                )
            )
        ),
        # video5
        'video5' => array(
            'name' => 'video5',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('video5', 'Add HTML5 video player', '', ''),
            'atts' => array(
                'src' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'The Source of the Video'
                ),
                'width' => array(
                    'values' => array(),
                    'default' => '100%',
                    'desc' => 'Width'
                ),
                'height' => array(
                    'values' => array(),
                    'default' => '300px',
                    'desc' => 'Height'
                )
            )
        ),
        # audio
        'audio' => array(
            'name' => 'audio',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('audio', 'Add Audio player', '', ''),
            'atts' => array(
                'src' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'The Source of the audio',
                )
            )
        ),
        # soundcloud
        'soundcloud' => array(
            'name' => 'soundcloud',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('soundcloud', 'Add Sound Cloud Audio', '', ''),
            'atts' => array(
                'id' => array(
                    'values' => array(),
                    'default' => '',
                    'desc' => 'Track ID'
                )
            )
        ),
        # basic shortcodes - end
        'social-shortcodes-close' => array(
            'type' => 'closegroup'
        ),
    );



    $_code125_shortcodes = array_merge($_code125_shortcodes, $array);

    update_option('_code125_shortcodes', $_code125_shortcodes);
}

add_action('init', 'register_c5_social_shortcodes', 32);
?>