<?php

function register_c5_tabs_shortcodes() {

    $_code125_shortcodes = get_option('_code125_shortcodes');
    if (!is_array($_code125_shortcodes)) {
        $_code125_shortcodes = array();
    }

    /** Icons  * */
    global $_code125_icons;
    $new_icons = array();
    if (is_array($_code125_icons)) {
        foreach ($_code125_icons as $icon) {
            $new_icons[$icon] = substr($icon, 5);
        }
    }


    $array = array(
        'tabs-shortcodes-open' => array(
            'name' => 'Tabs',
            'type' => 'opengroup'
        ),
        # tabgroup
        'tabgroup' => array(
            'name' => 'tabgroup',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('tabgroup', 'Make a tabgroup of tabs', '[tabgroup ][tab title="Title" icon="icon-adjust"]Tab content[/tab][tab title="Title" icon="icon-adjust"]Tab content[/tab][/tabgroup]', 'http://d.pr/i/aH4J+'),
            'atts' => array(),
            'usage' => '[tabgroup] [tab title="Tab name"] Tab content [/tab] [/tabgroup]',
            'desc' => '',
            'child' => 'tab',
            'content' => ' '
        ),
        # tab
        'tab' => array(
            'name' => 'tab',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('tab', 'Make a single tab', '[tab title="Title" icon="icon-adjust"]Tab content[/tab]', ''),
            'atts' => array(
                'title' => array(
                    'values' => array(),
                    'default' => 'Title',
                    'desc' => 'Tab title'
                ),
                'icon' => array(
                    'values' => $new_icons,
                    'default' => 'none',
                    'desc' => 'Icon'
                )
            ),
            'usage' => '[tab title="Tab name"] Tab content [/tab]',
            'content' => 'Tab content',
            'desc' => ''
        ),
        # fancy_tabgroup
        'fancy_tabgroup' => array(
            'name' => 'fancy_tabgroup',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('fancy_tabgroup', 'Make a fancy tabgroup of tabs', '[fancy_tabgroup][fancy_tab title="Title" icon="icon-ambulance"]Tab content[/fancy_tab][fancy_tab title="Title" icon="icon-ambulance"]Tab content[/fancy_tab][/fancy_tabgroup]', 'http://d.pr/i/qOcH+'),
            'atts' => array(),
            'usage' => '[fancy_tabgroup] [fancy_tab title="Tab name"] Tab content [/fancy_tab] [/fancy_tabgroup]',
            'desc' => '',
            'child' => 'fancy_tab',
            'content' => ' '
        ),
        # fancy_tab
        'fancy_tab' => array(
            'name' => 'fancy_tab',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('fancy_tab', 'Make a single tab', '[fancy_tab title="Title" icon="icon-adjust"]Tab content[/fancy_tab]',''),
            'atts' => array(
                'title' => array(
                    'values' => array(),
                    'default' => 'Title',
                    'desc' => 'Tab title'
                ),
                'icon' => array(
                    'values' => $new_icons,
                    'default' => 'none',
                    'desc' => 'Icon'
                )),
            'usage' => '[fancy_tab title="Tab name"] Tab content [/fancy_tab]',
            'content' => 'Tab content',
            'desc' => ''
        ),
        # accordiongroup
        'accordiongroup' => array(
            'name' => 'accordiongroup',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('accordiongroup', 'Make an accordion tabgroup of tabs', '[accordiongroup][accordion title="Title"]Tab content[/accordion][accordion title="Title"]Tab content[/accordion] [/accordiongroup]', 'http://d.pr/i/NmaG+'),
            'atts' => array(),
            'usage' => '[accordiongroup] [accordion title="Tab name"] Tab content [/accordion] [/accordiongroup]',
            'desc' => '',
            'child' => 'accordion',
            'content' => ' '
        ),
        # accordion
        'accordion' => array(
            'name' => 'accordion',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('accordion', 'Make a single tab', '[accordion title="Title"]Tab content[/accordion]',''),
            'atts' => array(
                'title' => array(
                    'values' => array(),
                    'default' => 'Title',
                    'desc' => 'Tab title',
                    'documentation' => c5_doc_p('your documenation')
                )
            ),
            'usage' => '[accordion title="Tab name"] Tab content [/accordion]',
            'content' => 'Tab content',
            'desc' => ''
        ),
        # toggle
        'toggle' => array(
            'name' => 'toggle',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('toggle', 'Create a toggle for content', '[toggle title="Title"]Toggle content[/toggle]', 'http://d.pr/i/lcMe+'),
            'atts' => array(
                'title' => array(
                    'values' => array(),
                    'default' => 'Title',
                    'desc' => 'Tab title',
                    'documentation' => c5_doc_p('your documenation')
                )),
            'usage' => '[toggle title="Tab name"] Tab content [/toggle]',
            'content' => 'Toggle content',
            'desc' => ''
        ),
        # basic shortcodes - end
        'tabs-shortcodes-close' => array(
            'type' => 'closegroup'
        )
    );



    $_code125_shortcodes = array_merge($_code125_shortcodes, $array);

    update_option('_code125_shortcodes', $_code125_shortcodes);
}

add_action('init', 'register_c5_tabs_shortcodes', 24);
?>