<?php


/**
 * Shortcode: post_title
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
 add_shortcode('post_title' , 'code125_post_title');
function code125_post_title($atts, $content = null) {

    $atts = shortcode_atts(array( 'icon' => '','post_id' => '','class' => '','post_link' => '','wrapper' => '','wrap_li' => '','wrap_li_class' => '' ), $atts);
	if($atts['post_id']!=''){
		$post_id = $atts['post_id'] ;
	}else {
		global $post;
		
		$post_id = $post->ID;	
	}
	
	if($atts['wrapper']==''){
		$atts['wrapper']='p' ;
	}
		
	$post_data = get_post($post_id);
	
	if($atts['wrap_li']=='true'){
		$li_start = '<li class="'.$atts['wrap_li_class'].'"><span class="'.$atts['icon'].'"></span>';
		$icon = '';
		$li_end = '</li>';
	}else {
		$li_start = '';
		$li_end = '';
		$icon = '<span class="'.$atts['icon'].'"></span> ';	
	}
	if($atts['post_link']=='true'){
		
		if($atts['wrapper']=='a'){
			$link = ' href="'.get_permalink($post_id) .'"' ;
		}else {
			$link = '';
		}
		
	}else {
		$link = '';
	}
	 
	
	 
	$data = $li_start . '<'.$atts['wrapper'].' class="'.$atts['class'].' " '. $link .'>'. $icon .' ' .$post_data->post_title.'</'.$atts['wrapper'].'>' . $li_end;
	
	
	return $data;
}
/**
 * Shortcode: post_category
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
  add_shortcode('post_category' , 'code125_post_category');
function code125_post_category($atts, $content = null) {

    $atts = shortcode_atts(array( 'icon' => '','parent_only' => 'false', 'child_only'=> 'false' ,'post_id' => '','class' => '','wrap_li' => '','wrap_li_class' => '' ), $atts);
	if($atts['post_id']!=''){
		$post_id = $atts['post_id'] ;
	}else {
		global $post;
		
		$post_id = $post->ID;	
	}
	
	
	if($atts['wrap_li']=='true'){
		$li_start = '<li class="'.$atts['wrap_li_class'].'"><span class="'.$atts['icon'].'"></span>';
		$icon = '';
		$li_end = '</li>';
	}else {
		$li_start = '';
		$li_end = '';
		$icon = '<span class="'.$atts['icon'].'"></span> ';	
	}
	
	
	
	 $type = get_post_type($post_id);
	 
	 
	 $tax = get_tax_by_type($type);
	 
	
	$terms = wp_get_post_terms(get_the_ID(), $tax);
	$cats = '';
	$new_terms = array();
	
	if(!is_array($terms) || is_wp_error($terms)){
		return '';
	}
	foreach ($terms as $term) {
		if($term->parent != 0){
			$new_terms[$term->term_id] = $term;
		}
	}
	foreach ($terms as $term) {
		if( $term->parent == 0  ){
			
			if($atts['child_only'] != 'true'){
				$icon_class = get_option($tax .'_icon_' . $term->term_id);
				$cats = $cats .  '<a class="'.$icon_class.' '.$tax.'-'.$term->term_id.'" href="' . get_term_link(intval($term->term_id), $tax) . '">'.$term->name.'</a>';
			}
			if($atts['parent_only'] != 'true'){
				foreach ($new_terms as $new_term ) {
					if($new_term->parent == $term->term_id){
						$icon_class = get_option($tax .'_icon_' . $term->term_id);
						$cats = $cats .  '<a class="'.$icon_class.' '.$tax.'-'.$new_term->term_id.'" href="' . get_term_link(intval($new_term->term_id), $tax) . '">'.$new_term->name.'</a>';
					}
				}
			}
		}
		
	}
	 
	$data = $li_start . '<span class="post_cat '.$atts['class'].' " >'. $icon .' ' .$cats.'</span>' . $li_end;
	
	
	return $data;
}
/**
 * Shortcode: post_date
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
   add_shortcode('post_date' , 'code125_post_date');
function code125_post_date($atts, $content = null) {

    $atts = shortcode_atts(array( 'icon' => '','post_id' => '','class' => '','wrap_li' => '','wrap_li_class' => '' ), $atts);
	if($atts['post_id']!=''){
		$post_id = $atts['post_id'] ;
	}else {
		global $post;
		
		$post_id = $post->ID;	
	}
	
	
	if($atts['wrap_li']=='true'){
		$li_start = '<li class="'.$atts['wrap_li_class'].'"><span class="'.$atts['icon'].'"></span>';
		$icon = '';
		$li_end = '</li>';
	}else {
		$li_start = '';
		$li_end = '';
		$icon = '<span class="'.$atts['icon'].'"></span> ';	
	}
	
	 
	 
	$data = $li_start . '<p class="'.$atts['class'].' " >'. $icon .' ' . get_the_time('F j, Y',$post_id) . '</p>' . $li_end;
	
	
	return $data;
}
/**
 * Shortcode: author_name
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
    add_shortcode('author_name' , 'code125_author_name');
function code125_author_name($atts, $content = null) {

    $atts = shortcode_atts(array( 'icon' => '','post_id' => '','class' => '','wrap_li' => '','wrap_li_class' => '' ), $atts);
	if($atts['post_id']!=''){
		$post_id = $atts['post_id'] ;
	}else {
		global $post;
		
		$post_id = $post->ID;	
	}
		
	$post_data = get_post($post_id);
	
	if($atts['wrap_li']=='true'){
		$li_start = '<li class=" vcard '.$atts['wrap_li_class'].'"><span class="'.$atts['icon'].'"></span>';
		$icon = ''; 
		$li_end = '</li>';
	}else {
		$li_start = '<span class="vcard">';
		$li_end = '</span>';
		$icon = '<span class="'.$atts['icon'].'"></span> ';	
	}
	
	$user = get_userdata($post_data->post_author);
	 
	
	 
	$data = $li_start . '<a class=" url fn  '.$atts['class'].' " rel="author" href="'.  get_author_posts_url($user->ID) .'">'. $icon .' ' .$user->display_name.'</a>' . $li_end;
	
	
	return $data;
}
/**
 * Shortcode: post_comments_count
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
 add_shortcode('post_comments_count' , 'code125_post_comments_count');
function code125_post_comments_count($atts, $content = null) {

    $atts = shortcode_atts(array( 'icon' => '','post_id' => '','class' => '','wrap_li' => '','wrap_li_class' => '','method' => '' ), $atts);
	if($atts['post_id']!=''){
		$post_id = $atts['post_id'] ;
	}else {
		global $post;
		
		$post_id = $post->ID;	
	}
	
	$type = get_post_type($post_id);
	
	
	
	if($atts['icon']!=''){
		$icon_data = '<span class="'.$atts['icon'].'"></span> ';	
	}else {
		$icon_data = '';
	}
	
	if($atts['wrap_li']=='true'){
		$li_start = '<li class="'.$atts['wrap_li_class'].'">'.$icon_data ;
		$icon = '';
		$li_end = '</li>';
	}else {
		$li_start = '';
		$li_end = '';
		$icon = $icon_data;	
	}
	
	 
	 
	$data = $li_start . '<p class="'.$atts['class'].' " >'. $icon .' ' . get_total_number_of_comments($post_id,$atts['method']) . '</p>' . $li_end;
	
	
	return $data;
}
/**
 * Shortcode: post_like_button
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
 add_shortcode('post_like_button' , 'code125_post_like_button');
function code125_post_like_button($atts, $content = null) {

    $atts = shortcode_atts(array( 'post_id' => '','wrap_li' => '','wrap_li_class' => '' ), $atts);
	if($atts['post_id']!=''){
		$post_id = $atts['post_id'] ;
	}else {
		global $post;
		
		$post_id = $post->ID;	
	}
	
	
	if($atts['wrap_li']=='true'){
		$li_start = '<li class="'.$atts['wrap_li_class'].'">';
		$li_end = '</li>';
	}else {
		$li_start = '';
		$li_end = '';
	}
	
	 
	 
	$data = $li_start .  getPostLikeLink($post_id) . $li_end;
	
	
	return $data;
}



?>
