<?php


/**
 * Shortcode: title
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_title($atts, $content = null) {
    $atts = shortcode_atts(array('title' => '', 'color' => '', 'link' => '','class' => '', 'icon' => '', 'id' => ''), $atts);

    if ($atts['id'] != '') {
        $id = 'id="' . $atts['id'] . '"';
    } else {
        $id = '';
    }


	$class= '';
	if ($atts['class'] != '') {
	    $class =  $atts['class'];
	}
	
	$link= '';
	$tag= 'span';
	if ($atts['link'] != '') {
	    $link = 'href="' . $atts['link'] . '"';
	    $tag= 'a';
	}
	
    if ($atts['color'] != '') {
        $color = 'style="background-color:' . $atts['color'] . ';"';
    } else {
        $color = '';
    }
    
    if($atts['icon'] != '' && $atts['icon'] !='none' ){
    	$icon= '<span class="c5-icon ' . $atts['icon'] . '"></span>';
    }else {
    	$icon = '';
    }

    return '<h3 ' . $color . ' ' . $id . ' class="'.$class.' title clearfix"><'.$tag.' '.$link.' class="text-wrap">'.$icon.'<span class="text">' . $atts['title'] . '</span></'.$tag.'></h3>';
}




/**
 * Shortcode: contact_form
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_contact_form($atts, $content = null) {

$atts = shortcode_atts(array('name' => '', 'email'=>'', 'message'=>'', 'send'=>''), $atts);

$data = '<form id="contact-form" class="clearfix" method="post" action="">';

$data = $data . '<div class="row-fluid">';

$data = $data . '<div class="span6">[input placeholder="'.$atts['name'].'" id="name" icon="icon-user"]</div>';
$data = $data . '<div class="span6">[input placeholder="'.$atts['email'].'" id="email" icon="icon-mail"]</div></div>';
$data = $data . '[textarea placeholder="'.$atts['message'].'" id="message" icon="icon message"]';
$data = $data . '[button color="btn-primary" float="right"  text="'.$atts['send'].'" id="contact_button_send" link="#" icon="icon-paper-plane"]';
  
 
$data = $data . '</form><div class="message_contact_true box success"><p>'.__('Sent ','code125').'<span class="message">'.__('Your Message was sent, Thank you.','code125').'</span></p></div><div class="message_contact_false box warning"><p>'.__('Failed ','code125').'<span class="message">'.__('Your Message was not sent, Please try again.','code125').'</span></p></div>';

return do_shortcode($data);
}


/**
 * Shortcode: image
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_image($atts, $content = null) {

    $atts = shortcode_atts(array('width' => '',
        'height' => '',
        'caption' => '',
        'src' => '',
        'float' => 'left'), $atts);
    if ($atts['width']) {
        $width = 'width="' . $atts['width'] . '"';
    } else {
        $width = '';
    }
    if ($atts['height']) {
        $height = 'height="' . $atts['height'] . '"';
    } else {
        $height = '';
    }


    if ($atts['caption']) {
        $caption = '<p>' . $atts['caption'] . '</p>';
    } else {
        $caption = '';
    }

    $data = '<div class="image_wrap_shortcode ' . $atts['float'] . '"><img ' . $width . ' ' . $height . ' src="' . $atts['src'] . '"  />' . $caption . '</div>';

    return $data;
}
function code125_text($atts, $content = null) {
    return html_entity_decode(do_shortcode(html_entity_decode($content)));
}


function code125_logo($atts, $content = null) {

    global $c5_headerdata;
    if ($c5_headerdata['logo'] == '') {
        $data = get_logo(ot_get_option('logo'), ot_get_option('logo_margin'), ot_get_option('logo_height_px'), ot_get_option('logo_subline'));
    } else {
        $data = get_logo($c5_headerdata['logo'], $c5_headerdata['logo_margin'], $c5_headerdata['logo_height_px'], $c5_headerdata['logo_subline']);
    }
    return $data;
}

function get_logo($logo = '', $margin = 0, $size = '90', $logo_subline = '') {
    $data = '<div class="logo-wrap">';

	$image_size = code125_generate_image_size_based_on_width_height(9999 , $size , false);
    if ($logo != '') {
        
        
        $base_url = wp_upload_dir();
        $url = str_replace($base_url['baseurl'], $base_url['basedir'], $logo);
        if (file_exists($url)) {

            $link_id = get_attachment_id_from_src($logo);
			if($link_id){
            	$image_url = wp_get_attachment_image_src($link_id, $image_size);
				$data .= '<a style="margin-top: ' . $margin . ';max-width:' . $image_url[1] . 'px;" id="logo" href="' . home_url() . '" >';
            	$data = $data . '<img src="' . $image_url[0] . '" width="' . $image_url[1] . '" height="' . $image_url[2] . '" alt="" />';
            }else {
            	$data .= '<a style="margin-top: ' . $margin . ';" id="logo" href="' . home_url() . '" >';
            	$data = $data . '<img src="' . $logo . '" alt="" style="height:' . $size . 'px" />';
            }
        }else {
        	$data .= '<a style="margin-top: ' . $margin . ';" id="logo" href="' . home_url() . '" >';
        	$data .=  '<img src="' . $logo . '" alt="" style="height:' . $size . 'px" />';
        }
    } else {
        $data .= '<a style="margin-top: ' . $margin . ';" id="logo" href="' . home_url() . '" rel="nofollow">';
        
        $data .= '<img src="'.get_template_directory_uri().'/library/images/logo.png" alt="" />';
    }
    $data = $data . '</a>';
    if ($logo_subline != '') {
        $data = $data . '<div class="clearfix"></div><p class="subline">' . $logo_subline . '</p>';
    }

    $data = $data . '</div>';

    return $data;
}

// shortcode echo function
function code125_last_updated($atts) {
    extract(shortcode_atts(array('format' => 'F j, Y  G:i a','icon'=>'icon-clock', 'before' => 'Last updated:', 'after' => ''), $atts)); // extract optional format argument

    return '<span class="last_updated '.$icon.'">' . the_modified_date($format, $before . ' ', $after, 0) . '</span>';
}

/**
 * Shortcode: search
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_search($atts, $content = null) {

    return bones_wpsearch();
}

/**
 * Shortcode: sidebar
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_sidebar($atts, $content = null) {
    $atts = shortcode_atts(array('slug' => ''), $atts);

    ob_start();
    dynamic_sidebar($atts['slug']);
    $sidebar = ob_get_contents();
    ob_end_clean();



    return '<div class="sidebar  clearfix" role="complementary">' . $sidebar . '</div>';
}

/**
 * Shortcode: menu
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_menu($atts, $content = null) {
    $atts = shortcode_atts(array(
        'location' => '',
        'bg_mode' => '',
        'style' => '',
        'responsive' => 'responsive'
            ), $atts);
    if ( has_nav_menu($atts['location'] ) ) {
        $menu = wp_nav_menu(array(
            'container' => false, // remove nav container
            'container_class' => 'menu clearfix', // class of container (should you choose to use it)
            'menu' => 'The Main Menu', // nav name
            'menu_class' => ' top-nav menu-sc-nav clearfix', // adding custom nav class
            'theme_location' => $atts['location'], // where it's located in the theme
            'before' => '', // before the menu
            'after' => '', // after the menu
            'link_before' => '', // before each link
            'link_after' => '', // after each link
            'depth' => 3,
            'echo' => 0,
            'walker' => new description_walker()));



        if ($atts['style'] == 'sidebar') {
            $atts['responsive'] = 'no_responsive';
        }
        return '<nav role="navigation" class="navigation-shortcode ' . $atts['responsive'] . ' ' . $atts['bg_mode'] . ' ' . $atts['style'] . ' top-menu-nav clearfix"><div class="responsive-controller clearfix"><span class="menu-enable icon-menu"></span></div>' . $menu . '</nav>';
    } else {
    
    	if( $atts['location'] == 'main-nav' ){
    		$args = array(
    	        'depth'       => 0,
    			'sort_column' => 'menu_order, post_title',
    			'menu_class'  => 'top-nav menu-sc-nav c5-pages-menu clearfix',
    			'include'     => '',
    			'exclude'     => '',
    			'echo'        => false,
    			'show_home'   => true,
    			'link_before' => '',
    			'link_after'  => '' );
    		return '<nav role="navigation" class="navigation-shortcode ' . $atts['responsive'] . ' ' . $atts['bg_mode'] . ' ' . $atts['style'] . ' top-menu-nav clearfix" style="display:none;"><div class="responsive-controller clearfix"><span class="menu-enable icon-menu"></span></div>' . wp_page_menu( $args ) . '</nav>';
    		
    	}
        return '';
    }
}

/**
 * Shortcode: dropcap
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_dropcap($atts, $content) {
    $return = '<span class="dropcaps">' . $content . '</span>';
    return $return;
}



/**
 * Shortcode: percentage
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_percentage($atts, $content = null) {

    $atts = shortcode_atts(array('percentage' => '80%', 'title' => ''), $atts);

    $data = '<div class="row"><div class="col-xs-4">' . $atts['title'] . '</div><div class="col-xs-8"><div class="progress progress-striped">
      <div class="progress-bar progress-bar-success" style="width: ' . $atts['percentage'] . '">
        <span class="text">' . $atts['percentage'] . '</span>
      </div></div></div></div>';


    return $data;
}


/**
 * Shortcode: input
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_input($atts, $content = null) {

    $atts = shortcode_atts(array('icon' => 'none',
        'id' => '',
        'placeholder' => ''), $atts);


    $data = '<p class="label-input">' . $atts['placeholder'] . '</p><div class="input-wrap"><input id="' . $atts['id'] . '" name="' . $atts['id'] . '" class="element-block " type="text" value="" size="30" tabindex="1" aria-required="true" placeholder=""><span class="' . $atts['icon'] . '"></span></div>';

    return $data;
}

/**
 * Shortcode: textarea
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_textarea($atts, $content = null) {

    $atts = shortcode_atts(array('icon' => 'none message',
        'id' => '',
        'placeholder' => ''), $atts);

    $data = '<p class="label-input">' . $atts['placeholder'] . '</p><div class="input-wrap"><textarea class="element-block  ' . $atts['icon'] . '" name="' . $atts['id'] . '" id="' . $atts['id'] . '" type="text"  ></textarea></div>';


    return $data;
}

/**
 * Shortcode: button
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_button($atts, $content = null) {

    $atts = shortcode_atts(array('color' => 'default',
        'link' => '',
        'text' => '',
        'class' => '',
        'float' => '',
        'color' => ''), $atts);



    $data = '<a href="' . $atts['link'] . '" class="' . $atts['color'] . ' ' . $atts['class'] . ' btn ' . $atts['float'] . ' ' . $atts['color'] . '">' . $atts['text'] . '</a>';

    return $data;
}



/**
 * Shortcode: ul
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_ul($atts, $content) {
    $atts = shortcode_atts(array('float' => 'none', 'color' => ''), $atts);

    if ($atts['float'] == 'left') {
        $float = 'li_left_flaot';
    } elseif ($atts['float'] == 'right') {
        $float = 'li_right_flaot';
    } else {
        $float = '';
    }

    $GLOBALS['ul_count'] = 0;
    unset($GLOBALS['ul']);
    do_shortcode($content);
    $tabs = '';
    if (is_array($GLOBALS['ul'])) {
        foreach ($GLOBALS['ul'] as $tab) {
            if ($tab['color'] != '') {
                $style = 'style="color:' . $tab['color'] . '"';
            } elseif ($atts['color'] != '') {
                $style = 'style="color:' . $atts['color'] . '"';
            } else {
                $style = '';
            }
            if ($tab['icon'] == '') {
                $icon = '';
                $class = '';
            } else {
                $icon = '<span class="li_icon ' . $tab['icon'] . '" ' . $style . '></span>';
                $class = 'li_icon';
            }
            $tabs = $tabs . '<li class="' . $class . '">' . $icon . do_shortcode($tab['content']) . '</li>';
        }
        $return = "\n" . '<ul class="custom_ul ">' . $tabs . '</ul>' . "\n";
    }
    return $return;
}

/**
 * Shortcode: li
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_li($atts, $content) {
    $atts = shortcode_atts(array('icon' => '', 'color' => ''), $atts);

    $x = $GLOBALS['ul_count'];
    $GLOBALS['ul'][$x] = array('icon' => sprintf($atts['icon'], $GLOBALS['ul_count']), 'color' => sprintf($atts['color'], $GLOBALS['ul_count']), 'content' => $content);

    $GLOBALS['ul_count']++;
}



/**
 * Shortcode: today
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_today($atts, $content = null) {

    return '<span class="today">' . date_i18n(get_option('date_format')) . '</span>';
}

function code125_today_hijri($atts) {
    $theDate = getdate();
    $wday = $theDate['wday'];
    $d = $theDate['mday'];
    $m = $theDate['mon'];
    $y = $theDate['year'];


    if ($y > 1700) {
        if (($y > 1582) || (($y == 1582) && ($m > 10)) || (($y == 1582) && ($m == 10) && ($d > 14))) {
            $jd = code125_intPart((1461 * ($y + 4800 + code125_intPart(($m - 14) / 12))) / 4) + code125_intPart((367 * ($m - 2 - 12 * (code125_intPart(($m - 14) / 12)))) / 12) - code125_intPart((3 * (code125_intPart(($y + 4900 + code125_intPart(($m - 14) / 12)) / 100))) / 4) + $d - 32075;
        } else {
            $jd = 367 * $y - code125_intPart((7 * ($y + 5001 + code125_intPart(($m - 9) / 7))) / 4) + code125_intPart((275 * $m) / 9) + $d + 1729777;
        }

        $l = $jd - 1948440 + 10632;
        $n = code125_intPart(($l - 1) / 10631);
        $l = $l - 10631 * $n + 354;
        $j = (code125_intPart((10985 - $l) / 5316)) * (code125_intPart((50 * $l) / 17719)) + (code125_intPart($l / 5670)) * (code125_intPart((43 * $l) / 15238));
        $l = $l - (code125_intPart((30 - $j) / 15)) * (code125_intPart((17719 * $j) / 50)) - (code125_intPart($j / 16)) * (code125_intPart((15238 * $j) / 43)) + 29;
        $m = code125_intPart((24 * $l) / 709);
        $d = $l - code125_intPart((709 * $m) / 24);
        $y = 30 * $n + $j - 30;

        if ($d < 10)
            $d = "0" . $d;





        if ($m == 1) {
            $hijriMonthName = __('MuHarram', 'code125');
        }
        if ($m == 2) {
            $hijriMonthName = __('Safar', 'code125');
        }
        if ($m == 3) {
            $hijriMonthName = __('Raby` al-awal', 'code125');
        }
        if ($m == 4) {
            $hijriMonthName = __('Raby` al-THaany', 'code125');
        }
        if ($m == 5) {
            $hijriMonthName = __('Jumaada al-awal', 'code125');
        }
        if ($m == 6) {
            $hijriMonthName = __('Jumaada al-THaany', 'code125');
        }
        if ($m == 7) {
            $hijriMonthName = __('Rajab', 'code125');
        }
        if ($m == 8) {
            $hijriMonthName = __('SHa`baan', 'code125');
        }
        if ($m == 9) {
            $hijriMonthName = __('RamaDHaan', 'code125');
        }
        if ($m == 10) {
            $hijriMonthName = __('SHawwal', 'code125');
        }
        if ($m == 11) {
            $hijriMonthName = __('Thul Qa`dah', 'code125');
        }
        if ($m == 12) {
            $hijriMonthName = __('Thul Hijjah', 'code125');
        }
        return $d . ' ' . $hijriMonthName . ', ' . $y;
    }
}

/**
 * Shortcode: box
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_box($atts, $content) {

    $atts = shortcode_atts(array('type' => '', 'title' => '', 'message' => ''), $atts);

    $data = '<div class="box ' . $atts['type'] . '"><p>' . $atts['title'] . ':  <span class="message">' . html_entity_decode($atts['message']) . '</span></p></div>';

    return $data;
}



?>
