<?php

/**
 * Shortcode: social_bar
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_social_bar($atts, $content = null) {

    $data = '<div id="social_icons" class="clearfix">';
	$social_data = '';
	$social_count = 0;
    $social_icons = ot_get_option('social_icons');
    if (is_array($social_icons)) {
        foreach ($social_icons as $social_icon) {


            if ($social_icon['type'] == 'search') {



                $data = $data . '<div title="' . $social_icon['title'] . '" class="element ' . $social_icon['type'] . ' dropdown"><a class="single-social-icon  ' . $social_icon['icon'] . ' dropdown-toggle" data-toggle="dropdown"  href="#"></a>';

                $data = $data . '<form role="search" method="get" id="searchform" action="' . home_url('/') . '" class="dropdown-menu" ><div class="input-wrap"><input class="element-block " type="text" value="' . get_search_query() . '" name="s" id="s" placeholder="' . __('Type and Hit Enter', 'code125') . '" /><span class=" icon-search"></span></div>';


                $data.='<div class="c5-search-result"></div>';
                $data = $data . '</form></div>';
            } elseif ($social_icon['type'] == 'languages') {
                if (function_exists('icl_get_languages')) {
                    $data = $data . '<div title="' . $social_icon['title'] . '" class="element ' . $social_icon['type'] . ' dropdown">
		    	<a class="single-social-icon  ' . $social_icon['icon'] . ' dropdown-toggle" data-toggle="dropdown"  href="#"></a>';

                    $data = $data . '<div class="dropdown-menu">';



                    $languages = icl_get_languages('skip_missing=0&orderby=custom');
                    if (!empty($languages)) {
                        foreach ($languages as $l) {
                            $data = $data . '<div class="language-class">';
                            if ($l['country_flag_url']) {
                                if (!$l['active'])
                                    $data = $data . '<a href="' . $l['url'] . '">';
                                $data = $data . '<img src="' . $l['country_flag_url'] . '" height="12" alt="' . $l['language_code'] . '" width="18" />';
                                if (!$l['active'])
                                    $data = $data . '</a>';
                            }
                            if (!$l['active'])
                                $data = $data . '<a href="' . $l['url'] . '">';
                            $data = $data . icl_disp_language($l['native_name'], $l['translated_name']);
                            if (!$l['active'])
                                $data = $data . '</a>';
                            $data = $data . '</div>';
                        }
                    }
                    $data = $data . '</div></div>';
                }
            }elseif ($social_icon['type'] == 'account') {


                $data = $data . '<div title="' . $social_icon['title'] . '" class="element ' . $social_icon['type'] . ' dropdown">
    		<a class="single-social-icon dropdown-toggle c5-login-window ' . $social_icon['icon'] . '" data-toggle="dropdown" href="#"></a>';



				$data .= '<div class="dropdown-menu c5-login">'.get_login_form().'</div>';
                $data = $data . '</div>';
                
                
                
               
                
            } elseif ($social_icon['type'] == 'email') {

                $data = $data . '<div title="' . $social_icon['title'] . '" class="element' . $social_icon['type'] . '"><a target="_blank" class="single-social-icon  ' . $social_icon['icon'] . '"  href="mailto:' . $social_icon['link'] . '"></a></div>';
            } else {

                $social_data .= '<div title="' . $social_icon['title'] . '" class="element ' . $social_icon['type'] . '"><a target="_blank" class="single-social-icon  ' . $social_icon['icon'] . '"  href="' . $social_icon['link'] . '"></a></div>';
                $social_count++;
            }
        }
    }
    
    if($social_data != ''){
    	$width = $social_count*44; 
    	$data .=  '<div class="element share dropdown"><a class="single-social-icon icon-share dropdown-toggle" data-toggle="dropdown"  href="#"></a><div class="dropdown-menu share-dropdown" style="min-width:'.$width.'px; width:'.$width.'px">' . $social_data . '</div></div>';
    }

    $data = $data . '</div><div class="clearfix"></div>';
    return $data;
}

/**
 * Shortcode: social_box
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_social_box($atts, $content = null) {
    $atts = shortcode_atts(array(
        'facebook' => '',
        'twitter' => '',
        'gplus' => '',
        'comments' => '',
        'article' => ''), $atts);
	$GLOBALS['social_box_start_time'] = microtime(true);
    global $wpdb;
    $social_widget = ot_get_option('social_widget');
    if(!is_array($social_widget)){
    	$social_widget =array();
    }
    $array_of_social = array('facebook', 'twitter', 'gplus', 'youtube', 'vimeo');
    
    $count = count( array_intersect($array_of_social, $social_widget) );
    
	$array_count = get_option('c5_social_count');
	
	
	if( count($array_count) != $count){
		code125_social_data_function_widget();
		$array_count = get_option('c5_social_count');
	}
	

    $data = '<div class="social_box_count clearfix">';
    //Facebook

    if (in_array('facebook', $social_widget)) {
        $facebook = $array_count['facebook']['username'];
        if ($facebook != '') {
            $fb_count = $array_count['facebook']['count'];
            $data = $data . '<div class="count facebook_count"><a class="clearfix" href="https://www.facebook.com/' . $facebook . '"><span class="social-box-top icon-facebook"></span><span class="social-box-bottom">' . custom_number_format($fb_count) . '</span></a></div>';
        }
    }

    if (in_array('twitter', $social_widget)) {
        $twitter = $array_count['twitter']['username'];
        if ($twitter != '') {
            $tw_count = $array_count['twitter']['count'];
            $data = $data . '<div class="count twitter_count"><a class="clearfix" href="https://www.twitter.com/' . $twitter . '"><span class="social-box-top icon-twitter"></span><span class="social-box-bottom">' . custom_number_format($tw_count) . '</span></a></div>';
        }
    }
	/*
    if (in_array('gplus', $social_widget)) {
        $gplus = $array_count['google_plus']['username'];
        if ($gplus != '') {
            $gp_count = $array_count['google_plus']['count'];
            $data = $data . '<div class="count gplus_count"><a class="clearfix" href="' . $gplus . '"><span class="social-box-top icon-gplus"></span><span class="social-box-bottom">' .$gp_count . '</span></a></div>';
        }
    }
    */
    
    
    if (in_array('youtube', $social_widget)) {
        $youtube = $array_count['youtube']['username'];
        if ($youtube != '') {
            $youtube_count = $array_count['youtube']['count'];
            $data = $data . '<div class="count youtube_count"><a class="clearfix" href="https://www.youtube.com/user/' . $youtube . '"><span class="social-box-top icon-video"></span><span class="social-box-bottom">' . custom_number_format($youtube_count) . '</span></a></div>';
        }
    }
    
    if (in_array('vimeo', $social_widget)) {
        $vimeo = $array_count['vimeo']['username'];
        if ($vimeo != '') {
            $vimeo_count = $array_count['vimeo']['count'];
            $data = $data . '<div class="count vimeo_count"><a class="clearfix" href="http://vimeo.com/channels/' . $vimeo . '"><span class="social-box-top icon-vimeo"></span><span class="social-box-bottom">' . custom_number_format($vimeo_count) . '</span></a></div>';
        }
    }



    if (in_array('rss', $social_widget)) {
        $rss = ot_get_option('rss');
        if ($rss != '') {
            $data = $data . '<div class="count rss_count"><a class="clearfix" href="' . $rss . '"><span class="social-box-top icon-rss"></span><span class="social-box-bottom">' . __('Follow', 'code125') . '</span></a></div>';
        }
    }

    if (in_array('comments', $social_widget)) {

        $numcomms = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");


        $fb_comments = get_option('total_fb_comment_count');

        if ($fb_comments == '') {
            $fb_comments = 0;
        }
        $numcomms = $numcomms + $fb_comments;

        $data = $data . '<div class="count comments_count"><a class="clearfix" href="' . home_url() . '"><span class="social-box-top icon-comment"></span><span class="social-box-bottom">' . custom_number_format($numcomms) . '</span></a></div>';
    }

	/*
    if (in_array('articles', $social_widget)) {
        $social_widget_article = ot_get_option('social_widget_article');
        $total_count = 0;
        if (is_array($social_widget_article)) {
            foreach ($social_widget_article as $value) {
                $object = wp_count_posts($value);
                $total_count = $total_count + $object->publish;
            }
        }


        $data = $data . '<div class="count posts_count"><a class="clearfix" href="' . home_url() . '"><span class="social-box-top icon-pencil"></span><span class="social-box-bottom">' . custom_number_format($total_count) . '</span></a></div>';
    }
    */




    $data = $data . '</div>';

	$GLOBALS['social_box_end_time'] = microtime(true);
	$time = $GLOBALS['social_box_end_time'] - $GLOBALS['social_box_start_time'];
	$data .= '<!--social_box took '.$time.' seconds -->';

    return $data;
}

/**
 * Shortcode: twitter
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_twitter($atts, $content = null) {


    $atts = shortcode_atts(array(
        'consumerkey' => '',
        'consumersecret' => '',
        'accesstoken' => '',
        'accesstokensecret' => '',
        'cachetime' => '',
        'username' => '',
        'count' => '5'), $atts);


    //check if cache needs update
    $tp_twitter_plugin_last_cache_time = get_option('tp_twitter_plugin_last_cache_time');
    $diff = time() - $tp_twitter_plugin_last_cache_time;
    $crt = $atts['cachetime'] * 3600;

    $data = '';
    //	yes, it needs update			
    if ($diff >= $crt || empty($tp_twitter_plugin_last_cache_time)) {

        if (!require_once( C5_shortcodes_PATH . '/library/twitteroauth.php' )) {
            $data = $data . '<strong>Couldn\'t find twitteroauth.php!</strong>';
            return;
        }

        $connection = getConnectionWithAccessToken($atts['consumerkey'], $atts['consumersecret'], $atts['accesstoken'], $atts['accesstokensecret']);
        $tweets = $connection->get("https://api.twitter.com/1.1/statuses/user_timeline.json?screen_name=" . $atts['username'] . "&count=10") or die('Couldn\'t retrieve tweets! Wrong username?');


        if (!empty($tweets->errors)) {
            if ($tweets->errors[0]->message == 'Invalid or expired token') {
                $data = $data . '<strong>' . $tweets->errors[0]->message . '!</strong><br />You\'ll need to regenerate it <a href="https://dev.twitter.com/apps" target="_blank">here</a>!';
            } else {
                $data = $data . '<strong>' . $tweets->errors[0]->message . '</strong>';
            }
            return;
        }

        for ($i = 0; $i <= count($tweets); $i++) {
            if (!empty($tweets[$i])) {
                $tweets_array[$i]['created_at'] = $tweets[$i]->created_at;
                $tweets_array[$i]['text'] = $tweets[$i]->text;
                $tweets_array[$i]['status_id'] = $tweets[$i]->id_str;
            }
        }

        //save tweets to wp option 		
        update_option('tp_twitter_plugin_tweets', serialize($tweets_array));
        update_option('tp_twitter_plugin_last_cache_time', time());

        $data = $data . '<!-- twitter cache has been updated! -->';
    }





    $tp_twitter_plugin_tweets = maybe_unserialize(get_option('tp_twitter_plugin_tweets'));
    if (!empty($tp_twitter_plugin_tweets)) {
        $data = $data . '<div class="tp_recent_tweets"><ul>';
        $fctr = '1';
        foreach ($tp_twitter_plugin_tweets as $tweet) {
            $data = $data . '<li><span class="icon-twitter"> </span> <span>' . convert_links($tweet['text']) . '</span><br /><a class="twitter_time" target="_blank" href="http://twitter.com/' . $atts['username'] . '/statuses/' . $tweet['status_id'] . '">' . relative_time($tweet['created_at']) . '</a></li>';
            if ($fctr == $atts['count']) {
                break;
            }
            $fctr++;
        }

        $data = $data . '</ul></div>';
    }
    return $data;
}

/**
 * Shortcode: twitter_li
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_twitter_li($atts, $content = null) {


    $atts = shortcode_atts(array(
        'consumerkey' => '',
        'consumersecret' => '',
        'accesstoken' => '',
        'accesstokensecret' => '',
        'cachetime' => '1',
        'username' => '',
        'hashtag' => '',
        'count' => '5'), $atts);


    //check if cache needs update


    if ($atts['hashtag'] != '') {
        $tp_twitter_plugin_last_cache_time = get_option('tp_twitter_plugin_last_cache_hashtag_' . $atts['hashtag']);
    } else {
        $tp_twitter_plugin_last_cache_time = get_option('tp_twitter_plugin_last_cache_time_user_' . $atts['username']);
    }
    $diff = time() - $tp_twitter_plugin_last_cache_time;
    $crt = $atts['cachetime'] * 3600;

    $data = '';
    //	yes, it needs update			
    if ( $diff >= $crt || empty($tp_twitter_plugin_last_cache_time)) {

        if (!require_once( C5_shortcodes_PATH . '/library/twitteroauth.php' )) {
            $data = $data . '<strong>Couldn\'t find twitteroauth.php!</strong>';
            return;
        }

        $connection = getConnectionWithAccessToken($atts['consumerkey'], $atts['consumersecret'], $atts['accesstoken'], $atts['accesstokensecret']);

        if ($atts['hashtag'] != '') {
            $tweets = $connection->get("https://api.twitter.com/1.1/search/tweets.json?q=%23" . $atts['hashtag'] . "+exclude:retweets&count=" . $atts['count']) or die('Couldn\'t retrieve tweets! Wrong username?');
            $tweets = (array) $tweets->statuses;
        } else {
            $tweets = $connection->get("https://api.twitter.com/1.1/statuses/user_timeline.json?screen_name=" . $atts['username'] . "&count=" . $atts['count']) or die('Couldn\'t retrieve tweets! Wrong username?');
        }

        if (!empty($tweets->errors)) {
            if ($tweets->errors[0]->message == 'Invalid or expired token') {
                $data = $data . '<strong>' . $tweets->errors[0]->message . '!</strong><br />You\'ll need to regenerate it <a href="https://dev.twitter.com/apps" target="_blank">here</a>!';
            } else {
                $data = $data . '<strong>' . $tweets->errors[0]->message . '</strong>';
            }
            return;
        }

        for ($i = 0; $i <= count($tweets); $i++) {
            if (!empty($tweets[$i])) {
                $tweets_array[$i]['created_at'] = $tweets[$i]->created_at;
                $tweets_array[$i]['text'] = $tweets[$i]->text;
                $tweets_array[$i]['status_id'] = $tweets[$i]->id_str;
            }
        }

        if ($atts['hashtag'] != '') {
            update_option('tp_twitter_plugin_tweets_hashtag_' . $atts['hashtag'], serialize($tweets_array));
            update_option('tp_twitter_plugin_last_cache_hashtag_' . $atts['hashtag'], time());
        } else {
            update_option('tp_twitter_plugin_tweets_user_' . $atts['username'], serialize($tweets_array));
            update_option('tp_twitter_plugin_last_cache_time_user_' . $atts['username'], time());
        }


        $data = $data . '<!-- twitter cache has been updated! -->';
    }


    if ($atts['hashtag'] != '') {
        $tp_twitter_plugin_tweets = maybe_unserialize(get_option('tp_twitter_plugin_tweets_hashtag_' . $atts['hashtag']));
    } else {
        $tp_twitter_plugin_tweets = maybe_unserialize(get_option('tp_twitter_plugin_tweets_user_' . $atts['username']));
    }


    if (!empty($tp_twitter_plugin_tweets)) {
        $fctr = '1';
        if(is_array($tp_twitter_plugin_tweets)){
        foreach ($tp_twitter_plugin_tweets as $tweet) {
            $data = $data . '<li><span class="icon-twitter"> </span> <span>' . convert_links($tweet['text']) . '</span><br /><a class="twitter_time" target="_blank" href="http://twitter.com/' . $atts['username'] . '/statuses/' . $tweet['status_id'] . '">' . relative_time($tweet['created_at']) . '</a></li>';
            if ($fctr == $atts['count']) {
                break;
            }
            $fctr++;
        }
        }
    }
    return $data;
}

/**
 * Shortcode: flickr
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_flickr($atts, $content = null) {

	$start_flickr_sc =microtime(true);
    $atts = shortcode_atts(array('id' => '', 'count' => ''), $atts);

    $username = $atts['id'];

    $count = $atts['count'];
	$data = '';
    $data = '<div class="flickr clearfix">' . parseFlickrFeed($username, $count) . '</div>';
    $end_flickr_sc =microtime(true);
    $diff= $end_flickr_sc - $start_flickr_sc;
    $data .= '<!--flickr shortcode: '.$diff.' -->'; 
    return $data;
}



/**
 * Shortcode: youtube
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_youtube($atts) {
    $atts = shortcode_atts(array(
        "id" => '',
        "width" => '475',
        "height" => '350'
            ), $atts);
    $id = $atts['id'];
    $width = $atts['width'];
    $height = $atts['height'];

    return c5_youtube_load($id, $width ,$height);
}


function c5_youtube_load($id, $width ,$height) {
	return '<iframe width="' . $width . '" height="' . $height . '" src="http://www.youtube.com/embed/' . $id . '" frameborder="0" allowfullscreen></iframe>';
}

/**
 * Shortcode: vimeo
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_vimeo($atts, $content = null) {
    global $post;

    if (is_home()) {
        $meta_values = get_post_custom(ot_get_option('homepage'));
    } else {
        $meta_values = get_post_custom($post->ID);
    }

//Main Color
    if (isset($meta_values['meta_custom_color'])) {
        $primary_color = $meta_values['meta_custom_color'][0];
        if ($primary_color == "") {
            $primary_color = ot_get_option('primary_color');
        }
    } else {
        $primary_color = ot_get_option('primary_color');
    }



    $atts = shortcode_atts(array(
        'clip_id' => '',
        'width' => '400',
        'height' => '225',
        'title' => '1',
        'byline' => '1',
        'portrait' => '1',
        'color' => substr($primary_color, 1),
        'html5' => '1'
            ), $atts);

    $clip_id = $atts['clip_id'];
    $width = $atts['width'];
    $height = $atts['height'];
    $title = $atts['title'];
    $byline = $atts['byline'];
    $portrait = $atts['portrait'];
    $color = $atts['color'];
    $html5 = $atts['html5'];

    if (empty($clip_id) || !is_numeric($clip_id))
        return '<!-- Code125 Vimeo: Invalid clip_id -->';
    if ($height && !$atts['width'])
        $width = intval($height * 16 / 9);
    if (!$atts['height'] && $width)
        $height = intval($width * 9 / 16);

    return $html5 ?
            "<iframe  class='iframe_video' src='http://player.vimeo.com/video/$clip_id?title=$title&amp;byline=$byline&amp;portrait=$portrait&color=$color' width='$width' height='$height'  frameborder='0'></iframe>" :
            "<object  class='iframe_video' width='$width' height='$height'><param name='allowfullscreen' value='true' />" .
            "<param name='allowscriptaccess' value='always' />" .
            "<param name='movie' value='http://vimeo.com/moogaloop.swf?clip_id=$clip_id&amp;server=vimeo.com&amp;show_title=$title&amp;show_byline=$byline&amp;show_portrait=$portrait&amp;color=$color&amp;fullscreen=1' />" .
            "<embed src='http://vimeo.com/moogaloop.swf?clip_id=$clip_id&amp;server=vimeo.com&amp;show_title=$title&amp;show_byline=$byline&amp;show_portrait=$portrait&amp;color=$color&amp;fullscreen=1' type='application/x-shockwave-flash' allowfullscreen='true' allowscriptaccess='always' width='$width' height='$height'></embed></object>";
}

/**
 * Shortcode: dailymotion
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_dailymotion($atts) {
    $atts = shortcode_atts(array(
        "id" => '',
        "width" => '475',
        "height" => '350'
            ), $atts);

    $id = $atts['id'];
    $width = $atts['width'];
    $height = $atts['height'];

    return '<iframe width="' . $width . '" height="' . $height . '" frameborder="0"  src="http://www.dailymotion.com/embed/video/' . $id . '" ></iframe>';
}

/**
 * Shortcode: video
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_video($atts, $content = null) {


    wp_enqueue_script('jquery_flowplayer');

    $atts = shortcode_atts(array(
        'src' => '',
        'width' => 'auto',
        'height' => '400px'
            ), $atts);

    $src = $atts['src'];
    $width = $atts['width'];

    $height = $atts['height'];



    $output = '<a href="' . $src . '" style="display:block;width:' . $width . ';height:' . $height . ';margin:10px auto" id="player"></a>' . "\n";
    $output .= '<script type="text/javascript">
	flowplayer("player", "' . get_template_directory_uri() . '/library/includes/shortcodes/player/flowplayer-3.2.11.swf", {
        clip: {
               autoPlay: false,
               autoBuffering: true
}
});
</script>' . "\n";
    return $output;
}

/**
 * Shortcode: video5
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_video5($atts) {
    $atts = shortcode_atts(array(
        "src" => '',
        "width" => '',
        "height" => ''
            ), $atts);

    $src = $atts['src'];
    $width = $atts['width'];
    $height = $atts['height'];
    return '<video src="' . $src . '" width="' . $width . '" height="' . $height . '" controls autobuffer>';
}

function code125_audio($atts, $content = null) {
    extract(shortcode_atts(array(
        "src" => '',
        "autoplay" => 'false',
        "preload" => 'true',
        "loop" => '',
        "controls" => ''
                    ), $atts));
    return '<audio src="' . $src . '" preload="' . $preload . '" loop="' . $loop . '" controls="' . $controls . '" autobuffer ></audio>';
}

/**
 * SoundCloud shortcode handler
 * @param  {string|array}  $atts     The attributes passed to the shortcode like [soundcloud attr1="value" /].
 *                                   Is an empty string when no arguments are given.
 * @param  {string}        $content  The content between non-self closing [soundcloud]…[/soundcloud] tags.
 * @return {string}                  Widget embed code HTML
 */
function code125_soundcloud($atts, $content = null) {

    // Custom shortcode options
    $shortcode_options = array_merge(array('url' => trim($content)), is_array($atts) ? $atts : array());

    // Turn shortcode option "param" (param=value&param2=value) into array
    $shortcode_params = array();
    if (isset($shortcode_options['params'])) {
        parse_str(html_entity_decode($shortcode_options['params']), $shortcode_params);
    }
    $shortcode_options['params'] = $shortcode_params;

    // User preference options
    $plugin_options = array_filter(array(
        'iframe' => code125_soundcloud_get_option('player_iframe', true),
        'width' => code125_soundcloud_get_option('player_width'),
        'height' => code125_soundcloud_url_has_tracklist($shortcode_options['url']) ? code125_soundcloud_get_option('player_height_multi') : code125_soundcloud_get_option('player_height'),
        'params' => array_filter(array(
            'auto_play' => code125_soundcloud_get_option('auto_play'),
            'show_comments' => code125_soundcloud_get_option('show_comments'),
            'color' => code125_soundcloud_get_option('color'),
            'theme_color' => code125_soundcloud_get_option('theme_color'),
        )),
    ));
    // Needs to be an array
    if (!isset($plugin_options['params'])) {
        $plugin_options['params'] = array();
    }

    // plugin options < shortcode options
    $options = array_merge(
            $plugin_options, $shortcode_options
    );

    // plugin params < shortcode params
    $options['params'] = array_merge(
            $plugin_options['params'], $shortcode_options['params']
    );

    if (isset($options['id'])) {
        $options['url'] = trim('http://api.soundcloud.com/tracks/' . $options['id']);
    } else {
        // The "url" option is required
        if (!isset($options['url'])) {
            return '';
        } else {
            $options['url'] = trim($options['url']);
        }
    }

    // Both "width" and "height" need to be integers
    if (isset($options['width']) && !preg_match('/^\d+$/', $options['width'])) {
        // set to 0 so oEmbed will use the default 100% and WordPress themes will leave it alone
        $options['width'] = 0;
    }
    if (isset($options['height']) && !preg_match('/^\d+$/', $options['height'])) {
        unset($options['height']);
    }

    // The "iframe" option must be true to load the iframe widget
    $iframe = code125_soundcloud_booleanize(true)
            // Default to flash widget for permalink urls (e.g. http://soundcloud.com/{username})
            // because HTML5 widget doesn’t support those yet
            ? preg_match('/api.soundcloud.com/i', $options['url']) : false;

    // Return html embed code
    if ($iframe) {
        return code125_soundcloud_iframe_widget($options);
    } else {
        return code125_soundcloud_flash_widget($options);
    }
}

function attr($s, $attrname) { // return html attribute
    preg_match_all('#\s*(' . $attrname . ')\s*=\s*["|\']([^"\']*)["|\']\s*#i', $s, $x);
    if (count($x) >= 3)
        return $x[2][0];
    else
        return "";
}

// id = id of the feed
// n = number of thumbs
function parseFlickrFeed($id, $n) {
    
    $c5_flickr_data = get_transient('c5_flickr_' . $id . '_' . $n);
    if(!$c5_flickr_data){
    	$url = "http://api.flickr.com/services/feeds/photos_public.gne?id={$id}&lang=it-it&format=rss_200";
    	$s = file_get_contents($url);
   	 	preg_match_all('#<item>(.*)</item>#Us', $s, $items);
    	$c5_flickr_data = array();
    	for ($i = 0; $i < count($items[1]); $i++) {
        	if ($i >= $n){
         	   break;
         	 }
        	$item = $items[1][$i];
        	preg_match_all('#<link>(.*)</link>#Us', $item, $temp);
        	$link = $temp[1][0];
        	preg_match_all('#<title>(.*)</title>#Us', $item, $temp);
        	$title = $temp[1][0];
        	preg_match_all('#<media:thumbnail([^>]*)>#Us', $item, $temp);
        	$thumb = attr($temp[0][0], "url");
        	$class_i = $i + 1;
        	if ($class_i % 3) {
        	    $class = 'class=""';
        	} else {
        	    $class = 'class="last_col"';
        	}

        	$c5_flickr_data[] = array(
        		'link'=> $link,
        		'class'=> $class,
        		'title'=> str_replace('"', '', $title),
        		'thumb'=> $thumb,
        	);
    	}
    	set_transient( 'c5_flickr_' . $id . '_' . $n , $c5_flickr_data , 3600);
    }
    
    $data= '';
    foreach ($c5_flickr_data as $key => $value) {
    	$data .= "<a href=". $value['link'] . " ". $value['class'] . " target='_blank' title=\"" . $value['title'] .  "\"><img src='". $value['thumb'] . "' alt=''/></a>";
    }
    
    
    
    
    return $data;
}

/* Register oEmbed provider
  -------------------------------------------------------------------------- */
wp_oembed_add_provider('#https?://(?:api\.)?soundcloud\.com/.*#i', 'http://soundcloud.com/oembed', true);


/* Register SoundCloud shortcode
  -------------------------------------------------------------------------- */

/**
 * Plugin options getter
 * @param  {string|array}  $option   Option name
 * @param  {mixed}         $default  Default value
 * @return {mixed}                   Option value
 */
function code125_soundcloud_get_option($option, $default = false) {
    $value = get_option('code125_soundcloud_' . $option);
    return $value === '' ? $default : $value;
}

/**
 * Booleanize a value
 * @param  {boolean|string}  $value
 * @return {boolean}
 */
function code125_soundcloud_booleanize($value) {
    return is_bool($value) ? $value : $value === 'true' ? true : false;
}

/**
 * Decide if a url has a tracklist
 * @param  {string}   $url
 * @return {boolean}
 */
function code125_soundcloud_url_has_tracklist($url) {
    return preg_match('/^(.+?)\/(sets|groups|playlists)\/(.+?)$/', $url);
}

/**
 * Parameterize url
 * @param  {array}  $match  Matched regex
 * @return {string}          Parameterized url
 */
function code125_soundcloud_oembed_params_callback($match) {
    global $code125_soundcloud_oembed_params;

    // Convert URL to array
    $url = parse_url(urldecode($match[1]));
    // Convert URL query to array
    parse_str($url['query'], $query_array);
    // Build new query string
    $query = http_build_query(array_merge($query_array, $code125_soundcloud_oembed_params));

    return 'src="' . $url['scheme'] . '://' . $url['host'] . $url['path'] . '?' . $query;
}

/**
 * Iframe widget embed code
 * @param  {array}   $options  Parameters
 * @return {string}            Iframe embed code
 */
function code125_soundcloud_iframe_widget($options) {

    // Merge in "url" value
    $options['params'] = array_merge(array(
        'url' => $options['url']
            ), $options['params']);

    // Build URL
    $url = 'http://w.soundcloud.com/player?' . http_build_query($options['params']);
    // Set default width if not defined
    $width = isset($options['width']) && $options['width'] !== 0 ? $options['width'] : '100%';
    // Set default height if not defined
    $height = isset($options['height']) && $options['height'] !== 0 ? $options['height'] : (code125_soundcloud_url_has_tracklist($options['url']) ? '450' : '166');

    return sprintf('<iframe width="%s" height="%s" scrolling="no" frameborder="no" src="%s"></iframe>', $width, $height, $url);
}

/**
 * Legacy Flash widget embed code
 * @param  {array}   $options  Parameters
 * @return {string}            Flash embed code
 */
function code125_soundcloud_flash_widget($options) {

    // Merge in "url" value
    $options['params'] = array_merge(array(
        'url' => $options['url']
            ), $options['params']);

    // Build URL
    $url = 'http://player.soundcloud.com/player.swf?' . http_build_query($options['params']);
    // Set default width if not defined
    $width = isset($options['width']) && $options['width'] !== 0 ? $options['width'] : '100%';
    // Set default height if not defined
    $height = isset($options['height']) && $options['height'] !== 0 ? $options['height'] : (code125_soundcloud_url_has_tracklist($options['url']) ? '255' : '81');

    return preg_replace('/\s\s+/', "", sprintf('<object width="%s" height="%s">
                                <param name="movie" value="%s"></param>
                                <param name="allowscriptaccess" value="always"></param>
                                <embed width="%s" height="%s" src="%s" allowscriptaccess="always" type="application/x-shockwave-flash"></embed>
                              </object>', $width, $height, $url, $width, $height, $url));
}
?>
