<?php

/**
 * Shortcode: fancybox
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_fancybox($atts, $content) {

    $atts = shortcode_atts(array('w' => '', 'h' => '', 'src' => '', 'caption' => ''), $atts);

    $data = '<a class="fancybox clearfix" href="' . $atts['src'] . '" title="' . $atts['caption'] . '">';
    $data = $data . '<img class="lightbox_thumb" src="' . $atts['src'] . '" width="' . $atts['w'] . 'px" height="' . $atts['h'] . 'px" />';
    $data = $data . '</a>';

    return $data;
}


function code125_fancy_tabs_js() {
    ?>
    <script  type="text/javascript">
        jQuery(document).ready(function($) {
    <?php
    if (isset($GLOBALS['fancy_tabs_js'])) {
        echo $GLOBALS['fancy_tabs_js'];
    }
    ?>
    <?php
    if (isset($GLOBALS['tabs_js'])) {
        echo $GLOBALS['tabs_js'];
    }
    ?>

        });
    </script>
    <?php
}

add_action('wp_footer', 'code125_fancy_tabs_js', 300);

/**
 * Shortcode: tabgroup
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_tabgroup($atts, $content) {

    $atts = shortcode_atts(array('title' => ''), $atts);
    $GLOBALS['tab_count'] = 0;
    unset($GLOBALS['tabs']);
    do_shortcode($content);
    if (!isset($GLOBALS['tabs_total'])) {
        $GLOBALS['tabs_total'] = 1;
    }
    if (!isset($GLOBALS['tabs_js'])) {
        $GLOBALS['tabs_js'] = '';
    }
    if (is_array($GLOBALS['tabs'])) {
        $counter = 1;
        $tabs = '';
        $panes = '';
        foreach ($GLOBALS['tabs'] as $tab) {
            if ($counter == 1) {
                $tabs = $tabs . '<li class="first_li"><a class="' . $tab['icon'] . '" href="#">' . $tab['title'] . '</a></li>';
                $panes = $panes . '<div class="custom_tabs_content clearfix">' . do_shortcode($tab['content']) . '</div>';
            } else {
                $tabs = $tabs . '<li><a class="' . $tab['icon'] . '" href="#">' . $tab['title'] . '</a></li>';
                $panes = $panes . '<div class="custom_tabs_content clearfix">' . do_shortcode($tab['content']) . '</div>';
            }
            $counter++;
        }
        $return = '<div class="custom_tabs_wrap_out"><p class="custom_tab_title">' . $atts['title'] . '</p><ul class="custom_tabs custom_tabs_' . $GLOBALS['tabs_total'] . ' clearfix">' . $tabs . '</ul><div class="custom_tabs_wrap">' . $panes . '</div></div>' . "\n";

        $GLOBALS['tabs_js'] = $GLOBALS['tabs_js'] . '$(".custom_tabs_' . $GLOBALS['tabs_total'] . '").tabs(".custom_tabs_content", { tabs: "li",    effect: "fade"});' . "\n";

        $GLOBALS['tabs_total']++;
    }
    return $return;
}
/**
 * Shortcode: tab
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_tab($atts, $content) {
    $atts = shortcode_atts(array(
        'title' => 'Tab %d',
        'icon' => ''), $atts);

    $x = $GLOBALS['tab_count'];
    $GLOBALS['tabs'][$x] = array('title' => sprintf($atts['title'], $GLOBALS['tab_count']), 'content' => $content, 'icon' => $atts['icon']);

    $GLOBALS['tab_count']++;
}


/**
 * Shortcode: fancy_tabgroup
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_fancy_tabgroup($atts, $content) {

    $GLOBALS['fancy_tab_count'] = 0;
    unset($GLOBALS['fancy_tabs']);
    do_shortcode($content);
    if (!isset($GLOBALS['fancy_tabs_total'])) {
        $GLOBALS['fancy_tabs_total'] = 1;
    }
    if (!isset($GLOBALS['fancy_tabs_js'])) {
        $GLOBALS['fancy_tabs_js'] = '';
    }
    if (is_array($GLOBALS['fancy_tabs'])) {
        $tabs = '';
        $panes = '';
        foreach ($GLOBALS['fancy_tabs'] as $tab) {
            if ($tab['icon'] != '' && $tab['icon'] != 'none') {
                $icon = '<span class="side-menu-icon ' . $tab['icon'] . '"></span>';
            } else {
                $icon = '';
            }

            $tabs = $tabs . '<li class="clearfix"><a class="clearfix" href="#">' . $icon . '<span class="a_text">' . $tab['title'] . '</span></a></li>';
            $panes = $panes . '<div class="custom_tabs2_content custom_tabs2_content_' . $GLOBALS['fancy_tabs_total'] . ' clearfix">' . do_shortcode($tab['content']) . '</div>';
        }

        $return = "\n" . '<div class="custom_tabs2_container"><div class="left_tabs"><ul class="custom_tabs2 custom_tabs2_' . $GLOBALS['fancy_tabs_total'] . '">' . $tabs . '</ul></div><div class="custom_tabs2_wrap">' . $panes . '</div></div>' . "\n";

        $GLOBALS['fancy_tabs_js'] = $GLOBALS['fancy_tabs_js'] . '$(".custom_tabs2_' . $GLOBALS['fancy_tabs_total'] . '").tabs(".custom_tabs2_content_' . $GLOBALS['fancy_tabs_total'] . '", { tabs: "li",  effect: "fade" });' . "\n";

        $GLOBALS['fancy_tabs_total']++;
    }
    return $return;
}
/**
 * Shortcode: fancy_tab
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_fancy_tab($atts, $content) {
    $atts = shortcode_atts(array('title' => 'Tab %d', 'icon' => ''), $atts);

    $x = $GLOBALS['fancy_tab_count'];
    $GLOBALS['fancy_tabs'][$x] = array('title' => sprintf($atts['title'], $GLOBALS['fancy_tab_count']), 'content' => $content, 'icon' => $atts['icon']);

    $GLOBALS['fancy_tab_count']++;
}

/**
 * Shortcode: fancy_tabgroup_posts
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_fancy_tabgroup_posts($atts, $content) {
    $GLOBALS['fancy_tab_post_count'] = 0;
    unset($GLOBALS['fancy_tabs_posts']);
    do_shortcode($content);

    if (is_array($GLOBALS['fancy_tabs_posts'])) {
        $tabs = '';
        $panes = '';
        foreach ($GLOBALS['fancy_tabs_posts'] as $tab) {
            $type = get_post_type($tab['id']);
            query_posts('p=' . $tab['id'] . '&post_type=' . $type . '');


            while (have_posts()) : the_post();

                if ($tab['icon'] != '' && $tab['icon'] != 'none') {
                    $icon = '<span class="side-menu-icon ' . $tab['icon'] . '"></span>';
                } else {
                    $icon = '';
                }

                $tabs = $tabs . '<li class="clearfix"><a class="clearfix" href="#">' . $icon . '<span class="a_text">' . get_the_title() . '</span></a></li>';

                ob_start();
                the_content();
                $the_content = ob_get_contents();
                ob_end_clean();

                $panes = $panes . '<div class="custom_tabs2_content clearfix">' . $the_content . '</div>';

            endwhile;
            wp_reset_query();
        }
        $return = "\n" . '<div class="custom_tabs2_container"><div class="left_tabs"><ul class="custom_tabs2">' . $tabs . '</ul></div><div class="custom_tabs2_wrap">' . $panes . '</div></div>' . "\n";
    }
    return $return;
}

/**
 * Shortcode: fancy_tab_post
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_fancy_tab_post($atts, $content) {
    $atts = shortcode_atts(array('id' => '', 'icon' => ''), $atts);

    $x = $GLOBALS['fancy_tab_post_count'];
    $GLOBALS['fancy_tabs_posts'][$x] = array('id' => sprintf($atts['id'], $GLOBALS['fancy_tab_post_count']), 'icon' => $atts['icon']);

    $GLOBALS['fancy_tab_post_count']++;
}

/**
 * Shortcode: accordiongroup
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_accordiongroup($atts, $content) {
    $GLOBALS['accordion_count'] = 0;
    unset($GLOBALS['accordion']);
    do_shortcode($content);
    $counter = 0;
    $tabs = '';
    if (is_array($GLOBALS['accordion'])) {
        foreach ($GLOBALS['accordion'] as $tab) {
            if ($counter == 0)
                $tabs = $tabs . '<h2  class="current first"><span class="icon-plus-1"></span>' . $tab['title'] . '</h2><div class="pane" style="display:block;">' . $tab['content'] . '</div>';
            else
                $tabs = $tabs . '<h2><span class="icon-plus-1"></span>' . $tab['title'] . '</h2><div class="pane" style="display:none">' . $tab['content'] . '</div>';
            $counter++;
        }
        $return = "\n" . '<!-- the accordion tabs --><div class="accordion">' . $tabs . '</div>' . "\n";
    }
    return $return;
}

/**
 * Shortcode: accordion
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_accordion($atts, $content) {
    $atts = shortcode_atts(array('title' => 'Tab %d'), $atts);

    $x = $GLOBALS['accordion_count'];
    $GLOBALS['accordion'][$x] = array('title' => sprintf($atts['title'], $GLOBALS['accordion_count']), 'content' => $content);

    $GLOBALS['accordion_count']++;
}

/**
 * Shortcode: toggle
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_toggle($atts, $content = null) {
    $atts = shortcode_atts(array('title' => 'Click To Open'), $atts);


    $data = '<div class="toggle"><h3 class="clearfix"><span class="icon-plus-1"></span><a href="#">' . $atts['title'] . '</a></h3><div class="content">' . do_shortcode($content) . '</div></div>';

    return $data;
}

?>
