<?php

// Your content to test

function code125_intPart($floatNum) {
    if ($floatNum < -0.0000001) {
        return ceil($floatNum - 0.0000001);
    }
    return floor($floatNum + 0.0000001);
}

/**
 * Shortcode: space_height
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_space_height($atts, $content = null) {
    $atts = shortcode_atts(array('height' => ''), $atts);
    return '<div class="clearfix"></div><div style="height:' . $atts['height'] . '"></div>';
}

/**
 * Shortcode: list_all_icons
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_list_all_icons($atts, $content = null) {

    //include(get_template_directory() . '/library/includes/admin/icons.php');
    global $_code125_icons;
    $icons = $_code125_icons;

    $data = '<div class="list_all_icons">';
    foreach ($icons as $icon) {
        $data = $data . '<div class="list_all_icons_single"><span class="' . $icon . '"></span><span class="text"> ' . $icon . '</span></div>';
    }
    $data = $data . '</div>';

    return $data;
}

add_shortcode('list_all_icons', 'code125_list_all_icons');

/**
 * Shortcode: shortcode_test   
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_shortcode_test($atts, $content = null) {

    $atts = shortcode_atts(array('shortcode' => ''), $atts);


	$shortcodes_builder = get_option('_code125_shortcodes');
    if (isset($_POST['shortcode_name'])) {
        $atts['shortcode'] = $_POST['shortcode_name'];
    }

    foreach ($shortcodes_builder as $key => $value) {
        if ($key == $atts['shortcode']) {
            $shortcode_atts = $value['atts'];
            if (isset($value['content'])) {
                $shortcode_content = 'on';
            } else {
                $shortcode_content = 'off';
            }
        }
    }

    $data = '<h3 class="title"><span class="title" data-title="' . $atts['shortcode'] . '">' . $atts['shortcode'] . '</span></h3><form  method="post" action="" class="shortcode-test"><input type="hidden" name="shortcode_name" class="element-block " id="shortcode_name" value="' . $atts['shortcode'] . '" size="20">';

    foreach ($shortcode_atts as $key => $value) {
        $data = $data . '<div class="row-fluid"><div class="span4"><label for="' . $key . '">' . $value['desc'] . '</label></div><div class="span8">';

        if (isset($_POST[$key])) {
            $current_value = $_POST[$key];
        } else {
            $current_value = $value['default'];
        }
        if (count($value['values']) != 0) {
            $data = $data . '<select name="' . $key . '" id="' . $key . '" class="postform c5-select">';
            foreach ($value['values'] as $key2 => $value2) {
                if ($current_value == $key2) {
                    $selected = 'selected="selected"';
                } else {
                    $selected = '';
                }
                $data = $data . '<option class="level-0" value="' . $key2 . '" ' . $selected . '>' . $value2 . '</option>';
            }
            $data = $data . '</select>';
        } else {
            $data = $data . '<input type="input" name="' . $key . '" class="element-block c5-input" id="' . $key . '" value="' . $current_value . '" size="20">';
        }

        $data = $data . '</div></div>';
    }
    if ($shortcode_content == 'on') {
        $data = $data . '<textarea id="content-data" name="content-data" class="element-block  c5-textarea" tabindex="4"></textarea>';
    }


    $data = $data . '<input type="submit" name="wp-submit" id="wp-submit" class="button-primary" value="Show Result"></form>';

    $code = '';

    if (isset($_POST['shortcode_name'])) {

        $code = '[' . $_POST['shortcode_name'] . ' ';
        foreach ($shortcode_atts as $key => $value) {

            $code = $code . $key . '="' . $_POST[$key] . '" ';
        }
        $code = $code . ']';

        if ($shortcode_content == 'on') {
            $code = $code . $_POST['content-data'] . '[/' . $_POST[$key] . ']';
        }
    }
    $data = $data . '<div class="clearfix"></div><p class="genertated-shortcode">' . $code . '</p><div class="clearfix"></div><div class="divider_space"></div><div class="divider_space"></div>' . do_shortcode($code);
    return $data;
}

add_shortcode('shortcode_test', 'code125_shortcode_test');
add_shortcode('shortcodes_tester', 'code125_shortcodes_tester');

/**
 * Shortcode: shortcodes_tester
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_shortcodes_tester($atts, $content = null) {

    $atts = shortcode_atts(array(), $atts);


    $shortcodes_builder = get_option('_code125_shortcodes');
    $current_value = '';
    $current = '';
    if (isset($_POST['shortcode-name-choose'])) {
        $current = 'yes';
        $current_value = $_POST['shortcode-name-choose'];
    }
    if (isset($_POST['shortcode_name'])) {
        $current = 'yes';
        $current_value = $_POST['shortcode_name'];
    }

    $dont_include = array('row', 'row_fluid', '1_12', '2_12', '3_12', '4_12', '5_12', '6_12', '7_12', '8_12', '9_12', '10_12', '11_12', '12_12', 'review_box');

    foreach ($shortcodes_builder as $key => $value) {
        if (isset($value['child'])) {
            $dont_include[] = $value['child'];
        }
    }

    $dont_include_type = array('opengroup', 'closegroup');

    $data = '<h3 class="title"><span class="title" data-title="Choose Your Shortcode">Choose Your Shortcode</span></h3><form  method="post" action="" class="shortcode-test">';
    $data = $data . '<div class="row-fluid"><div class="span4"><label for="shortcode-name-choose">Shortcode:</label></div><div class="span8">';


    $data = $data . '<select name="shortcode-name-choose" id="shortcode-name-choose" class="postform c5-select">';
    foreach ($shortcodes_builder as $key2 => $value2) {
        $include = 1;
        foreach ($dont_include as $dont_include_name) {
            if ($dont_include_name == $key2) {
                $include = 0;
            }
        }

        foreach ($dont_include_type as $dont_include_name) {
            if ($dont_include_name == $value2['type']) {
                $include = 0;
            }
        }


        if ($include == 1) {
            if ($current_value == $key2) {
                $selected = 'selected="selected"';
            } else {
                $selected = '';
            }
            $data = $data . '<option class="level-0" value="' . $key2 . '" ' . $selected . '>' . $key2 . '</option>';
        }
    }
    $data = $data . '</select>';
    $data = $data . '</div></div>';

    $data = $data . '<input type="submit" name="wp-submit" id="wp-submit" class="button-primary" value="Show Result"></form>';

    if ($current == 'yes') {
        $data = $data . do_shortcode('<div class="clearfix"></div>[space][space][shortcode_test shortcode="' . $current_value . '"]');
    }
    return $data;
}

function code125_shortcodes_docs($atts, $content) {


	$shortcodes_builder = get_option('_code125_shortcodes');
	$data = '[tabgroup]';
	foreach ($shortcodes_builder as $name => $shortcode) {
		if( $name == 'fancy_tabgroup' || $name == 'fancy_tab' || $name == 'tabgroup' || $name == 'tab'  ){
			continue;
		}
		
		if($shortcode['type']=='opengroup'){
			$data .= '[tab title="'.$shortcode['name'].'"]';
			$data .= '[fancy_tabgroup]';
			continue;
		}
		if($shortcode['type']=='closegroup'){
			
			$data .= '[/fancy_tabgroup]';
			$data .= '[/tab]';
			continue;
		}
		$data .= '[fancy_tab title="'.$name.'"]'; 
		$data .= '<h2>'.$name.' Documentation</h2>';
		if(isset($shortcode['documentation'])){
			$data .= '<hr/>' . html_entity_decode($shortcode['documentation'] );
		}
		if(isset($shortcode['atts'])){   
		   $attirbutes = $shortcode['atts'];
		   if( is_array($attirbutes) ){
		   		foreach ($attirbutes as $key => $value) {
		   			if(isset( $value['documentation'] ) ){
		   				$data .=  '<h4>'.$value['desc'] . '</h4><div style="padding-left:50px;">' .  $value['documentation'] . '</div>';
		   			}
		   		}
		   
		   }
		 }
		$data .= '[/fancy_tab]';
	}
	$data .= '[/tabgroup]';
	
	return do_shortcode($data);
	
}

add_shortcode('shortcodes_docs' , 'code125_shortcodes_docs');

?>